﻿<%@ page language="C#" autoeventwireup="true" inherits="Admin_MessageDetails, App_Web_n1jsyld5" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxw" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxRoundPanel"
    TagPrefix="dxrp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>Max Smart - Admin Panel</title>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <%--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <meta http-equiv="X-UA-Compatible" content="IE=7" />--%>

    <link type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link href="../css/dropdown.css" rel="stylesheet" type="text/css" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <%-- <script type="text/javascript" src="../js/jquery-1.2.3.pack.js"></script>
    <script type="text/javascript" src="../js/jquery.jcarousel.pack.js"></script>--%>
    <%-- <script language="javascript" type="text/javascript" src="../js/MapPageScript.js"></script>--%>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js" lang="javascript"></script>
    <script type="text/javascript" src="../js/DateValidations.js" lang="javascript"></script>
    <script type="text/javascript">
        function popupShowHide(type, isShow) {
            if (type == 'AdvSearch') {
                document.getElementById('pnlSearch').style.display = (isShow == 1) ? "block" : "none";
            }
        }
    </script>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content" class="head-part">
                                    <div id="heading" class="col-sm-4">
                                        <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                        <h1>
                                            <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal>
                                        </h1>
                                        <%--<a href="Dashboard.aspx"><asp:Label ID="lblHomeCaption" runat="server" Text="Home"></asp:Label></a>--%>
                                        <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                        <span>&gt;</span>
                                        <span>
                                            <a href="MessageDetails.aspx">
                                                <asp:Label ID="lblMessageDetails" runat="server" Text="Message Details"></asp:Label>
                                            </a>
                                        </span>
                                    </div>
                                    <div class="col-sm-8 head-part-btns">
                                        <div class="pull-right">
                                            <asp:UpdatePanel ID="updControl" runat="server">
                                                <ContentTemplate>
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </ContentTemplate>
                                            </asp:UpdatePanel>
                                        </div>
                                    </div>
                                    <div class="clear clearfix"></div>
                                </div>
                                <div class="clear clearfix"></div>
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                    <ContentTemplate>
                                        <asp:Panel ID="pnlVehicleSelection" runat="server" CssClass="ControlShow">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <%--<asp:Image ID="imgDeviceMonitoring" ImageUrl="../images/icn-device-id.gif" runat="server" />--%>
                                                        &nbsp;
                                                    </span>
                                                    <asp:Label ID="lblMessage" runat="server" Text="Message Details"></asp:Label>
                                                </h1>
                                                <div class="form-tbl col-sm-12 padding-sm-lrt">
                                                    <div class="form-horizontal col-sm-10 padding-width-sm">
                                                        <div class="form-group">
                                                            <div class="col-sm-2 padding-width-sm">
                                                                <div class="col-xs-1 col-sm-2 col-lg-1 nullpadding icon-img">
                                                                    <img src="../images/calendar-rht-icon.gif" width="15" height="16" title="Duration From" />
                                                                    <%--<asp:Label ID="lblFrom" runat="server" Text="From"></asp:Label>--%>
                                                                    <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 col-lg-11 padding-width-sm form-controllinebreak">
                                                                    <asp:TextBox ID="txtStartDate" runat="server" oncopy="return false" oncut="return false"
                                                                        CssClass="form-control" onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false"
                                                                        onpaste="return false" ToolTip="dd-MMM-yyyy" TabIndex="13"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-1 nullpadding"></div>
                                                                <div class="col-xs-5 padding-width-sm">
                                                                    <asp:DropDownList ID="ddlFromHours" runat="server" TabIndex="14" CssClass="form-control"
                                                                        onchange="CheckTimePicker(this,'ddlFromAMPM');">
                                                                        <asp:ListItem>00</asp:ListItem>
                                                                        <asp:ListItem>01</asp:ListItem>
                                                                        <asp:ListItem>02</asp:ListItem>
                                                                        <asp:ListItem>03</asp:ListItem>
                                                                        <asp:ListItem>04</asp:ListItem>
                                                                        <asp:ListItem>05</asp:ListItem>
                                                                        <asp:ListItem>06</asp:ListItem>
                                                                        <asp:ListItem>07</asp:ListItem>
                                                                        <asp:ListItem>08</asp:ListItem>
                                                                        <asp:ListItem>09</asp:ListItem>
                                                                        <asp:ListItem>10</asp:ListItem>
                                                                        <asp:ListItem>11</asp:ListItem>
                                                                        <asp:ListItem>12</asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-xs-6 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlFromAMPM" runat="server" TabIndex="15" CssClass="form-control">
                                                                        <asp:ListItem>AM</asp:ListItem>
                                                                        <asp:ListItem>PM</asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-1 nullpadding icon-img">
                                                                    <%--<asp:Label ID="lblOrganizationName" runat="server" Font-Bold="true" Text="Organization"></asp:Label>--%>
                                                                    <asp:Image ID="Image1" runat="server" ImageUrl="../images/icn-org-mgt.gif" AlternateText="Organization" />
                                                                </div>
                                                                <div class="col-xs-11 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlOrganizationName" runat="server" AutoPostBack="true" CssClass="form-control"
                                                                        OnSelectedIndexChanged="ddlOrganizationName_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm">
                                                                <div class="col-xs-1 col-sm-2 col-lg-1 nullpadding icon-img">
                                                                    <%--<asp:Label ID="lblFleetName" runat="server" Font-Bold="true" Text="Fleet"></asp:Label>--%>
                                                                    <asp:Image ID="imgFleetIcon" runat="server" ImageUrl="../images/fleet-icon.gif" AlternateText="Fleet Name" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 col-lg-11 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlFleet" runat="server" AutoPostBack="true" CssClass="form-control" OnSelectedIndexChanged="ddlFleet_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm">
                                                                <div class="col-xs-1 col-sm-2 col-lg-1 nullpadding icon-img">
                                                                    <%--<asp:Label ID="lblVehicleName" runat="server" Font-Bold="true" Text="Vehicle"></asp:Label>--%>
                                                                    <asp:Image ID="imgVehicleIcon" runat="server" ImageUrl="../images/vehicle-icon.gif"
                                                                        AlternateText="Vehicle" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 col-lg-11 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlVehicleName" runat="server" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="ddlVehicleName_SelectedIndexChanged" CssClass="form-control">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="col-sm-2 padding-width-sm">
                                                                <div class="col-xs-1 col-sm-2 col-lg-1 nullpadding icon-img">
                                                                    <img src="../images/calendar-lft-icon.gif" width="15" height="16" title="Duration To" />
                                                                    <%--<asp:Label ID="lblTo" runat="server" Text="To"></asp:Label>--%>
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 col-lg-11 padding-width-sm form-controllinebreak">
                                                                    <asp:TextBox ID="txtEndDate" runat="server" oncopy="return false" oncut="return false"
                                                                        onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                                        CssClass="form-control" ToolTip="dd-MMM-yyyy" TabIndex="16"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-1 nullpadding icon-img"></div>
                                                                <div class="col-xs-5 padding-width-sm">
                                                                    <asp:DropDownList ID="ddlToHours" runat="server" TabIndex="17" CssClass="form-control" onchange="CheckTimePicker(this,'ddlToAMPM');">
                                                                        <asp:ListItem>00</asp:ListItem>
                                                                        <asp:ListItem>01</asp:ListItem>
                                                                        <asp:ListItem>02</asp:ListItem>
                                                                        <asp:ListItem>03</asp:ListItem>
                                                                        <asp:ListItem>04</asp:ListItem>
                                                                        <asp:ListItem>05</asp:ListItem>
                                                                        <asp:ListItem>06</asp:ListItem>
                                                                        <asp:ListItem>07</asp:ListItem>
                                                                        <asp:ListItem>08</asp:ListItem>
                                                                        <asp:ListItem>09</asp:ListItem>
                                                                        <asp:ListItem>10</asp:ListItem>
                                                                        <asp:ListItem>11</asp:ListItem>
                                                                        <asp:ListItem>12</asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-xs-6 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlToAMPM" CssClass="form-control" TabIndex="18" runat="server">
                                                                        <asp:ListItem>AM</asp:ListItem>
                                                                        <asp:ListItem>PM</asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3 padding-width-sm">
                                                                <div class="col-xs-1 nullpadding icon-img">
                                                                    <%--<asp:Label ID="lblMessageType" runat="server" Font-Bold="true" Text="Messages In" ></asp:Label>--%>
                                                                    <asp:Image ID="imgMessageIn" runat="server" ImageUrl="../images/icn-msg-in.gif" AlternateText="MessageIn" />
                                                                </div>
                                                                <div class="col-xs-11 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlMessageType" runat="server" AutoPostBack="true" CssClass="form-control"
                                                                        OnSelectedIndexChanged="ddlMessageType_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm">
                                                                <div class="col-xs-1 col-sm-2 col-lg-1 nullpadding icon-img">
                                                                    <%-- <asp:Label ID="lblCommandType" runat="server" Font-Bold="true" Text="Command Out" ></asp:Label>--%>
                                                                    <asp:Image ID="imgMessageOut" runat="server" ImageUrl="../images/icn-msg-out.gif"
                                                                        AlternateText="MessageOut" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 col-lg-11 padding-width-sm form-controllinebreak">
                                                                    <asp:DropDownList ID="ddlCommandType" runat="server" AutoPostBack="true" CssClass="form-control"
                                                                        OnSelectedIndexChanged="ddlCommandType_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-2 padding-width-sm">
                                                                <div class="col-xs-1 col-sm-2 col-lg-1 nullpadding icon-img">
                                                                    <%-- <asp:Label ID="lblMobileNo" runat="server" Font-Bold="true" Text="Mobile"></asp:Label>--%>
                                                                    <asp:Image ID="imgMobileNo" runat="server" ImageUrl="../images/icn-sms-users.gif"
                                                                        AlternateText="Mobile No" />
                                                                </div>
                                                                <div class="col-xs-11 col-sm-10 col-lg-11 padding-width-sm form-controllinebreak">
                                                                    <asp:TextBox ID="txtMobileNo" runat="server" CssClass="form-control"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-2 padding-width-sm">
                                                        <asp:ImageButton runat="server" ID="ibtSearch" ImageUrl="~/images/btn-search.jpg"
                                                            OnClick="ibtSearch_Click" OnClientClick="ShowPopUp();" /><%--OnClick="lnkTest_Click" OnClientClick="if(ValidateAlert()){ ShowPopUp(); return true;} else {return false;}"--%>
                                                        <asp:ImageButton ID="ibtCancel" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                            OnClick="ibtCancel_Click" /><%-- OnClientClick="ShowPopUp();CancelLandmark(); showControls(0);" OnClick="btnCancel_Click"--%>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlMessages" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-sm-12">
                                                        <span class="icon">
                                                            <%-- <img src="../images/icn-device-id.gif" />--%>
                                                        </span>
                                                        <span class="txt">Message Statistics</span>
                                                    </div>
                                                </div>
                                                <div class="clearfix"></div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvMessages" runat="server" Width="100%" AutoGenerateColumns="false" KeyFieldName="RowID"
                                                        CssPostfix="Office2003_Blue" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvMessages_OnHtmlRowCreated">
                                                        <SettingsBehavior AllowFocusedRow="true" />
                                                        <Settings VerticalScrollBarMode="Visible" VerticalScrollableHeight="290" />
                                                        <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                        <Styles AlternatingRow-Enabled="True" CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataTextColumn Caption="OrganizationName" Width="20%" FieldName="OrganizationName">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgOrganization" ImageUrl="../images/icn-org-mgt.gif" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblOrganization" runat="server" Text="Organization Name"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="MessageIn" Width="10%" FieldName="MessageIn">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgMessageIn" ImageUrl="../images/icn-msg-in.gif" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblMessageIn" runat="server" Text="Message In"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtMessageIn" runat="server" Text='<%# Eval("MessageIn")%>' CommandArgument='<%# Eval("OrganizationID")%>'
                                                                        CommandName='<%# Eval("OrganizationName") %>' OnClientClick="ShowPopUp();" OnClick="lbtMessageIn_Click">
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="MessageOut" Width="10%" FieldName="MessageOut">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgMessageOut" ImageUrl="../images/icn-msg-out.gif" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblMessageOut" runat="server" Text="Message Out"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtMessageOut" runat="server" Text='<%# Eval("MessageOut")%>'
                                                                        CommandArgument='<%# Eval("OrganizationID")%>' CommandName='<%# Eval("OrganizationName") %>'
                                                                        OnClientClick="ShowPopUp();" OnClick="lbtMessageOut_Click">
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="AcknowledgedMsg" Width="15%" FieldName="AcknowledgedMsg">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgAcknowledged" ImageUrl="../images/icn-accept.gif" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblAcknowledged" runat="server" Text="Acknowledged"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="UnAcknowledgedMsg" Width="15%" FieldName="UnAcknowledgedMsg">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgUnacknowledged" ImageUrl="../images/icn-close.gif"
                                                                            alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblUnacknowledged" runat="server" Text="Unacknowledged"></asp:Label>
                                                                            </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Aborted" Width="10%" FieldName="Aborted">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgAborted" ImageUrl="../images/icn-abort-process.gif"
                                                                            alt="" /></span> <span class="label">
                                                                                <asp:Label ID="lblAborted" runat="server" Text="Aborted"></asp:Label>
                                                                            </span>
                                                                </HeaderCaptionTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="Email" Width="10%" FieldName="Email">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgEmail" ImageUrl="~/images/icn-email.gif" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblEmail" runat="server" Text="Email"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtEmail" runat="server" Text='<%# Eval("Email")%>' CommandArgument='<%# Eval("OrganizationID")%>'
                                                                        CommandName='<%# Eval("OrganizationName") %>' OnClientClick="ShowPopUp();" OnClick="lbtEmail_Click">
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                            <dxw:GridViewDataTextColumn Caption="SMS" Width="10%" FieldName="SMS">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image runat="server" ID="imgSMS" ImageUrl="~/images/icn-sms-users.gif" alt="" /></span>
                                                                    <span class="label">
                                                                        <asp:Label ID="lblSMS" runat="server" Text="SMS"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <asp:LinkButton ID="lbtSMS" runat="server" Text='<%# Eval("SMS")%>' CommandArgument='<%# Eval("OrganizationID")%>'
                                                                        CommandName='<%# Eval("OrganizationName") %>' OnClientClick="ShowPopUp();" OnClick="lbtSMS_Click">
                                                                    </asp:LinkButton>
                                                                </DataItemTemplate>
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                    </dxw:ASPxGridView>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div>
                                        </asp:Panel>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </div>
                        </div>
                        <!-- Main Content Ends Here -->
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <!--Progress Bar -->
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <!-- Progress Bar Ends Here -->
            <!--Message Details Popup  Panel -->
            <asp:Panel ID="pnlSearch" runat="server" CssClass="searchPanel" Style="display: none;">
                <asp:UpdatePanel ID="updSearch" runat="server" UpdateMode="Conditional">
                    <Triggers>
                        <asp:PostBackTrigger ControlID="ibtExport" />
                    </Triggers>
                    <ContentTemplate>
                        <div class="popup">
                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblAdvSearchPanelHeading" runat="server" Text="Message Details"></asp:Label></h1>
                                <div class="close">
                                    <img id="imgSearch" alt="" runat="server" src="../images/popup-close.gif" border="0"
                                        onclick="document.getElementById('pnlSearch').style.display = 'none';" />
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div class="popup-cont">
                                <asp:Panel ID="pnlSearchGrid" runat="server">
                                    <div id="grid-dsply">
                                        <div class="clearfix"></div>
                                        <div class="table-responsive">
                                            <dxw:ASPxGridView ID="gvMessageDetails" ClientInstanceName="gvMessageDetails" runat="server"
                                                Width="100%" AutoGenerateColumns="false" KeyFieldName="RowID" EnableTheming="true" Theme="Office2003Blue"
                                                CssPostfix="Office2003_Blue" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                OnHtmlRowCreated="gvMessageDetails_OnHtmlRowCreated">
                                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataTextColumn Caption="UserName" Width="20%" FieldName="UserName"
                                                        VisibleIndex="0">
                                                        <HeaderCaptionTemplate>
                                                            <span class="label">
                                                                <asp:Label ID="lblUserNameCaption" runat="server" Text="User Name"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="MessageName" Width="10%" FieldName="MessageName">
                                                        <HeaderCaptionTemplate>
                                                            <span class="label">
                                                                <asp:Label ID="lblMessageNameCaption" runat="server" Text="Message Name"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                    <dxw:GridViewDataTextColumn Caption="MessageCount" Width="10%" FieldName="MessageCount">
                                                        <HeaderCaptionTemplate>
                                                            <span class="label">
                                                                <asp:Label ID="lblMessageCountCaption" runat="server" Text="Message Count"></asp:Label>
                                                            </span>
                                                        </HeaderCaptionTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <%-- <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }"
                                                    EndCallback="function(s, e) {SetDivPosition();}" />--%>
                                                <Settings VerticalScrollBarMode="Visible" VerticalScrollableHeight="250" />
                                                <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvMessageDetails">
                                            <PageFooter Right="[Page # of Pages #]">
                                            </PageFooter>
                                        </dxw:ASPxGridViewExporter>
                                        <div class="clearfix"></div>
                                        <div class="">
                                            <div class="col-xs-3 padding-width-sm override-col-width">
                                                <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                    ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                    CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue">
                                                    <Items>
                                                        <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                        <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                        <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                        <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                    </Items>
                                                </dxw:ASPxComboBox>
                                            </div>
                                            <div class="col-xs-5 padding-width-sm">
                                                <asp:LinkButton ID="ibtExport" runat="server" CssClass="MultilingualBtn" OnClick="ibtExport_Click">
                                                    <span id="Span11" runat="server" class="MultilingualBtnspan">
                                                        <div class="Export">
                                                            <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Export
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                            </div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                </asp:Panel>
                            </div>
                        </div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </asp:Panel>
            <!-- Message Ends Here -->
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="Footer1" runat="server" />
</body>
</html>
