﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_CustomerDetails, App_Web_h0wv500x" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxpc" %>
<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>trinetra - Customer</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script type="text/javascript" src="../js/jquery-1.3.2.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script type="text/javascript" language="javascript" src="../js/ReportScripts.js"></script>
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--****** End *****--%>
    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="Link2" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <%--End of BootStrap Css--%>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/bootstrap.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--BootStrap Css--%>
    <%--<link id="Link1" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />


            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <div>
                        <div class="vlive-reports-section maintenance">
                            <div class="container-fluid">
                                <div class="row clearfix">
                                    <div class="col-ks-16">
                                        <div class="col-ks-8 HeaderTest">
                                            <div class="col-ks-16">
                                                <h2 class="pull-left">
                                                    <asp:Literal ID="lblPreferencesCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h2>
                                            </div>
                                            <div class="col-ks-16">
                                                <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                    <NodeStyle CssClass="active" />
                                                </asp:SiteMapPath>
                                            </div>
                                        </div>
                                        <div class="col-ks-8 HeaderTopButton">
                                            <asp:LinkButton ID="ibtnAddOrder" runat="server" CssClass="fa-plus btn btn-primary" OnClick="btnAddOrder_click" Text="&nbsp;&nbsp;Add Customer">                                             
                                            </asp:LinkButton>
                                            <asp:LinkButton ID="btnBack" runat="server" CssClass="fa-arrow-left btn btn-primary" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Text="&nbsp;&nbsp;Back to Configuration">
                                            </asp:LinkButton>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <asp:Panel ID="pnlCustomerDetails" runat="server" Style="display: none;">
                            <div class="vlive-filter">
                                <div class="container-fluid">
                                    <div class="vlive-centrifugal-fan maintenance-plan">
                                        <div class="col-ks-16 vlive-header_VXL">
                                            <div class="col-ks-16">
                                                <asp:Label ID="lblUserPreferences" runat="server" CssClass="pnlhearder" Text="Customer Details"></asp:Label>
                                            </div>
                                        </div>
                                        <div class="row ftop">
                                            <div class="col-md-12" style="padding-top: 10px;">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="lblCustomerName" runat="server" Font-Bold="False" Text="CustomerName" CssClass="label"></asp:Label>
                                                            <%--<asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtCustomerName" runat="server" Width="" CssClass="form-control man-dat" MaxLength="50" TabIndex="1"></asp:TextBox>
                                                        </div>
                                                        <div class="col-ks-1"></div>
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="lblCustomerDesc" runat="server" Font-Bold="False" Text="Customer Description" CssClass="label"></asp:Label>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtCustomerDesc" runat="server" Width="" CssClass="form-control" MaxLength="300" TextMode="MultiLine" TabIndex="2"></asp:TextBox>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="lblCustomerCode" runat="server" Font-Bold="False" Text="Customer Code" CssClass="label"></asp:Label>
                                                            <%--<asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtCustomerCode" runat="server" Width="" CssClass="form-control man-dat" MaxLength="30" TabIndex="3"></asp:TextBox>
                                                        </div>
                                                        <div class="col-ks-1"></div>
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="lblAddress" runat="server" Font-Bold="False" Text="Address" CssClass="label"></asp:Label>
                                                            <%--<asp:Label ID="lblcenter11" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtAddress" runat="server" Width="" CssClass="form-control man-dat" TextMode="MultiLine" MaxLength="300" TabIndex="4"></asp:TextBox>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="lblEmail" runat="server" Font-Bold="False" Text="Email" CssClass="label"></asp:Label>
                                                            <%--<asp:Label ID="lblcenter1" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtEmail" runat="server" CssClass="form-control form-controllinebreak man-dat" onblur="checkEmail(this.id,this.value)"
                                                                MaxLength="50" TabIndex="5"></asp:TextBox>
                                                        </div>
                                                        <div class="col-ks-1"></div>
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="lblMobileNo" runat="server" Font-Bold="False" Text="Mobile Number" CssClass="label"></asp:Label>
                                                            <%--<asp:Label ID="lblcenter" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtMobileNo" runat="server" Width="" CssClass="form-control man-dat" MaxLength="12"
                                                                onkeypress="return chkNumeric_only(event);" TabIndex="6"></asp:TextBox>
                                                            <asp:Label ID="lblEgPh1" CssClass="icon-label" runat="server" Text="(For e.g - 919566223341)"></asp:Label>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="col-ks-3">
                                                            <asp:Label ID="Label1" runat="server" Font-Bold="False" Text="Phone Number" CssClass="label"></asp:Label>
                                                        </div>
                                                        <div class="col-ks-4">
                                                            <asp:TextBox ID="txtphNo" runat="server" Width="" CssClass="form-control" MaxLength="17"
                                                                onkeypress="return chkNumeric_only(event);" TabIndex="7"></asp:TextBox>
                                                            <asp:Label ID="Label3" CssClass="icon-label" runat="server" Text="(For e.g - 04221234567)"></asp:Label>
                                                        </div>
                                                        <div class="col-ks-1"></div>
                                                        <div class="col-ks-3">
                                                        </div>
                                                        <div class="col-ks-4">
                                                        </div>
                                                    </div>

                                                    <div class="col-md-12">
                                                        <div class="col-ks-16">
                                                            <%-- <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>&nbsp;--%>
                                                            <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblMandatoryFields" runat="server">Required Fields</asp:Label>
                                                        </div>

                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="col-ks-12">
                                                        </div>
                                                        <div class="col-ks-1_5" align="right">
                                                            <asp:LinkButton ID="btnUpdateCustomer" runat="server" CausesValidation="true" TabIndex="9"
                                                                ValidationGroup="vgLandmark" CssClass="btn btn-primary btn-fa-pencil-square-o" Style="display: none;"
                                                                OnClientClick="return ValidateCustomerdetails();" OnClick="btnUpdateCustomer_Click" Text="&nbsp;&nbsp;Update">
                                                            </asp:LinkButton>
                                                            <asp:LinkButton ID="btnSaveCustomer" runat="server" CausesValidation="true" TabIndex="8"
                                                                ValidationGroup="vgLandmark" CssClass="btn btn-primary btn-fa-floppy-o" OnClientClick="return ValidateCustomerdetails();"
                                                                OnClick="btnSaveCustomer_Click" Text="&nbsp;&nbsp;Save"> 
                                                            </asp:LinkButton>
                                                        </div>
                                                        <div class="col-ks-1_5">
                                                            <asp:LinkButton ID="btnCancel" runat="server" CssClass="btn btn-primary btn-fa-ban" OnClientClick="ShowPopUp();"
                                                                OnClick="btnCancel_Click" TabIndex="10" Text="&nbsp;&nbsp;Cancel">
                                                                
                                                            </asp:LinkButton>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </asp:Panel>
                        <asp:Panel ID="pnlCustomerGrid" runat="server">
                            <div class="vlive-filter">
                                <div class="container-fluid">
                                    <div class="vlive-centrifugal-fan maintenance-plan">
                                        <div class="col-ks-16 vlive-header_VXL">
                                            <div class="col-ks-13">
                                                <asp:Label ID="lblFleetCaption" runat="server" CssClass="pnlhearder" Text="Customer Details"></asp:Label>
                                            </div>
                                            <div class="col-ks-1">
                                                <dxe:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" CssClass="form-control exportddl"
                                                    ShowImageInEditBox="True" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                    EnableTheming="true" Theme="Office2003Blue" CssFilePath="../App_Themes/Office2003Blue/GridView/grid.css" CssPostfix="Office2003_Blue">
                                                    <Items>
                                                        <dxe:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                        <dxe:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                        <%--  <dxe:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />--%>
                                                        <%--<dxe:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                    </Items>
                                                </dxe:ASPxComboBox>
                                            </div>
                                            <div class="col-ks-2">
                                                <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                    Visible="false" />
                                                <asp:LinkButton ID="btnExport" runat="server" CssClass="fa-file-excel-o btn btn-primary" Text="&nbsp;&nbsp;Export" OnClick="btnExport_Click">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                        <div class="row ftop">
                                            <div class="col-md-12" style="padding-top: 10px;">
                                                <dxgv:ASPxGridView ID="gvCustomerDetails" runat="server" Width="100%" Visible="true"
                                                    KeyFieldName="CustomerId" EnableTheming="true" Theme="Office2003Blue" CssFilePath="../App_Themes/Office2003Blue/GridView/grid.css"
                                                    CssPostfix="Office2003_Blue" Styles-Cell-Paddings-PaddingTop="10px" OnHtmlRowCreated="gvCustomerDetails_HtmlRowCreated"
                                                    Styles-Cell-Paddings-PaddingBottom="10px">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="500" />
                                                    <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <AlternatingRow Enabled="True">
                                                        </AlternatingRow>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true" PageSize="20">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxgv:GridViewDataColumn FieldName="DesgCode" Caption="#" VisibleIndex="0" CellStyle-HorizontalAlign="Left"
                                                            Visible="false" Width="10%">
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="CustomerId" Caption="CustomerId"
                                                            VisibleIndex="1" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="20%" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblCustomerName" runat="server" Font-Bold="false" Text="Customer Id"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="CustomerName" Caption="CustomerName"
                                                            VisibleIndex="2" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="20%">
                                                            <HeaderCaptionTemplate>

                                                                <asp:Label ID="lblCustomerName" runat="server" Font-Bold="false" Text="Customer Name"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblCustomerName" runat="server" Style="word-wrap: break-word" Text='<%# Eval("CustomerName")%>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="CustomerDesc" Caption="Customer Description"
                                                            VisibleIndex="3" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblCustomerDescHeader" runat="server" Font-Bold="false" Text="Customer Description"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblCustomerDesc" runat="server" Style="word-wrap: break-word" Text='<%# Eval("CustomerDesc") == DBNull.Value ? "-" : Eval("CustomerDesc")%>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="CustomerCode" Caption="CustomerCode"
                                                            VisibleIndex="4" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblCustomerCodeHeader" runat="server" Font-Bold="false" Text="Customer Code"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblCustomerCode" runat="server" Style="word-wrap: break-word" Text='<%# Eval("CustomerCode") == DBNull.Value ? "-" : Eval("CustomerCode")%>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="CustomerLocation" Caption="CustomerLocation" VisibleIndex="5"
                                                            CellStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblCustomerLocationHeader" runat="server" Font-Bold="false"
                                                                    Text="Customer Location"></asp:Label>

                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblCustomerLocation" runat="server" Style="word-wrap: break-word" Text='<%# Eval("CustomerLocation") == DBNull.Value ? "-" : Eval("CustomerLocation")%>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="Email" Caption="Email" VisibleIndex="6"
                                                            CellStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True"
                                                            Width="20%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblEmailHeader" runat="server" Font-Bold="false"
                                                                    Text="Email"></asp:Label>

                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblEmail" runat="server" Style="word-wrap: break-word" Text='<%# Eval("Email") == DBNull.Value ? "-" : Eval("Email")%>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="MobileNo" Caption="MobileNo" VisibleIndex="7"
                                                            CellStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblMobileNo" runat="server" Font-Bold="false"
                                                                    Text="Mobile Number"></asp:Label>

                                                            </HeaderCaptionTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn FieldName="phNo" Caption="Phone Number" VisibleIndex="7"
                                                            CellStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <asp:Label ID="lblPhoneNo" runat="server" Font-Bold="false"
                                                                    Text="Phone Number"></asp:Label>
                                                            </HeaderCaptionTemplate>
                                                            <PropertiesTextEdit NullDisplayText="-"></PropertiesTextEdit>
                                                            <Settings AllowAutoFilter="True" ShowFilterRowMenu="True" AutoFilterCondition="Contains" />
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn Caption="Edit" VisibleIndex="8" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="3%" Name="Edit">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblEdit" runat="server" Font-Bold="false" Visible="false"
                                                                    Text="Edit"></asp:Label>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("CustomerId") %>'
                                                                    OnClientClick="ShowPopUp();" AlternateText="Edit" OnClick="lbnEdit_Click"
                                                                    CommandName="Edit" ToolTip="Click here to Edit"
                                                                    ImageAlign="Middle" CssClass="Grid-btn-fa-pencil-square-o">
                                                                    <%--<asp:Image ID="imgEditOption" runat="server" ImageUrl="~/images/icn-edit.gif" />--%>
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxgv:GridViewDataTextColumn>
                                                        <dxgv:GridViewDataTextColumn Caption="Delete" VisibleIndex="9" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="4%" Name="Delete">
                                                            <HeaderTemplate>
                                                                <asp:Label ID="lblDelete" runat="server" Font-Bold="false" Visible="false"
                                                                    Text="Delete"></asp:Label>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnDeleteCustomer" runat="server" CommandArgument='<%# Eval("CustomerId")%>'
                                                                    AlternateText="Delete"
                                                                    CommandName="Delete" ToolTip="Click here to Delete" OnClick="btnDeleteCustomer_Click"
                                                                    ImageAlign="Middle" CssClass="Grid-btn-fa-trash-o">
                                                                    <%--<asp:Image ID="imgDeleteOption" runat="server" ImageUrl="~/images/delete-icon.gif" />--%>
                                                                </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxgv:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No item details found" />
                                                </dxgv:ASPxGridView>
                                            </div>
                                        </div>
                                    </div>
                                    <exp:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvCustomerDetails"
                                        ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\qc\b\fs28 Fleet Details\par
\pard\par
\par
}
">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </exp:ASPxGridViewExporter>
                                </div>
                            </div>
                        </asp:Panel>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnCancel" />
                    <asp:PostBackTrigger ControlID="btnExport" />
                </Triggers>
            </asp:UpdatePanel>

            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <div id="content">
                        </div>
                        <div id="left">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div id="right">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
            </div>
            <asp:HiddenField ID="hdnPreference" runat="server" />
            <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script language="javascript" type="text/javascript" src="../js/SendCommandScripts.js"></script>
            <%--<script type="text/javascript" language="javascript" src="../js/customerdetails.js"></script>--%>
            <script type="text/javascript" language="javascript" src="../js/Mak_ctrlsScripts.js"></script>
            <script type="text/javascript">
                function OrgList() {
                    var rbtDefault = document.getElementById('rbtDefault');
                    var rbtAllOrganizations = document.getElementById('rbtAllOrganizations');
                    if (rbtDefault.checked) {
                        document.getElementById('ddlOrganizations').style.display = "block";
                    }
                    if (rbtAllOrganizations.checked) {
                        document.getElementById('ddlOrganizations').style.display = "none";
                    }
                }
            </script>
            <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
            <asp:HiddenField ID="hdnDayLight" runat="server" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnMultiLingualmsg" runat="server" />
            <asp:Panel ID="pnlImportItems" runat="server" Style="display: none;" CssClass="import-LandmarkPanel col-sm-7 col-md-5 col-lg-5">
                <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                    <ContentTemplate>
                        <div class="popup">
                            <div class="top">
                                <h1>
                                    <asp:Label ID="lblFile" Text="Bulk Import Items" runat="server"></asp:Label></h1>
                                <div class="close">
                                    <asp:ImageButton ID="ibtnClose" OnClientClick="$find('mpeItemsDetailsLoad').hide(); return false;"
                                        CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <%--   <div class="popup-cont"> --%>
                            <div class="form-tbl form-landmark">
                                <div class="row form-group" style="margin-left: 0px;">
                                    <div class="col-sm-2">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <asp:FileUpload ID="fuWH" runat="server" />
                                    </div>
                                </div>
                                <div class="row form-group" style="margin-left: 0px;">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-8">
                                        <asp:LinkButton ID="ibtnimpwh" runat="server" CssClass="MultilingualBtn"
                                            TabIndex="17" OnClientClick="return PartMst.CheckEmptyWH();ShowPopUp();">
                                            <span id="Span12" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        &nbsp;
                                                <asp:LinkButton ID="ibtnCancelImportItems" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                                    <span id="Span13" runat="server" class="MultilingualBtnspan">
                                                        <div class="Cancel">
                                                            <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                Cancel
                                                            </div>
                                                        </div>
                                                    </span>
                                                </asp:LinkButton>
                                        &nbsp;&nbsp;
                                                <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template"></asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ContentTemplate>
                    <Triggers>
                        <asp:PostBackTrigger ControlID="ibtnimpwh" />
                        <asp:PostBackTrigger ControlID="ibtnCancelImportItems" />
                        <asp:PostBackTrigger ControlID="lbtnDownloadTemp" />
                    </Triggers>
                </asp:UpdatePanel>
            </asp:Panel>
            <!--Progress Bar -->
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <!-- Progress Bar Ends Here -->
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
