﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_GetDirectionsCSS, App_Web_faos2cxk" enableeventvalidation="false" %>

<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <%--  <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <title>tSense-IoT Directions</title>
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <link href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <script src="../js/wow.min.js"></script>
</head>
<body onload="loadMap();">
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div id="container">
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Header Ends Here -->
            <input type="hidden" id="hdnCoords" />
            <input type="hidden" id="hdnInput" name="hdnInput" />
            <!-- Content Starts Here -->
            <div id="outer">
                <div id="inner">
                    <div id="float-wrap">
                        <!-- Main Content Starts Here -->
                        <div id="content">
                            <div class="content-wrap">
                                <div id="top-content">
                                    <div id="heading">
                                        <img class="icon" src="../images/route-icon.jpg" alt="" />
                                        <h1>Route</h1>
                                        <a href="Dashboard.aspx">Home</a><span>&gt;</span><span><a href="RoutePanelCSS.aspx">Route</a></span><span>&gt;</span><span><a
                                            href="GetDirectionsCSS.aspx">Manage</a></span>
                                    </div>
                                    <div id="control-box">
                                        <asp:UpdatePanel UpdateMode="Conditional" ID="updPanel" runat="server">
                                            <ContentTemplate>
                                                <table border="0" cellpadding="0" cellspacing="0" id="control-tbl">
                                                    <tr>
                                                        <td>
                                                            <table border="0" cellpadding="0" cellspacing="0" id="control-form">
                                                                <tr>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td>&nbsp;
                                                                    </td>
                                                                    <td></td>
                                                                    <td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="split" width="90%"></td>
                                                        <td></td>
                                                        <td>
                                                            <asp:ImageButton ID="btnGetDirections" runat="server" Text="Get Directions" OnClick="btnGetDirections_Click" Style="display: none;" ImageUrl="../images/btn-get-route.jpg" /></td>
                                                        <td>

                                                            <asp:ImageButton ID="btnBackToRoute" ImageUrl="~/images/btn-back-to-routeplanning.jpg" runat="server" OnClick="btnBackToRoute_Click" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </ContentTemplate>
                                        </asp:UpdatePanel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                            </div>
                            <div class="clear clearfix">
                            </div>
                            <div style="width: 100%;">
                                <table cellpadding="0" cellspacing="0" width="100%" border="0">
                                    <tr style="width: 100%;">
                                        <td valign="top">
                                            <div id="map-dsply" style="height: 340px">
                                            </div>
                                        </td>
                                        <td id="search-area" valign="top">
                                            <div id="search-box" style="width: 300px; overflow: auto;">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/compass.png" alt="" style="vertical-align: top;" />
                                                        Driving Directions </span>
                                                </h1>
                                                <div id="directions">
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div class="clear clearfix">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <!-- Main Content Ends Here -->
                    <div id="left">
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
                <div id="right">
                </div>
                <div class="clear clearfix">
                </div>
            </div>
        </div>
        <!-- Content Ends Here -->

        <uc2:Footer ID="ucFooter" runat="server" />



        <script language="javascript" type="text/javascript" src="../js/Map_Google1.js"></script>

        <script type="text/javascript">



        </script>

    </form>
</body>
</html>
