﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_RouteVehicleListing, App_Web_oqpl0drw" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Route Vehicle scheduling</title>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <style type="text/css"></style>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVhDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-6 col-md-3">
                                                <img class="icon" src="../images/icn-route.gif" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblRouteCaption" runat="server"></asp:Literal></h1>
                                                <%--<asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>--%>
                                            </h1>
                                            <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                href="RouteVehicleListing.aspx"><asp:Label ID="lblDriverListing" Text="Vehicle Schedule"
                                                    runat="server"></asp:Label></a></span>
                                            </div>
                                            <div class="col-sm-6 col-md-9 head-part-btns">
                                                <div class="pull-right">
                                                    <div class="ManageGeozoneTableAlign">

                                                        <asp:LinkButton ID="btnManageRoutes" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/RouteMaster.aspx"
                                                            Height="22px">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="ManageRoute">
                                                                    <div id="ManageRoutes" runat="server" class="MultilingualBtnTextAlign">
                                                                        Manage Routes
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                        &nbsp;
                                                                        <asp:LinkButton ID="btnRouteAssignment" runat="server" CssClass="MultilingualBtn"
                                                                            PostBackUrl="~/Forms/RouteAssignment.aspx">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="RouteAssignment">
                                                                                    <div id="RouteAssignment" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Route Assignment
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>

                                                        &nbsp;
                                                                        <asp:LinkButton ID="btnRouteDriverListing" runat="server" CssClass="MultilingualBtn"
                                                                            PostBackUrl="~/Forms/RouteDriverListing.aspx" Visible="false">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="ScheduleDrivers">
                                                                                    <div id="RouteDriverListing" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Driver Listing
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                        &nbsp;
                                                                        <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="ControlHide" OnClick="btnBack_Click"
                                                                            CausesValidation="false">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Back">
                                                                                    <div id="BackToConfig" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Back to Configuration
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone"></div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlDriverInfo" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../imagesButton/vehicle-schedule.png" alt="" /></span><asp:Label ID="lblCapVehicleSchedule"
                                                            Text="Route Vehicle Schedule Details" runat="server"></asp:Label></h1>
                                                <div class="form-tbl col-sm-12 col-Geozone">
                                                    <div class="form-horizontal">
                                                        <div class="col-sm-12 col-md-11 col-lg-9 icon-label">

                                                            <div class="col-xs-4 col-sm-1 col-md-1 col-lg-1 nullpadding icon-img">
                                                                <asp:Label ID="lblRouteName" runat="server" Text="Route Name" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-xs-7 col-sm-2 padding-width-sm icon-img">
                                                                <asp:DropDownList ID="ddlRouteName" CssClass="form-control form-controllinebreak" runat="server">
                                                                </asp:DropDownList>
                                                            </div>

                                                            <div class="col-xs-4 col-sm-1 nullpadding icon-img">
                                                                <asp:Label ID="lblFromDate" runat="server" Text="From Date" CssClass="label"></asp:Label>
                                                                <asp:Label ID="Label15" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-xs-7 col-sm-2 col-md-1 col-lg-1 padding-width-sm">
                                                                <asp:TextBox ID="txtStartDateRouteList" runat="server" onkeypress="return false" onpaste="return false"
                                                                    CssClass="form-control form-controllinebreak"></asp:TextBox>
                                                                <%--   <cc1:CalendarExtender ID="calFromdate" runat="server" CssClass="cal_Theme1" TargetControlID="txtEffectiveFrom"
                                                                    Format="dd-MMM-yyyy" OnClientDateSelectionChanged="checkDate">
                                                                </cc1:CalendarExtender>--%>
                                                            </div>
                                                            <div class="col-xs-4 col-sm-1 nullpadding icon-img">
                                                                <asp:Label ID="lblToDate" runat="server" CssClass="label" Text="To Date"></asp:Label>
                                                                <asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>
                                                            </div>
                                                            <div class="col-xs-7 col-sm-2 col-md-1 col-lg-1 padding-width-sm">
                                                                <asp:TextBox ID="txtEndDateRouteList" runat="server" onkeypress="return false" onpaste="return false"
                                                                    TabIndex="12" CssClass="form-control form-controllinebreak"></asp:TextBox>
                                                                <%--<cc1:CalendarExtender ID="calTodate" runat="server" CssClass="cal_Theme1" TargetControlID="txtEffectiveTo"
                                                                    Format="dd-MMM-yyyy" OnClientDateSelectionChanged="checkDate">
                                                                </cc1:CalendarExtender>--%>
                                                            </div>

                                                            <div class="col-xs-4 col-sm-1 col-lg-1 nullpadding icon-img">
                                                                <asp:Label ID="lblStatus" runat="server" Text="Status"></asp:Label>
                                                            </div>
                                                            <div class="col-xs-7 col-sm-2 col-md-2 col-lg-2 padding-width-sm">
                                                                <asp:DropDownList ID="ddlStatus" runat="server" CssClass="form-control form-controllinebreak" AutoPostBack="true"
                                                                    OnSelectedIndexChanged="ddlStatus_SelectedIndexChanged">
                                                                    <asp:ListItem Selected="True">All</asp:ListItem>
                                                                    <asp:ListItem>Engaged</asp:ListItem>
                                                                    <asp:ListItem>Scheduled</asp:ListItem>
                                                                    <asp:ListItem>Completed</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </div>


                                                            <div class="col-xs-7 col-sm-2  col-md-2 col-lg-2 padding-width-lg-left icon-img">
                                                                <asp:LinkButton ID="btnView" runat="server" CssClass="MultilingualBtn" OnClientClick="return ValidateRouteDriverOrVehicleScheduleNew();"
                                                                    CausesValidation="false" OnClick="btnView_Click">
                                                                    <span runat="server" class="MultilingualBtnspan">
                                                                        <div class="ViewSchedule">
                                                                            <div id="View" runat="server" class="MultilingualBtnTextAlign">
                                                                                View Schedule
                                                                            </div>
                                                                        </div>
                                                                    </span>
                                                                </asp:LinkButton>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlRouteOptimizationDetails" runat="server" CssClass="form-tbl">
                                        <div id="grid-dsply">
                                            <div class="fleetContent col-Geozone">
                                                <div class="table-responsive">
                                                    <asp:GridView ID="gvRouteDetails" runat="server" AllowPaging="False" AllowSorting="False"
                                                        AutoGenerateColumns="False" BackColor="#CCCCCC" CellPadding="0" CellSpacing="1" ClientIDMode="AutoID"
                                                        GridLines="None" Width="100%" OnRowDataBound="gvRouteDetails_RowDataBound" ShowFooter="true">
                                                        <Columns>
                                                            <asp:TemplateField>
                                                                <HeaderTemplate>
                                                                    <table cellpadding="0" cellspacing="0" width="100%">
                                                                        <tr style="font-weight: bold;">
                                                                            <td style="width: 2%;"></td>
                                                                            <td style="width: 13%; text-align: left;">
                                                                                <span class="icon">
                                                                                    <img src="../images/icn-Driver-name.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                <asp:Label ID="lblRouteName" Text="Route Name" runat="server"></asp:Label>
                                                                            </td>
                                                                            <td style="width: 13%; text-align: center;">
                                                                                <span class="icon">
                                                                                    <img src="../images/icn-address-valid.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                <asp:Label ID="lblDesc" Text="Description" runat="server"></asp:Label>
                                                                            </td>
                                                                            <%-- <td style="width: 13%; text-align: center;">
                                                                        <span class="icon">
                                                                            <img src="../images/icn-contact-number.gif" align="top" alt="" style="padding-bottom:5px;"  /></span>
                                                                              <asp:Label ID="lblmNo" Text="Mobile Number" runat="server"></asp:Label>  
                                                                        
                                                                    </td>--%>
                                                                        </tr>
                                                                    </table>
                                                                </HeaderTemplate>
                                                                <ItemTemplate>
                                                                    <table cellpadding="0" cellspacing="0" width="100%">
                                                                        <tr id="trVehicleDetails" runat="server">
                                                                            <td style="width: 2%;">
                                                                                <img id="imgExpandCollapse" onclick="ExpandOrCollpase(this.id);" src="../images/gvCollapsedButton.png"
                                                                                    runat="server" />
                                                                            </td>
                                                                            <td style="width: 20%; text-align: left;">
                                                                                <asp:Label ID="lbtnRouteName" runat="server" Text='<%# Eval("RouteName") %>'></asp:Label>
                                                                            </td>
                                                                            <td style="width: 20%; text-align: center;">
                                                                                <asp:Label ID="lblDesc" runat="server" Text='<%# Eval("RouteDescription") %>'></asp:Label>
                                                                            </td>
                                                                            <%--  <td style="width: 20%; text-align: center;">
                                                                        <asp:Label ID="lblMobileNo" runat="server" Text='<%# Eval("MobileNo")%>'></asp:Label>
                                                                    </td>--%>
                                                                        </tr>
                                                                        <tr id="trOperationsList" class="ControlHide" runat="server" style="padding-bottom: 5px">
                                                                            <td></td>
                                                                            <td colspan="7" style="margin: 0px; padding: 0px;">
                                                                                <div id="grid-dsply">
                                                                                    <div class="fleetContent">
                                                                                        <div class="table-responsive">
                                                                                            <asp:GridView ID="gvDriverDetails" runat="server" AllowPaging="False" AllowSorting="true"
                                                                                                AutoGenerateColumns="false" CellPadding="0" CellSpacing="1" GridLines="None"
                                                                                                Width="100%" OnRowDataBound="gvDriverDetails_RowDataBound">
                                                                                                <Columns>
                                                                                                    <asp:TemplateField HeaderStyle-Width="20%" ItemStyle-Width="20%">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/icn-vehicle-name.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblVName" Text="Vehicle Name" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblDriverName" runat="server" Text='<%# Eval("DisplayName") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="10%" ItemStyle-Width="20%">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/icn-vehicle-name.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lbldName" Text="Driver Name" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblDrName" runat="server" Text='<%# Eval("DriName") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="10%" ItemStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/icn-frequency.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblFreqC" Text="Frequency" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblFreq" runat="server" Text='<%# Eval("Frequency") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="10%" ItemStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/date.png" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblDate" Text="Route State Date" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblDate" runat="server" Text='<%# Eval("ScheduleDate") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="10%" ItemStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/date.png" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblDateCapTo" Text="Effective To" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblDateto" runat="server" Text='<%# Eval("EffectiveDate") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="10%" ItemStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/icn-time.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblFTime" Text="From Time" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblTime" runat="server" Text='<%# Eval("FromTime") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="10%" ItemStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/icn-time.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblTTime" Text="To Time" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblToTime" runat="server" Text='<%# Eval("ToTime") %>'></asp:Label>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="18%" ItemStyle-Width="18%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                            <span class="icon">
                                                                                                                <img src="../images/icn-address.gif" align="top" alt="" style="padding-bottom: 5px;" /></span>
                                                                                                            <asp:Label ID="lblSta" Text="Status" runat="server"></asp:Label>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:Label ID="lblstatus" runat="server" Text='<%# Eval("VehicleStatus") %>'></asp:Label>
                                                                                                            <%--<asp:ImageButton id="ibtnStatus" runat="server" />--%>
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="5%" ItemStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:ImageButton ID="ibtnEdit" Visible="true" runat="server" ImageUrl="../images/icn-edit.gif"
                                                                                                                ToolTip="Click here to Re-Schedule" OnClientClick="return UpdateConfirm();" CommandArgument='<%# Eval("ScheduleId")+","+Eval("VehicleStatus")+","+Eval("DriverId") %>'
                                                                                                                OnClick="ibtnEdit_Click" />
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                    <asp:TemplateField HeaderStyle-Width="5%" ItemStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
                                                                                                        <HeaderTemplate>
                                                                                                        </HeaderTemplate>
                                                                                                        <ItemTemplate>
                                                                                                            <asp:ImageButton ID="ibtnDelete" Visible="false" runat="server" ImageUrl="../images/delete-icon.gif"
                                                                                                                ToolTip="Click here to delete" OnClientClick="return DeleteConfirm();" CommandArgument='<%# Eval("AssignmentId")+","+Eval("VehicleStatus")+","+Eval("DriverId") %>'
                                                                                                                OnClick="ibtnDelete_Click" />
                                                                                                        </ItemTemplate>
                                                                                                    </asp:TemplateField>
                                                                                                </Columns>
                                                                                                <SelectedRowStyle BackColor="Aqua" />
                                                                                                <EmptyDataTemplate>
                                                                                                    No Vehicles found
                                                                                                </EmptyDataTemplate>
                                                                                                <RowStyle CssClass="fleetCon" />
                                                                                                <FooterStyle CssClass="fleetFoot" />
                                                                                                <AlternatingRowStyle CssClass="fleetConalt" />
                                                                                                <SelectedRowStyle CssClass="fleetRowd" />
                                                                                                <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                                                                <HeaderStyle CssClass="fleetHead" />
                                                                                                <EmptyDataRowStyle CssClass="fleetHead" />
                                                                                            </asp:GridView>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                        </Columns>
                                                        <EmptyDataTemplate>
                                                            No Schedule found
                                                        </EmptyDataTemplate>
                                                        <RowStyle CssClass="fleetCon" />
                                                        <FooterStyle CssClass="fleetFoot" />
                                                        <AlternatingRowStyle CssClass="fleetConalt" />
                                                        <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                        <HeaderStyle CssClass="fleetHead" />
                                                        <EmptyDataRowStyle CssClass="fleetHead" />
                                                    </asp:GridView>
                                                </div>
                                            </div>
                                        </div>
                                    </asp:Panel>
                                    <asp:HiddenField ID="hdnbtnName" runat="server" />
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <%--  </div>--%>
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnTest" />
                    <%-- <asp:PostBackTrigger ControlID="btnExport" />--%>
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="display: none;">
                <center>
            <br />
            <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
            <br />
            <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
            <br />
            <br />
            </center>
            </asp:Panel>
            <script language="javascript" type="text/javascript">
                var Alert_Delete = "Do you want to delete this Trip.";
                var Alert_Update = "Do you want to update this Trip.";

                function setAlertMessageDelete(Delete) {
                    Alert_Delete = Delete;
                }

                function DeleteConfirm() {
                    return confirm(Alert_Delete);
                }
                function UpdateConfirm() {
                    return confirm(Alert_Update);
                }
            </script>

            <script type="text/javascript" src="../js/GridCheckBoxMaintaining.js"></script>
            <script src="../js/CommonFuncitonsInHeader.js" type="text/javascript"></script>
            <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>


            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
