﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_SeverityTemplate, App_Web_cdte31zm" enableeventvalidation="false" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <style type="text/css">
        .style1 {
            width: 32%;
        }
    </style>
    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel runat="server" ID="updDeviceDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div class="clear clearfix">
                                        </div>

                                        <div id="top-content" class="head-part">
                                            <%-- <div class="row">--%>
                                            <div id="heading" class="col-sm-6 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span><span><a
                                                    href="ConfigurationSetup.aspx"><asp:Label ID="lblDevice" runat="server" Text="Device"></asp:Label>
                                                </a></span><span>&gt;</span><span><a href="ManageDevices.aspx"><asp:Label ID="lblManage"
                                                    runat="server">Manage
                                                    Severity Template</asp:Label>
                                                </a></span>
                                            </div>

                                            <div id="" class="col-sm-6 col-md-8 head-part-btns">
                                                <div class="pull-right">
                                                    <div class="ManageGeozoneTableAlign">

                                                        <asp:ImageButton ID="ibtAddTemplate1" runat="server" OnClick="ibtAddTemplate_Click"
                                                            ImageUrl="~/Images/add-severity-template.png" Visible="false"></asp:ImageButton>
                                                        <asp:LinkButton ID="ibtAddTemplate" runat="server" CssClass="MultilingualBtn" OnClick="ibtAddTemplate_Click">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="AddTemplate">
                                                                    <div id="AddTemplateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Add Template
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>


                                                        <asp:ImageButton ID="btnBack1" runat="server" PostBackUrl="~/Forms/ConfigurationSetup.aspx"
                                                            ImageUrl="~/Images/btn-back-to-configuration.jpg" Visible="false" />
                                                        <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="Back">
                                                                    <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Back to Configuration
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone"></div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlSeverityTemplate" runat="server" Visible="false">
                                            <div id="divManageDeviceHolder" class="form-box" runat="server">

                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/Severity Template.png" alt="" /></span>
                                                    <asp:Label ID="lblSeverityTemplate" runat="server" Text="Severity Template
                                                Details"></asp:Label>
                                                </h1>
                                                <div class="col-sm-12 nullpadding" style="padding-top: 5px;">
                                                    <div class="col-sm-3 col-md-4 col-lg-4"></div>
                                                    <div class="col-sm-6 col-md-4 col-lg-4">
                                                        <div class="col-sm-5 col-md-5 col-lg-4 icon-img" style="margin-top: 2px;">
                                                            <asp:Label ID="lblSeverityTempName" runat="server" Text="Severity Template Name"
                                                                CssClass="label"></asp:Label>
                                                        </div>
                                                        <div class="col-sm-7 col-md-7 col-lg-6">
                                                            <asp:TextBox ID="txtSeverityTempName" runat="server" CssClass="form-control FontAlign" MaxLength="20" OnPaste="return false"
                                                                OnDrop="return false"></asp:TextBox>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3 col-md-3 col-lg-4"></div>
                                                </div>
                                                <div class="Clear clearfix"></div>
                                                <div id="trSensorInfo" runat="server">
                                                    <asp:Panel ID="pnlSensorDetails" runat="server">
                                                        <div id="grid-dsply" style="border: none;">
                                                            <div id="top">
                                                                <div id="leftcol">
                                                                    <span class="icon">
                                                                        <img src="../images/icn-sensor-name.gif" alt="" /></span>
                                                                    <span class="txt">
                                                                        <asp:Label Text="Device Sensors" runat="server" ID="lblDeviceSensors"></asp:Label>
                                                                    </span>
                                                                </div>
                                                            </div>
                                                            <div class="clear clearfix">
                                                            </div>
                                                            <asp:HiddenField ID="hdnSelectedSensorUnAssignIds" runat="server" Value="" />

                                                            <div class="table-responsive">
                                                                <dxw:ASPxGridView ID="gvSensorUnAssign" runat="server" Width="100%" KeyFieldName="SensorId"
                                                                    EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css"
                                                                    CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvSensorUnAssign_HtmlRowCreated">
                                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                                    <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                    <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                        CssPostfix="Office2003_Blue">
                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                        </Header>
                                                                        <LoadingPanel ImageSpacing="10px">
                                                                        </LoadingPanel>
                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                        </PagerBottomPanel>
                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                        </PagerTopPanel>
                                                                    </Styles>
                                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                        NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                        NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                    </SettingsPager>
                                                                    <Columns>
                                                                        <dxw:GridViewDataColumn FieldName="SensorId" Caption="Sensor Id" VisibleIndex="0"
                                                                            Visible="false" Width="5%">
                                                                        </dxw:GridViewDataColumn>
                                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                                            <HeaderTemplate>
                                                                                <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvSensorUnAssign.SelectAllRowsOnPage(this.checked);"
                                                                                    style="vertical-align: middle;"></input>
                                                                            </HeaderTemplate>
                                                                            <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                        </dxw:GridViewCommandColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="SensorName" Caption="Sensor Name" VisibleIndex="2"
                                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                            <HeaderCaptionTemplate>
                                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img src="../images/icn-sensor-name.gif" alt="" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lblSensorName" runat="server" Text="Sensor Name"></asp:Label>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </HeaderCaptionTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="ActionOn" Caption="Action On" VisibleIndex="3"
                                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                            <HeaderCaptionTemplate>
                                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img src="../images/icn-action-on.gif" alt="" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lblActionOn" runat="server" Text="Action On"></asp:Label>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </HeaderCaptionTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="ActionOff" Caption="Action Off" VisibleIndex="4"
                                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="30%">
                                                                            <HeaderCaptionTemplate>
                                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img src="../images/icn-action-off.gif" alt="" align="top" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lblActionOff" runat="server" Text="Action Off"></asp:Label>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </HeaderCaptionTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                    </Columns>
                                                                    <SettingsText EmptyDataRow="No unassigned sensor details found" />
                                                                </dxw:ASPxGridView>
                                                            </div>


                                                        </div>
                                                        <br />
                                                    </asp:Panel>
                                                </div>
                                                <div runat="server" id="trOutputInfo">

                                                    <asp:Panel ID="pnlOutputDetails" runat="server">
                                                        <br />
                                                        <div id="grid-dsply" style="border: none;">
                                                            <div id="top">
                                                                <div id="leftcol">
                                                                    <span class="icon">
                                                                        <img src="../images/icn-output-name.gif" alt="" /></span>
                                                                    <span class="txt">
                                                                        <asp:Label ID="lblDeviceOutputs" runat="server" Text="Device Outputs"></asp:Label></span>
                                                                </div>
                                                            </div>

                                                            <asp:HiddenField ID="hdnSelectedOutputUnAssignIds" runat="server" Value="" />
                                                            <div class="clear clearfix">
                                                            </div>
                                                            <div class="table-responsive">
                                                                <dxw:ASPxGridView ID="gvOutputUnAssign" runat="server" Width="100%" KeyFieldName="OutputId"
                                                                    EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css"
                                                                    CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvOutputUnAssign_HtmlRowCreated">
                                                                    <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(3); }" />
                                                                    <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                                            Width="11px" />
                                                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                                            Width="11px" />
                                                                    </Images>--%>
                                                                    <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                        CssPostfix="Office2003_Blue">
                                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                        </Header>
                                                                        <LoadingPanel ImageSpacing="10px">
                                                                        </LoadingPanel>
                                                                        <PagerBottomPanel CssClass="PageFooter">
                                                                        </PagerBottomPanel>
                                                                        <PagerTopPanel CssClass="PageFooter">
                                                                        </PagerTopPanel>
                                                                    </Styles>
                                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                        NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                        NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                    </SettingsPager>
                                                                    <Columns>
                                                                        <dxw:GridViewDataColumn FieldName="OutputId" Caption="Output Id" VisibleIndex="0"
                                                                            Visible="false" Width="5%">
                                                                        </dxw:GridViewDataColumn>
                                                                        <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="5%">
                                                                            <HeaderTemplate>
                                                                                <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvOutputUnAssign.SelectAllRowsOnPage(this.checked);"
                                                                                    style="vertical-align: middle;"></input>
                                                                            </HeaderTemplate>
                                                                            <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                        </dxw:GridViewCommandColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="OutputName" Caption="Output Name" VisibleIndex="2"
                                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="45%">
                                                                            <HeaderCaptionTemplate>
                                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img src="../images/icn-output-name.gif" alt="" align="top" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lblOutputName" runat="server" Text="Output Name"></asp:Label>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </HeaderCaptionTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                        <dxw:GridViewDataTextColumn FieldName="OutputAction" Caption="Output Action" VisibleIndex="3"
                                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="45%">
                                                                            <HeaderCaptionTemplate>
                                                                                <table cellpadding="0" cellspacing="0" border="0">
                                                                                    <tr>
                                                                                        <td>
                                                                                            <img src="../images/icn-output-action.gif" alt="" align="top" />
                                                                                        </td>
                                                                                        <td>
                                                                                            <asp:Label ID="lblOutputAction" runat="server" Text="Output Action"></asp:Label>
                                                                                        </td>
                                                                                    </tr>
                                                                                </table>
                                                                            </HeaderCaptionTemplate>
                                                                        </dxw:GridViewDataTextColumn>
                                                                    </Columns>
                                                                    <SettingsText EmptyDataRow="No unassigned output details found" />
                                                                </dxw:ASPxGridView>
                                                            </div>
                                                        </div>
                                                        <br />
                                                    </asp:Panel>
                                                    <div class="Clear clearfix"></div>
                                                </div>

                                                <div class="col-sm-12 rowTollgate">
                                                    <div class="col-sm-4 col-lg-5"></div>
                                                    <div class="col-sm-3 col-lg-2">
                                                        <div class="col-sm-12">
                                                            <asp:ImageButton ID="ibtSaveTemplate1" runat="server" OnClientClick="return SeverityTemplateValidation();"
                                                                ImageUrl="~/images/btn-save.jpg" OnClick="ibtSaveTemplate_Click" Visible="false" />
                                                            <asp:LinkButton ID="ibtSaveTemplate" runat="server" CssClass="MultilingualBtn" OnClientClick="return SeverityTemplateValidation();"
                                                                OnClick="ibtSaveTemplate_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Save">
                                                                        <div id="SaveDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Save
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>

                                                            <asp:ImageButton ID="ibtCancelTemplate1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                OnClick="ibtCancelTemplate_Click" Visible="false" />
                                                            <asp:LinkButton ID="ibtCancelTemplate" runat="server" CssClass="MultilingualBtn" OnClick="ibtCancelTemplate_Click">
                                                                <span runat="server" class="MultilingualBtnspan">
                                                                    <div class="Cancel">
                                                                        <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                            Cancel
                                                                        </div>
                                                                    </div>
                                                                </span>
                                                            </asp:LinkButton>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-5"></div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>

                                            </div>
                                        </asp:Panel>

                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlSeverityTemplateList" runat="server">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/Severity Template.png" alt="" /></span><asp:Label ID="lblManageSeverityTemplate"
                                                            runat="server" Text="Manage Severity Template"></asp:Label>
                                                </h1>
                                                <div id="grid-dsply">
                                                    <div class="clear clearfix">
                                                    </div>
                                                    <div class="table-responsive">
                                                        <dxw:ASPxGridView ID="gvSeverityTemplate" ClientInstanceName="gvSeverityTemplate" runat="server"
                                                            Width="100%" EnableTheming="true" Theme="Office2003Blue" KeyFieldName="SeverityTempId"
                                                            CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                            OnHtmlRowCreated="gvSeverityTemplate_HtmlRowCreated">
                                                            <%--<Images ImageFolder="~/App_Themes/office2003Blue/GridView/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/Office2  003 Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                            <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                CssPostfix="Office2003_Blue">
                                                                <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                </Header>
                                                                <LoadingPanel ImageSpacing="10px">
                                                                </LoadingPanel>
                                                                <PagerBottomPanel CssClass="PageFooter">
                                                                </PagerBottomPanel>
                                                                <PagerTopPanel CssClass="PageFooter">
                                                                </PagerTopPanel>
                                                            </Styles>
                                                            <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                            </SettingsPager>
                                                            <Columns>
                                                                <dxw:GridViewDataTextColumn FieldName="SeverityTempName" Caption="Severity Template Name"
                                                                    VisibleIndex="0" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="27%">
                                                                    <HeaderCaptionTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td style="padding: top:5px; padding-bottom: 5px;">
                                                                                    <span class="icon">
                                                                                        <img src="../images/Severity Template.png" alt="" /></span>
                                                                                </td>
                                                                                <td style="padding-left: 5px; padding-top: 5px;">
                                                                                    <asp:Label ID="lblSeverityTempName" runat="server" Text="Severity Template Name"></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="SensorNames" Caption="Sensor Names" VisibleIndex="1"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="35%" HeaderStyle-VerticalAlign="Middle">
                                                                    <HeaderCaptionTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <span class="icon">
                                                                                        <img src="../images/icn-sensor-name.gif" alt="" /></span>
                                                                                </td>
                                                                                <td style="padding-left: 5px; padding-top: 5px;">
                                                                                    <asp:Label ID="lblSensorNames" runat="server" Text="Sensor Names"></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn FieldName="OutputNames" Caption="Output Names" VisibleIndex="2"
                                                                    HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="35%">
                                                                    <HeaderCaptionTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <span class="icon">
                                                                                        <img src="../images/icn-output-name.gif" alt="" /></span>
                                                                                </td>
                                                                                <td style="padding-left: 5px; padding-top: 5px;">
                                                                                    <asp:Label ID="lblOutputNames" runat="server" Text="Output Names"></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </HeaderCaptionTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                                <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                                    CellStyle-HorizontalAlign="Center" VisibleIndex="4">
                                                                    <HeaderTemplate>
                                                                    </HeaderTemplate>
                                                                    <DataItemTemplate>
                                                                        <%--confirm('do you want to really delete this Severity Template.')--%>
                                                                        <asp:LinkButton ID="ibtDelete" runat="server"
                                                                            CommandArgument='<%#Eval("SeverityTempId") %>' OnClick="ibtDelete_click"><img src="../images/delete-icon.gif" alt="" /></asp:LinkButton>
                                                                    </DataItemTemplate>
                                                                </dxw:GridViewDataTextColumn>
                                                            </Columns>
                                                            <SettingsText EmptyDataRow="No device details found" />
                                                            <SettingsBehavior AllowFocusedRow="false" />
                                                        </dxw:ASPxGridView>
                                                    </div>
                                                </div>
                                            </div>
                                        </asp:Panel>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <!-- Content Ends Here -->
                </ContentTemplate>
            </asp:UpdatePanel>
            <script src="../js/ScriptToClearCtrls.js" type="text/javascript"></script>
            <script src="../js/myformvalidations.js" type="text/javascript"></script>

            <script type="text/javascript" language="javascript" src="../js/GridCheckBoxMaintaining.js"></script>

            <script type="text/javascript" language="javascript" src="../js/ManageDevicesScript.js"></script>

            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
