﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_TrackLocation, App_Web_5q3yf04y" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>Max Smart FMS</title>
    <style type="text/css">
        .content-wrap {
            min-height: 80% !important;
        }

        html, body {
            height: 85% !important;
        }

        .panel, .panelcollapsed {
            background: #eee none repeat scroll 0 0 !important;
            border: 1px solid #999 !important;
            margin: 5px !important;
            opacity: 0.8 !important;
            padding: 0 0 5px !important;
            width: 120px !important;
        }

        .panelcontent {
            background: #eee none repeat scroll 0 0 !important;
            overflow: hidden !important;
        }

        .panel h2, .panelcollapsed h2 {
            background: darkgray url("../images/arrow-up.gif") no-repeat scroll 100px center !important;
            border-color: #fff #fff #999 !important;
            border-style: solid !important;
            border-width: 1px !important;
            cursor: pointer !important;
            font: 12px arial !important;
            margin: 0 !important;
            padding: 4px !important;
        }

        .modal-content {
            background-color: #fff !important;
        }

        .modal-dialog {
            z-index: 100000 !important;
        }

        .btn {
            padding: 3px 6px !important;
        }

        .pageContainer {
            min-height: 99% !important;
        }

        .navbar {
            position: relative !important;
            bottom: 0px !important;
            width: 100% !important;
        }
    </style>
    <script src="../js/jquery-1.11.3.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <link href="../css/bootstrap-dialog.min.css" rel="stylesheet" type="text/css" />
    <script src="../js/bootstrap-dialog.min.js"></script>
    <link id="Link1" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
    <script src="../js/wow.min.js"></script>
</head>
<body onload="loadTicketVehicle()">
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <div class="container-fluid header">
                <div class="col-md-1 col-sm-2 logo">
                    <asp:Panel ID="pnlTrinetraLogo" runat="server" CssClass="HeaderAlign">
                        <span class="left-col"><a href="http://www.trinetrawireless.com">
                            <%-- <img src="../images/trinetra-logo.gif" width="94px" height="35px" alt="" title=""  />--%>
                            <img id="imgTrinetraLogo" src="../images/trinetra-logo.gif" runat="server" alt=""
                                title="" /></a></span>
                    </asp:Panel>
                </div>
                <div class="col-md-4 col-sm-6 logotext">
                    <span class="middle-col" id="spnSolutionCaption" runat="server">GPS Vehicle Tracking & Fleet Management Solutions</span>
                </div>
                <div class="col-md-6 pull-right  col-sm-4">
                    <ul class="right-menu">
                        <li class="user">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                                <ContentTemplate>
                                    <asp:LinkButton ID="btnRefresh" runat="server" class="btn btn-primary" OnClick="btnRefresh_Click" ToolTip="Refresh" AlternateText="Refresh"><span class="glyphicon glyphicon-refresh"></span></asp:LinkButton>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </li>
                    </ul>
                </div>
            </div>

            <input type="hidden" name="cpe_ClientState" id="cpe_ClientState" />

            <asp:HiddenField ID="hdnMapItValues" runat="server" />
            <div id="mainDiv" runat="server" style="height: Auto; width: 100%;">
                <div id="map-legend" style="right: 0px; height: auto; position: absolute; z-index: 100; margin-top: 0px; padding-top: 0px; float: right;">
                </div>
                <div id="map-dsply" style="direction: ltr;">
                </div>
                <style type="text/css">
                    .nm_buttonPair {
                        right: 96%;
                    }

                    @media screen and (-webkit-min-device-pixel-ratio:0) {
                        .nm_zoomWrap {
                            margin-right: 96%;
                        }
                    }

                    .nm_mapSettingsWrap {
                        display: inline-block !important;
                        position: relative;
                        z-index: 10000000;
                    }

                    .nm_right[aria-role="menubar"] {
                        float: left;
                        margin-left: 3px; /*margin-right: 94%;*/
                    }

                    .nm_dropDownMenu {
                        float: left !important;
                        margin-left: 1px !important;
                    }

                    .nm_menuItemMapType {
                        float: left !important;
                        margin-left: 1px !important;
                    }
                    /*.header .logotext
                            {
                                font-size:10px !important;
                            }*/
                </style>

            </div>
            <asp:UpdatePanel ID="updMap" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:LinkButton ID="btnView" runat="server" OnClick="btnView_Click"></asp:LinkButton>
                    <asp:Timer ID="tmrRefresh" runat="server" Enabled="false" OnTick="tmrRefresh_Tick">
                    </asp:Timer>
                    <div class="table-responsive">
                        <div id="grid-dsply">
                            <div class="fleetContent">
                                <asp:GridView ID="gvVehicleData" runat="server" AllowPaging="False" AllowSorting="true"
                                    AutoGenerateColumns="false" CellPadding="0" CellSpacing="1" GridLines="None" Width="100%">
                                    <Columns>
                                        <asp:TemplateField HeaderText="Vehicle Name" HeaderStyle-Font-Bold="false" ItemStyle-Width="30%" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left">
                                            <HeaderTemplate>
                                                <asp:Label ID="lblGroup" runat="server" Text="Vehicle Name" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>
                                            </HeaderTemplate>
                                            <ItemTemplate>
                                                <asp:Label ID="Label5" runat="server" Text='<%# Eval("VehicleDescription") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Date&Time" HeaderStyle-Font-Bold="false" ItemStyle-Width="20%" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left">
                                            <HeaderTemplate>
                                                <asp:Label ID="Label1" runat="server" Text="Date&Time" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>
                                            </HeaderTemplate>
                                            <ItemTemplate>
                                                <asp:Label ID="Label2" runat="server" Text='<%# Eval("OriginDateTime") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Address" HeaderStyle-Font-Bold="false" ItemStyle-Width="40%" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left">
                                            <HeaderTemplate>
                                                <asp:Label ID="Label3" runat="server" Text="Address" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>
                                            </HeaderTemplate>
                                            <ItemTemplate>
                                                <asp:Label ID="Label4" runat="server" Text='<%# Eval("Address") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="Status" HeaderStyle-Font-Bold="false" ItemStyle-Width="10%" HeaderStyle-HorizontalAlign="Left" ItemStyle-HorizontalAlign="Left">
                                            <HeaderTemplate>
                                                <asp:Label ID="lblGroup" runat="server" Text="Status" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>
                                            </HeaderTemplate>
                                            <ItemTemplate>
                                                <asp:Label ID="Label5" runat="server" Text='<%# Eval("Status") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                    <SelectedRowStyle BackColor="Aqua" />
                                    <RowStyle CssClass="fleetCon" />
                                    <FooterStyle CssClass="fleetFoot" />
                                    <AlternatingRowStyle CssClass="fleetConalt" />
                                    <SelectedRowStyle CssClass="fleetRowd" />
                                    <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                    <HeaderStyle CssClass="fleetHead" />
                                </asp:GridView>
                            </div>
                        </div>
                    </div>
                    <asp:Repeater ID="rptrVehicleData" runat="server" Visible="false">
                        <ItemTemplate>
                            <table style="width: 100%; height: auto; border-bottom: #d1d0d1 solid 1px; background-color: whitesmoke;">
                                <tr>
                                    <td style="float: left; padding-top: 5px;">&nbsp;
                                                    <asp:Label ID="lblGroup" runat="server" Text="Vehicle Name:" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>&nbsp;</td>
                                    <td style="float: left; padding-top: 5px;">&nbsp;
                                                    <asp:Label ID="Label5" runat="server" Text='<%# Eval("VehicleDescription") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                    </td>

                                    <td style="float: left; padding-top: 5px;">&nbsp;
                                                    <asp:Label ID="Label1" runat="server" Text="Date&Time:" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>&nbsp;</td>
                                    <td style="float: left; padding-top: 5px;">&nbsp;
                                                    <asp:Label ID="Label2" runat="server" Text='<%# Eval("OriginDateTime") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                    </td>

                                    <td style="float: left; padding-top: 5px;">&nbsp;
                                                    <asp:Label ID="Label3" runat="server" Text="Address:" Font-Size="10" Font-Bold="true" ForeColor="black"></asp:Label>&nbsp;</td>
                                    <td style="float: left; padding-top: 5px;">&nbsp;
                                                    <asp:Label ID="Label4" runat="server" Text='<%# Eval("Address") %>' Font-Size="9" Font-Bold="false" ForeColor="black"></asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </ItemTemplate>
                    </asp:Repeater>

                </ContentTemplate>
            </asp:UpdatePanel>
        </form>
    </div>
    <div class="container-fluid footer-wrap navbar">
        <div class="row">
            <p style="font-size: 10px;">
                <%--<span class="center-col" id="spnCent">
        </span><span class="right-col" id="spnRight">
        </span><span class="left-col" id="spnLeft"></span>--%>
                <span id="footerText" runat="server" class="center-col col-lg-11"></span>
            </p>
        </div>
    </div>
    <script type="text/javascript">
        function ShowPopUp() {

        }
        function HidePopUp() {

        }
    </script>
</body>
</html>
