﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_EquipmentAssignment, App_Web_azu0ludn" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>tSense-IoT Equipment Assignment</title>
    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <%--<link href="../css/Updated_css.css" rel="stylesheet" type="text/css" />--%>
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon" />
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <%--<script src="../js/bootstrap.min.js" type="text/javascript"></script>--%>
    <script src="../js/jquery-1.11.2.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script lang="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script src="../js/InventoryMgmt.js" type="text/javascript"></script>
    <script lang="javascript" type="text/javascript">
        function HidePopUp() {
            if ($find('mpeProgressIndicator') != undefined) {
                $find('mpeProgressIndicator').hide();
            }
        }
        function ShowPopUp() {
            if ($find('mpeProgressIndicator') != undefined) {
                $find('mpeProgressIndicator').show();
            }
        }
    </script>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel ID="updGrid" runat="server">
                <ContentTemplate>

                    <div class="vlive-reports-section maintenance">
                        <div class="container-fluid">
                            <div class="row clearfix">
                                <div class="col-ks-16">
                                    <div class="col-ks-8 HeaderTest">
                                        <div class="col-ks-16">
                                            <h2 class="pull-left">
                                                <asp:Literal ID="lblConfigurationCaption" Text="Configuration" runat="server"></asp:Literal>
                                            </h2>
                                        </div>
                                        <div class="col-ks-16">
                                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                                <NodeStyle CssClass="active" />
                                            </asp:SiteMapPath>
                                        </div>
                                    </div>
                                    <div class="col-ks-8 HeaderTopButton">
                                        <asp:LinkButton ID="lbtUserMgt" runat="server" CssClass="btn-fa-file-text-o btn btn-primary" PostBackUrl="~/Forms/ItemMaster.aspx" Text="&nbsp;&nbsp;Manage Items">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="ibtManageUserGroup" runat="server" CssClass="btn btn-primary btn-fa-microchip"
                                            PostBackUrl="~/Forms/ItemTypeMaster.aspx" Text="&nbsp;&nbsp;Equipment Master">
                                        </asp:LinkButton>
                                        <asp:LinkButton ID="ibtBackToConfig" runat="server" CssClass="fa-arrow-left btn btn-primary" PostBackUrl="~/Forms/ConfigurationSetup.aspx" Text="&nbsp;&nbsp;Back to Configuration">
                                        </asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <asp:Panel ID="pnlUsrGroupSelection" runat="server" CssClass="ControlShow">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_VXL">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblGroupUserAssignment" runat="server" CssClass="pnlhearder" Text="Equipment Assignment"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <div id="divCustomer" runat="server">
                                                <div class="col-ks-2">
                                                    <asp:Label ID="Label1" CssClass="labelAlign" runat="server" Text="Customer Name"></asp:Label>
                                                </div>
                                                <div class="col-ks-3">
                                                    <asp:DropDownList ID="ddlCustomerID" runat="server" CssClass="form-control FontAlign" AutoPostBack="true" TabIndex="1"
                                                        AppendDataBoundItems="true" OnChange="ShowPopUp();" OnSelectedIndexChanged="ddlCustomerID_SelectedIndexChanged">
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                            <div class="col-ks-2">
                                                <asp:Label ID="lblUserGroups" CssClass="labelAlign" runat="server" Text="Device ID"></asp:Label>
                                            </div>
                                            <div class="col-ks-3">
                                                <asp:DropDownList ID="ddlDevice" runat="server" CssClass="form-control FontAlign" AutoPostBack="true" TabIndex="1"
                                                    AppendDataBoundItems="true" OnChange="ShowPopUp();" OnSelectedIndexChanged="ddlDevice_SelectedIndexChanged">
                                                    <asp:ListItem Text="- Select -" Value="0"></asp:ListItem>
                                                </asp:DropDownList>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>
                    <asp:Panel ID="pnlUnAssignedUsersList" runat="server" CssClass="ControlHide">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblUnassignedUsers" runat="server" Font-Bold="true" Text="Unassigned Equipment"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <div class="col-md-12">
                                            <asp:HiddenField ID="hdnitemToBeAssigned" runat="server" />
                                            <asp:HiddenField ID="hdnAssignedEquipment" runat="server" />
                                            <dxw:ASPxGridView ID="gvUnAssignedEquipment" runat="server" Width="100%" KeyFieldName="ItemTypeID"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvUnAssignedEquipment_HtmlRowCreated"
                                                EnableViewState="false" OnAfterPerformCallback="gvUnAssignedEquipment_AfterPerformCallback" TabIndex="3">
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="ItemTypeID" Caption="ItemTypeID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvUnAssignedEquipment.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;"
                                                                tabindex="1"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="ItemTypeName" Caption="Equipment Name" VisibleIndex="2"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <%-- <img src="../images/icn-device-id.gif" align="top" alt="" /></span> <span class="label">--%>
                                                                <asp:Label ID="lblItemTypeNameH" runat="server" Text="Equipment Name"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblItemTypeName" runat="server" Text='<%# Eval("ItemTypeName") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ItemtypeDesc" Caption="Equipment Desc" VisibleIndex="3" Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <%-- <img src="../images/Description.png" align="top" alt="" /></span> <span class="label">--%>
                                                                <asp:Label ID="lblItemtypeDescH" runat="server" Text="Equipment Desc"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblItemtypeDesc" runat="server" Text='<%# Eval("ItemtypeDesc") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ItemList" Caption="ItemList" VisibleIndex="4"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <%--<img src="../images/icn-category.gif" align="top" alt="" /></span> <span class="label">--%>
                                                                <asp:Label ID="lblItemListH" runat="server" Text="ItemList"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <DataItemTemplate>
                                                            <asp:Label ID="lblItemList" runat="server" Text='<%# Eval("ItemList") %>'></asp:Label>
                                                        </DataItemTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                </Columns>
                                                <SettingsText EmptyDataRow="No Unassigned Equipment found" />
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-14_5">
                                            </div>
                                            <div class="col-ks-1_5">
                                                <asp:LinkButton ID="btnAssignEquipment" runat="server" CssClass="btn btn-primary btn-fa-check-circle-o" OnClick="btnAssignEquipment_Click" TabIndex="4" OnClientClick="ShowPopUp();" Text="&nbsp;&nbsp;Assign">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>

                    <div class="clear clearfix">
                    </div>
                    <asp:Panel ID="pnlAssignedUsersList" runat="server" CssClass="ControlHide">
                        <div class="vlive-filter">
                            <div class="container-fluid">
                                <div class="vlive-centrifugal-fan maintenance-plan">
                                    <div class="col-ks-16 vlive-header_Sub">
                                        <div class="col-ks-16">
                                            <asp:Label ID="lblAssignedUsers" runat="server" Font-Bold="true" Text="Assigned Equipment"></asp:Label>
                                        </div>
                                    </div>
                                    <div class="row ftop">
                                        <asp:HiddenField ID="hdnItemToBeUnassinged" runat="server" />
                                        <div class="col-md-12">
                                            <dxw:ASPxGridView ID="gvAssignedEquipment" runat="server" Width="100%" KeyFieldName="ItemTypeID"
                                                CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvAssignedEquipment_HtmlRowCreated"
                                                OnAfterPerformCallback="gvAssignedEquipment_AfterPerformCallback" TabIndex="5">
                                                <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                    CssPostfix="Office2003_Blue">
                                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                    </Header>
                                                    <LoadingPanel ImageSpacing="10px">
                                                    </LoadingPanel>
                                                    <PagerBottomPanel CssClass="PageFooter">
                                                    </PagerBottomPanel>
                                                    <PagerTopPanel CssClass="PageFooter">
                                                    </PagerTopPanel>
                                                </Styles>
                                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                    PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                    NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                    NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                </SettingsPager>
                                                <Columns>
                                                    <dxw:GridViewDataColumn FieldName="ItemTypeID" Caption="ItemTypeID" VisibleIndex="0" Visible="false">
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="50px">
                                                        <HeaderTemplate>
                                                            <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvAssignedEquipment.SelectAllRowsOnPage(this.checked);"
                                                                style="vertical-align: middle;"
                                                                tabindex="5"></input>
                                                        </HeaderTemplate>
                                                        <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                    </dxw:GridViewCommandColumn>
                                                    <dxw:GridViewDataColumn FieldName="ItemTypeName" Caption="Equipment Name" VisibleIndex="2"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <%--<img src="../images/icn-device-id.gif" align="top" alt="" /></span> <span class="label">--%>
                                                                <asp:Label ID="lblItemTypeName" runat="server" Text="Equipment Name"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ItemtypeDesc" Caption="Equipment Desc" VisibleIndex="3" Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <%--<img src="../images/Description.png" align="top" alt="" /></span> <span class="label">--%>
                                                                <asp:Label ID="lblItemtypeDesc" runat="server" Text="Equipment Desc"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="True" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataColumn FieldName="ItemList" Caption="ItemList" VisibleIndex="4"
                                                        Width="150px">
                                                        <HeaderCaptionTemplate>
                                                            <span class="icon">
                                                                <%--<img src="../images/icn-category.gif" align="top" alt="" /></span> <span class="label">--%>
                                                                <asp:Label ID="lblItemList" runat="server" Text="ItemList"></asp:Label></span>
                                                        </HeaderCaptionTemplate>
                                                        <Settings AllowAutoFilter="False" />
                                                    </dxw:GridViewDataColumn>
                                                    <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="11" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                        CellStyle-HorizontalAlign="Center" Name="Edit">
                                                        <HeaderTemplate>
                                                        </HeaderTemplate>
                                                        <DataItemTemplate>
                                                            <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("ItemTypeID") %>'
                                                                alternatetext="Edit" OnClientClick="ShowPopUp();" OnClick="btnEdit_Click"
                                                                ToolTip="Click here to Edit" CssClass="Grid-btn-fa-pencil-square-o">
                                                            </asp:LinkButton>
                                                        </DataItemTemplate>
                                                    </dxw:GridViewDataTextColumn>
                                                </Columns>
                                                <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                <SettingsText EmptyDataRow=" No Assigned Equipment found" />
                                            </dxw:ASPxGridView>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="col-ks-14_5"></div>
                                            <div class="col-ks-1_5">
                                                <asp:LinkButton ID="btnUnassignEquipment" runat="server" TabIndex="6" CssClass="btn btn-primary btn-fa-times-circle-o" OnClick="btnUnassignEquipment_Click" OnClientClick="ShowPopUp();" Text="&nbsp&nbsp;Unassign">
                                                </asp:LinkButton>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </asp:Panel>



                    <asp:Panel ID="pnlEnergy" runat="server" CssClass="Shift-edit-LandmarkPanel col-sm-8 col-md-6 col-lg-5" Style="display: none;">
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <div class="popup">
                                    <div class="top">
                                        <h1>
                                            <asp:Label ID="Label2" Text="Item's Information" runat="server"></asp:Label>
                                        </h1>
                                        <div class="close">
                                            <asp:LinkButton ID="lnkclose" runat="server" OnClientClick="return ClosePopup(false, this); false"
                                                CssClass="Map-btn-fa-times-circle-o" />
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                    <div class="popup-cont">
                                        <div class="form-horizontal">
                                            <div class="form-group">
                                                <div class="col-md-12">
                                                    <div class="panel panel-default col-md-12" style="background-color: white !important;">
                                                        <div class="panel-body">
                                                            <div class="form-group">
                                                                <div class="col-md-12">
                                                                    <dxw:ASPxGridView ID="gvEQItemList" runat="server" Width="100%" KeyFieldName="ItemSNo"
                                                                        CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                                        EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvEQItemList_HtmlRowCreated"
                                                                        OnAfterPerformCallback="gvEQItemList_AfterPerformCallback" TabIndex="5">
                                                                        <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                                            CssPostfix="Office2003_Blue">
                                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                                            </Header>
                                                                            <LoadingPanel ImageSpacing="10px">
                                                                            </LoadingPanel>
                                                                            <PagerBottomPanel CssClass="PageFooter">
                                                                            </PagerBottomPanel>
                                                                            <PagerTopPanel CssClass="PageFooter">
                                                                            </PagerTopPanel>
                                                                        </Styles>
                                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                                            NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                                            NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                                        </SettingsPager>
                                                                        <Columns>
                                                                            <dxw:GridViewDataColumn FieldName="ItemSNo" Caption="ItemSNo" VisibleIndex="0" Visible="false">
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewCommandColumn ShowSelectCheckbox="True" VisibleIndex="1" Width="10%">
                                                                                <HeaderTemplate>
                                                                                    <input type="checkbox" id="chkSelectAll" runat="server" onclick="gvEQItemList.SelectAllRowsOnPage(this.checked);"
                                                                                        style="vertical-align: middle;"
                                                                                        tabindex="5"></input>
                                                                                </HeaderTemplate>
                                                                                <HeaderStyle Paddings-PaddingTop="1" Paddings-PaddingBottom="1" HorizontalAlign="Center" />
                                                                            </dxw:GridViewCommandColumn>
                                                                            <dxw:GridViewDataColumn FieldName="Itemcode" Caption="Item code" VisibleIndex="2" Width="20%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <span class="icon">
                                                                                        <asp:Label ID="lblItemcode" runat="server" Text="Item code"></asp:Label></span>
                                                                                </HeaderCaptionTemplate>
                                                                                <Settings AllowAutoFilter="True" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="ItemName" Caption="ItemName" VisibleIndex="3" Width="30%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <span class="icon">
                                                                                        <asp:Label ID="lblItemName" runat="server" Text="Item Name"></asp:Label></span>
                                                                                </HeaderCaptionTemplate>
                                                                                <Settings AllowAutoFilter="True" />
                                                                            </dxw:GridViewDataColumn>
                                                                            <dxw:GridViewDataColumn FieldName="ItemDesc" Caption="Item Desc" VisibleIndex="4" Width="40%">
                                                                                <HeaderCaptionTemplate>
                                                                                    <span class="icon">
                                                                                        <asp:Label ID="lblItemDesc" runat="server" Text="Item Desc"></asp:Label></span>
                                                                                </HeaderCaptionTemplate>
                                                                                <Settings AllowAutoFilter="False" />
                                                                            </dxw:GridViewDataColumn>
                                                                        </Columns>
                                                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                                        <SettingsText EmptyDataRow=" No Assigned item found" />
                                                                    </dxw:ASPxGridView>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-md-4">
                                                                    Remarks
                                                                </div>
                                                                <div class="col-md-8">
                                                                    <asp:TextBox ID="txtRemarks" runat="server" CssClass="form-control" MaxLength="1500" TextMode="MultiLine" Height="60px"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <div class="col-md-4"></div>
                                                                <div class="col-md-8">
                                                                    <asp:LinkButton ID="btnSaveItemList" runat="server" CausesValidation="true"
                                                                        CssClass="btn btn-primary btn-fa-floppy-o" OnClick="btnSaveItemList_Click" Text="&nbsp;&nbsp;Save" />
                                                                    <asp:LinkButton ID="btnCancelItemList" runat="server"
                                                                        CausesValidation="false" OnClientClick="ClosePopup(false, this);" OnClick="btnCancelItemList_Click"
                                                                        CssClass="btn btn-primary btn-fa-ban" Text="&nbsp;&nbsp;Cancel" />
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </asp:Panel>
                    <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                        TargetControlID="Button1" BackgroundCssClass="modalBackground">
                    </cc1:ModalPopupExtender>
                    <asp:Button ID="Button1" Style="display: none;" runat="server" />
                    <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                        <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
                    </asp:Panel>

                </ContentTemplate>
            </asp:UpdatePanel>

        </form>
    </div>
    <script>
        function ClosePopup(isShow, control) {
            if (document.getElementById('pnlEnergy') != null) {
                document.getElementById('pnlEnergy').style.display = (isShow) ? "block" : "none";
            }
            return false;
        }
        function Okpopup() {
            document.getElementById('pnlEnergy').style.display = "none";
        }
    </script>

    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
