﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_Home, App_Web_qlt3pisl" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head id="Head1" runat="server">
    <title>tSense-IoT Home</title>
    <meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />
    <link href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="smDashboard" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="upVehicleRequisition1" runat="server">
            <ContentTemplate>
                <div id="container">
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content">
                                            <div id="heading">
                                                <img class="icon" src="../images/dashboard-icon.jpg" alt="" />
                                                <h1>Home</h1>
                                                <span><a href="Dashboard.aspx">Home</a></span>
                                            </div>
                                            <div id="control-box">
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>

                                        <asp:Panel ID="pnlUserInfo" runat="server" CssClass="ControlShow" Width="100%">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/CSC/icn-user-profile.gif" alt="" /></span>User Profile</h1>
                                                <table border="0" cellpadding="0" cellspacing="0" width="100%" class="form-tbl">

                                                    <tr>
                                                        <td width="100%">
                                                            <table border="0" cellpadding="0" cellspacing="0" id="tblProfileDetails" runat="server">
                                                                <tr>
                                                                    <td class="split"></td>
                                                                    <td width="100%">
                                                                        <asp:Panel Width="100%" ID="pnlEmployeePersonal" runat="server" BorderColor="AliceBlue"
                                                                            GroupingText="Personal Details">
                                                                            <table border="0" cellspacing="0" cellpadding="0" width="100%" class="form-tbl">
                                                                                <tr id="trManageFleets" runat="server" class="alttblrow">
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td valign="top">
                                                                                        <asp:Label ID="lblEmpId" runat="server" CssClass="label" Text="Employee ID"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmployeeId" Font-Bold="true" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpUserName" Text="User Name" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmployeeUserName" Font-Bold="true" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpFirstName" Text="First Name" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmployeeFirstName" Font-Bold="true" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpLastName" Text="Last Name" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeLastName" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr class="alttblrow">
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpDOB" Text="Date Of Birth" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label ID="lblEmployeeDOB" runat="server" Font-Bold="true" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>


                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpGender" Text="Gender" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmployeeGender" Font-Bold="true" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpDisplayName" Text="Display Name" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeDisplayName" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpMobileNo" Text="Mobile Number" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeMobileNo" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr class="alttblrow">
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpPhoneNo" Text="Phone Number" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeePhoneNo" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEmailId" Text="Email ID" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeEmailID" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpManager" Text="Manager Name" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeManagerName" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>

                                                                                        <asp:Label runat="server" ID="lblEmpAddress" Text="Address" CssClass="label"></asp:Label>

                                                                                    </td>
                                                                                    <td>
                                                                                        <div style="width: 50%;">
                                                                                            <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeAddress" CssClass="label"></asp:Label>
                                                                                        </div>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr class="alttblrow">
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpDepartment" Text="Department Name" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeDepartment" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpDivision" Text="Division" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeDivision" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpDOJ" Text="Date Of Join" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeDOJ" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpShift" Text="Shift" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeShift" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr class="alttblrow">
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpCubicleNo" Text="Cubicle Number" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeCubicleNo" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpExtentionNo" Text="Extention Number" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeExtentionNo" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>&nbsp;</td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpBuilding" Text="Building" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeBuilding" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpStatus" Text="Status" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" Font-Bold="true" ID="lblEmployeeStatus" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                </tr>

                                                                            </table>
                                                                        </asp:Panel>
                                                                    </td>

                                                                </tr>

                                                                <tr>
                                                                    <td class="split"></td>

                                                                    <td align="right">
                                                                        <asp:ImageButton ID="lbtnConfiguration" runat="server"
                                                                            ImageUrl="~/images/CSC/btn-edit-profile.jpg" OnClick="lbtnConfiguration_Click"
                                                                            TabIndex="1" />
                                                                        <%--   <asp:LinkButton ID="lbtnConfiguration" runat="server" 
                                                                    Text="Edit Your Profile" ></asp:LinkButton>--%>
                                                                    </td>
                                                                </tr>

                                                            </table>

                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>

                                        <asp:Panel ID="pnlChangePassword" runat="server" CssClass="ControlShow" Width="100%">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/icn-change-password.gif" alt="" /></span>Change Password</h1>

                                                <table border="0" cellpadding="0" cellspacing="0" width="100%" class="form-tbl">

                                                    <tr>
                                                        <td width="100%">
                                                            <table border="0" cellpadding="0" cellspacing="0">
                                                                <tr>
                                                                    <td class="split"></td>
                                                                    <td width="100%">
                                                                        <asp:Panel Width="100%" ID="Panel2" runat="server" BorderColor="AliceBlue"
                                                                            GroupingText="Password Details">
                                                                            <table border="0" cellspacing="0" cellpadding="0" width="100%" class="form-tbl">

                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditNewPassword" Text="New Password" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtNewPassword" runat="server" MaxLength="12"
                                                                                            TextMode="Password" onkeypress="return chkDescription(event,this,11);"
                                                                                            TabIndex="2"></asp:TextBox>
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditConfirmPassword" Text="Confirm Password" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtConfirmPassword" runat="server" MaxLength="12"
                                                                                            TextMode="Password" onkeypress="return chkDescription(event,this,11);"
                                                                                            TabIndex="3"></asp:TextBox>
                                                                                    </td>

                                                                                    <td align="center" colspan="2">
                                                                                        <asp:ImageButton ID="ibtnUpdatePassword" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                                            TabIndex="4" OnClientClick="return ValidateProfile(true);"
                                                                                            OnClick="ibtnUpdatePassword_Click" />
                                                                                        <asp:ImageButton ID="ibtnCancelPassword" runat="server" TabIndex="5"
                                                                                            ImageUrl="~/images/btn-cancel.jpg" OnClick="ibtnCancelPassword_Click" />

                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </asp:Panel>
                                                                    </td>

                                                                </tr>

                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                        <asp:Panel ID="pnlProfileConfiguration" runat="server" CssClass="ControlShow" Width="100%">
                                            <div class="form-box">
                                                <h1>
                                                    <span class="icon">
                                                        <img src="../images/CSC/icn-user-profile.gif" alt="" /></span>User Profile</h1>

                                                <table border="0" cellpadding="0" cellspacing="0" width="100%" class="form-tbl">

                                                    <tr>
                                                        <td width="100%">
                                                            <table border="0" cellpadding="0" cellspacing="0">
                                                                <tr>
                                                                    <td class="split"></td>
                                                                    <td width="100%">
                                                                        <asp:Panel Width="100%" ID="pnlEmployeeConfiguration" runat="server" BorderColor="AliceBlue"
                                                                            GroupingText="Personal Details">
                                                                            <table border="0" cellspacing="0" cellpadding="0" width="100%" class="form-tbl">

                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblFirstName" Text="First Name" CssClass="label"></asp:Label>
                                                                                        <asp:Label runat="server" ID="Label1" Text="*" ForeColor="Red" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtFirstname" runat="server" MaxLength="50"
                                                                                            onkeypress="return chkCharWithDot(this.value)" TabIndex="6"></asp:TextBox>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblLastName" Text="Last Name" CssClass="label"></asp:Label>
                                                                                        <asp:Label runat="server" ID="Label2" Text="*" ForeColor="Red" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtLastName" runat="server"
                                                                                            onkeypress="return chkCharWithDot(this.value)" MaxLength="50" TabIndex="7"></asp:TextBox>
                                                                                    </td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditdispName" Text="Display Name" CssClass="label"></asp:Label>
                                                                                        <asp:Label runat="server" ID="Label3" Text="*" ForeColor="Red" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtDisplayName" runat="server" MaxLength="20"
                                                                                            onkeypress="chkAlphaNumericWithoutSpace(event,this,19)" TabIndex="8"></asp:TextBox>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditMobileNo" Text="Mobile Number" CssClass="label"></asp:Label>
                                                                                        <asp:Label runat="server" ID="Label4" Text="*" ForeColor="Red" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtMobileNo" runat="server" MaxLength="15"
                                                                                            onkeypress="return chkMobile(this);" TabIndex="9"></asp:TextBox>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditPhoneNo" Text="Phone Number" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtPhoneNo" runat="server" MaxLength="20"
                                                                                            onkeypress="return chkPhone(this);" TabIndex="10"></asp:TextBox>
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>&nbsp;
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditAddress" Text="Address" CssClass="label"></asp:Label>
                                                                                        <asp:Label runat="server" ID="Label5" Text="*" ForeColor="Red" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtAddress" runat="server" onkeypress="return chkDescription(event,this,199);"
                                                                                            TextMode="MultiLine"
                                                                                            onblur="disallowScriptTags(this);" TabIndex="11"></asp:TextBox>
                                                                                    </td>
                                                                                </tr>

                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditBuilding" Text="Building" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtBuilding" runat="server"
                                                                                            onkeypress="chkAlphaNumericWithoutSpace(event,this,19)" TabIndex="12"></asp:TextBox>
                                                                                    </td>
                                                                                    <td colspan="2">&nbsp;
                                                                                    </td>

                                                                                    <td>
                                                                                        <asp:Label runat="server" ID="lblEmpEditExtensionNo" Text="Extension Number" CssClass="label"></asp:Label>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:TextBox ID="txtExtensionNo" runat="server"
                                                                                            onkeypress="chkNumeric_only(this)" TabIndex="13"></asp:TextBox>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td class="split"></td>
                                                                                    <td colspan="6">
                                                                                        <asp:Label ID="lblManitary" runat="server" ForeColor="Red">*</asp:Label>
                                                                                        &nbsp;
                                                                <asp:Label ID="lblIndicates" runat="server">Required fields</asp:Label>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </asp:Panel>
                                                                    </td>

                                                                </tr>

                                                            </table>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td align="center">
                                                            <asp:ImageButton ID="ibtnUpdateProfile" runat="server" ImageUrl="~/images/btn-update.jpg"
                                                                TabIndex="14" OnClientClick="return ValidateProfile(false);"
                                                                OnClick="ibtnUpdateProfile_Click" />
                                                            <asp:ImageButton ID="btnProfileCancel" runat="server" TabIndex="15"
                                                                ImageUrl="~/images/btn-cancel.jpg" OnClick="btnProfileCancel_Click" />

                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </asp:Panel>
                                        <asp:HiddenField ID="hdnAddressStatus" runat="server" />
                                        <asp:TextBox ID="txtLatitude" runat="server" Style="display: none;"></asp:TextBox>
                                        <asp:TextBox ID="txtLongitude" runat="server" Style="display: none;"></asp:TextBox>

                                        <%--     <cc1:ModalPopupExtender ID="mpProgress" TargetControlID="pnlUpdateProgress" runat="server" PopupControlID="pnlUpdateProgress"
                           ></cc1:ModalPopupExtender>
                           
                            <asp:Panel ID="pnlUpdateProgress" runat="server"  style="display:none">
                                <div align="center" style="margin-top:13px;">
                                   <div class="progressBackgroundFilter">
                                        </div>
                                        <div class="processMessage" style="z-index: 1000;">
                                            <br />
                                            <img alt="Please Wait ..." src="../images/loader10.gif" /><br />
                                            <br />
                                            <asp:Label ID="lblprogress" Text="Finding the address..Please Wait ..." runat="server" CssClass="specialdisplay"></asp:Label><br />
                                             <br />                                         
                                            
                                        </div>
                                </div>
                            </asp:Panel>--%>
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>

                        </div>
                    </div>
                    <!-- Content Ends Here -->
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
        <uc2:Footer ID="ucFooter" runat="server" />

    </form>

    <script type="text/javascript" src="../js/FormValidations.js" language="javascript"></script>

    <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

    <script language="JavaScript1.2" type="text/javascript" src="../js/formvalidation.js"></script>

    <%-- <script language="JavaScript1.2" type="text/javascript" src="../js/GoogleSearch.js"></script>
    --%>
    <script type="text/javascript">

        //display the Employee location map page 
        function OpenPopup() {
            window.open("EmployeeLocation.aspx", "List", "scrollbars=no,resizable=no,width=400px,height=350px");
            return false;
        }

    </script>

</body>
</html>
