﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_Organization_Management, App_Web_5q3yf04y" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head id="Head1" runat="server">
    <title>tSense-IoT Configuration</title>
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <style type="text/css">
        .style1 {
            width: 30px;
        }
    </style>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <!-- Header Starts Here -->
            <uc1:Header ID="ucHeader" runat="server" />
            <!-- Nav Ends Here -->
            <!-- Content Starts Here -->
            <asp:UpdatePanel runat="server" ID="updFleetDetails">
                <ContentTemplate>
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <%--<div class="clear clearfix">
                                        </div>--%>
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-6 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server"></asp:Literal></h1>
                                                <%--<a href="Dashboard.aspx"> <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label></a>--%>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton>
                                                <span>&gt;</span><span><a href="Organization_Management.aspx">
                                                    <asp:Label ID="lblManageOrganizationCaption" runat="server" Text="Manage Organization"></asp:Label>
                                                </a></span><%--<span><a href="Organization_Management1.aspx">
                                                        <asp:Label ID="Label20" runat="server" Text="Manage Organization1"></asp:Label>
                                                    </a></span>--%>
                                            </div>
                                            <div class="col-sm-6 col-md-8 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="btnAddOrganization1" runat="server" Text="Add Organization"
                                                        ImageUrl="~/images/btn-add-organization.jpg" OnClick="btnAddOrganization_Click"
                                                        Visible="false" />
                                                    <asp:LinkButton ID="btnAddOrganization" runat="server" CssClass="MultilingualBtn"
                                                        OnClick="btnAddOrganization_Click">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="AddOrganization">
                                                                <div id="AddOrganizationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Add Organization
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                    <asp:HyperLink ID="hlBack1" runat="server" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                                        ImageUrl="~/Images/btn-back-to-configuration.jpg" Visible="false"></asp:HyperLink>
                                                    <asp:LinkButton ID="hlBack" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>

                                            <div class="clear clearfix">
                                            </div>
                                            <div class="row-Geozone"></div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Panel ID="pnlManageOrg" runat="server">
                                            <div class="form-box" id="divManageFleetHolder" runat="server">
                                                <h1>
                                                    <span class="icon">
                                                        <asp:Image ID="imgManageOrganization" runat="server" ImageUrl="../images/icn-org-mgt.gif" /></span>
                                                    <asp:Label ID="lblManageOrganization" runat="server" Text="Organization"></asp:Label>
                                                </h1>
                                                <div class="row">
                                                    <div class="col-sm-12 col-md-11 col-lg-8 form-horizontal">
                                                        <div id="tblOrganization" runat="server" class="form-tbl">
                                                            <div class="col-sm-12 form-group" style="padding-top: 10px;">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblOrganizationName" runat="server" Text="Name" CssClass="label"></asp:Label>
                                                                    <asp:Label ID="Label5" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgName" runat="server" CssClass="form-control form-controllinebreak" MaxLength="200" onkeypress="return chkAlphaNumericWithSpace(event,this,199);"
                                                                        Rows="3" onblur="return disallowScriptTags(this);" TextMode="MultiLine"
                                                                        TabIndex="1"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblOrganizationDisplayName" runat="server" CssClass="label" Text="Display Name"></asp:Label>
                                                                    <asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgDisplayName" runat="server" CssClass="form-control" onpaste="return false;" ondrop="return false;"
                                                                        onkeypress="return chkAlphaNumericWithSpace(event,this,19);" MaxLength="20" TabIndex="2"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblOrgCode" runat="server" Text="Code" CssClass="label"></asp:Label>
                                                                    <asp:Label ID="Label22" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgCode" runat="server" CssClass="form-control form-controllinebreak" MaxLength="3" onpaste="return false;"
                                                                        ondrop="return false;" onkeypress="return chkAlphaNumericWithoutSpace(event)"
                                                                        TabIndex="3"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblVATNumber" runat="server" CssClass="label" Text="VAT Number"></asp:Label>
                                                                    <%--<asp:Label ID="Label24" runat="server" ForeColor="Red">*</asp:Label>--%>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtVATNumber" runat="server" CssClass="form-control" onpaste="return false;" ondrop="return false;"
                                                                        onkeypress="return chkAlphaNumericWithSpace(event,this,19);" MaxLength="20" TabIndex="4"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblDesc" runat="server" CssClass="label" Text="Description"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtDescription" runat="server" CssClass="form-control form-controllinebreak" Rows="4" TextMode="MultiLine"
                                                                        onblur="return disallowScriptTags(this);" onkeypress="return chkDescription(event,this,249);"
                                                                        MaxLength="250" TabIndex="5"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblAddress" runat="server" CssClass="label" Text="Address"></asp:Label>
                                                                    <asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtAddress" runat="server" CssClass="form-control" Rows="4" TextMode="MultiLine"
                                                                        onblur="return disallowScriptTags(this);" onkeypress="return chkDescription(event,this,199);"
                                                                        MaxLength="200" TabIndex="6"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblCityName" runat="server" Text="City" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtCityName" runat="server" CssClass="form-control form-controllinebreak" onkeypress="return chkCharacter_only(event)"
                                                                        onpaste="return false;" ondrop="return false;" MaxLength="75" TabIndex="8"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblState" runat="server" CssClass="label" Text="State"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtStateName" CssClass="form-control" runat="server" onkeypress="return chkCharacter_only(event)"
                                                                        onpaste="return false;" ondrop="return false;" MaxLength="75" TabIndex="10"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblCountry" runat="server" Text="Country" CssClass="label"></asp:Label>
                                                                    <asp:Label ID="Label9" runat="server" ForeColor="Red">*</asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:DropDownList ID="ddlCountry" CssClass="form-control form-controllinebreak" runat="server" TabIndex="12">
                                                                    </asp:DropDownList>
                                                                </div>
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblEmail" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgEmail" runat="server" CssClass="form-control" MaxLength="200" ondrop="return false;"
                                                                        onkeypress="return chkDescription(event,this,199);" TabIndex="7" onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblPhoneNo" runat="server" CssClass="label" Text="Phone No"></asp:Label>
                                                                    &nbsp;
                                                                    <asp:Label ID="lblEg" runat="server" Text="For e.g +91-04252-267604"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgPhoneNo" CssClass="form-control form-controllinebreak" runat="server" onkeypress="return chkPhone(this);"
                                                                        MaxLength="20" TabIndex="9" ondrop="return false;"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblMobileNo" runat="server" CssClass="label" Text="Mobile No"></asp:Label>

                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgMobileNo" CssClass="form-control" runat="server" MaxLength="15" onkeypress="return chkMobile(this);"
                                                                        TabIndex="11" ondrop="return false;"></asp:TextBox>
                                                                    <asp:Label ID="lblEgMobile" runat="server" Text="For e.g 919047790266"></asp:Label>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="lblWebSiteURL" runat="server" Text="Website" CssClass="label"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:TextBox ID="txtOrgWebSiteURL" CssClass="form-control form-controllinebreak" runat="server" MaxLength="150" onkeypress="return chkDescription(event,this,149);"
                                                                        onpaste="return false;" ondrop="return false;" onkeydown="return DisableEnterkey(event);"
                                                                        TabIndex="13"></asp:TextBox>
                                                                </div>
                                                                <div class="col-sm-2">
                                                                    <asp:Label ID="lblDistance" runat="server" CssClass="label" Font-Bold="False" Text="Distance"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <div class="col-sm-3 col-xs-3 padding-width-sm-left">
                                                                        <asp:RadioButton ID="rbtMiles" runat="server" CssClass="checkBoxListWrap" GroupName="Distance"
                                                                            Text="Miles" TabIndex="13" onkeydown="return DisableEnterkey(event);" />
                                                                    </div>
                                                                    <div class="col-sm-5 col-xs-4 padding-width-sm-right">
                                                                        <asp:RadioButton ID="rbtKilometers" runat="server" Checked="True" CssClass="checkBoxListWrap"
                                                                            GroupName="Distance" Text="Kilometers" TabIndex="13" onkeydown="return DisableEnterkey(event);" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div id="trParnerDetails" runat="server" visible="false">
                                                                <%-- <div class="col-sm-12 form-group"">
                                                                    <div class="col-sm-2 checkbox nullPaddingTop">--%>
                                                                <asp:CheckBox ID="chkBelongsTo" CssClass="checkbox-inline Icon-Align" Visible="false" runat="server" Text="Partner" onclick="checkBDE(this);" />
                                                                <%-- </div>
                                                                    <div class="col-sm-4">--%>
                                                                <asp:ListBox ID="lbPartnerName" CssClass="form-control" Visible="false" runat="server" Style="overflow: auto; display: none; height: 50px"
                                                                    SelectionMode="Multiple"></asp:ListBox>
                                                                <div class="ControlHide">
                                                                    <asp:Label ID="lblLogo" runat="server" CssClass="label ControlHide" Text="Upload Logo"></asp:Label>
                                                                    <asp:Label ID="lblMap" runat="server" Text="Map"></asp:Label>
                                                                </div>
                                                                <div class="ControlHide">
                                                                    <asp:FileUpload runat="server" ID="fuOrgLogo" TabIndex="14" onpaste="return false;"
                                                                        CssClass="ControlHide" ondrop="return false;" onkeydown="return DisableEnterkey(event);"
                                                                        onchange="LoadOrgLogo(this.id);" />
                                                                    <asp:RadioButtonList ID="rbtMap" CssClass="form-control" runat="server" RepeatDirection="Horizontal">
                                                                        <asp:ListItem Text="Google" Value="0"></asp:ListItem>
                                                                        <asp:ListItem Text="NavTeq" Value="1" Selected="True"></asp:ListItem>
                                                                    </asp:RadioButtonList>
                                                                </div>
                                                                <img id="iOrgLogo" runat="server" src="~/images/OrganizationLogo/trinetra-logo.gif"
                                                                    alt="" style="width: 94px; height: 35px; display: none" visible="false" /></span>
                                                                    <%--</div>
                                                                </div>--%>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2 icon-img">
                                                                    <asp:Label ID="Label15" runat="server" CssClass="label" Text="Currency"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:DropDownList ID="ddlCurrency" CssClass="form-control form-controllinebreak" runat="server" TabIndex="12">
                                                                        <asp:ListItem Text="INR" Value="1" Selected="True"></asp:ListItem>
                                                                        <asp:ListItem Text="USD" Value="2"></asp:ListItem>
                                                                        <asp:ListItem Text="AED" Value="3"></asp:ListItem>
                                                                        <asp:ListItem Text="QAR" Value="4"></asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <asp:Panel ID="pnlLang" runat="server" GroupingText="Languages" Visible="false">
                                                                    <div class="col-sm-2 icon-img checkbox col-Geozone">
                                                                        <asp:CheckBox ID="radEng" runat="server" CssClass="checkbox-inline Icon-Align" Text="English, " Checked="true" Enabled="false" />
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                        <asp:DropDownList ID="ddlLang" runat="server" CssClass="form-control">
                                                                            <asp:ListItem Text="Hindi" Value="2" Selected="True"></asp:ListItem>
                                                                            <asp:ListItem Text="Arabic" Value="3"></asp:ListItem>
                                                                        </asp:DropDownList>
                                                                    </div>
                                                                    <div class="col-sm-6 checkbox col-Geozone">
                                                                        <asp:CheckBox ID="ChkLabelOnly" runat="server" CssClass="checkbox-inline Icon-Align " Text="Labels" Checked="true" Enabled="false" />

                                                                        <asp:CheckBox ID="ChkMapOnly" CssClass="checkbox-inline Icon-Align " runat="server" Text="Map" />

                                                                        <asp:CheckBox ID="ChkAddressOnly" CssClass="checkbox-inline Icon-Align " runat="server" Text="Address" />
                                                                    </div>
                                                                </asp:Panel>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <asp:Panel ID="pnlTrinetraAppSettings" runat="server" GroupingText="Mobile App Settings"
                                                                    Visible="false">
                                                                    <div class="col-sm-2 checkbox col-Geozone">
                                                                        <asp:CheckBox ID="chkEnableApp" CssClass="checkbox-inline Icon-Align" runat="server" Text="Enable App" Checked="false"
                                                                            onclick="javascript:FunEnableApp();" />
                                                                    </div>
                                                                    <div class="col-sm-10">
                                                                        <div class="col-sm-4 nullpadding">
                                                                            <div class="col-sm-3 nullpadding icon-img">
                                                                                <asp:Label ID="lblExpDate" runat="server" Text="From" Style="display: none"
                                                                                    CssClass=""></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-8 nullpadding">
                                                                                <asp:TextBox ID="txtInstalledDate" runat="server" oncopy="return false" oncut="return false"
                                                                                    CssClass="form-control form-controllinebreak" onkeydown="" onkeypress="return false" onpaste="return false"
                                                                                    ToolTip="dd-MMM-yyyy" Style="display: none"></asp:TextBox>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-4 nullpadding">
                                                                            <div class="col-sm-3 nullpadding icon-img">
                                                                                <asp:Label ID="lblTotalMonth" runat="server" Text="Expiry in" Style="display: none"
                                                                                    CssClass=""></asp:Label>

                                                                            </div>
                                                                            <div class="col-sm-8 nullpadding">
                                                                                <asp:DropDownList ID="ddlExpiryMonth" CssClass="form-control form-controllinebreak" runat="server" Style="display: none">
                                                                                    <asp:ListItem Text="1 week" Value="7"></asp:ListItem>
                                                                                    <asp:ListItem Text="15 days" Value="15"></asp:ListItem>
                                                                                    <asp:ListItem Text="1 Month" Value="30" Selected="True"></asp:ListItem>
                                                                                    <asp:ListItem Text="2 Months" Value="60"></asp:ListItem>
                                                                                    <asp:ListItem Text="3 Months" Value="90"></asp:ListItem>
                                                                                    <asp:ListItem Text="6 Months" Value="180"></asp:ListItem>
                                                                                    <asp:ListItem Text="1 Year" Value="365"></asp:ListItem>
                                                                                </asp:DropDownList>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-4 nullpadding">
                                                                            <div class="col-sm-6 nullpadding icon-img">
                                                                                <asp:Label ID="lblAppReminder1" runat="server" Text="Reminder (Before Expiry)" Style="display: none"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-6 nullpadding">
                                                                                <asp:DropDownList ID="ddlreminder1" CssClass="form-control form-controllinebreak" runat="server" Style="display: none">
                                                                                    <asp:ListItem Text="2 days" Value="2"></asp:ListItem>
                                                                                    <asp:ListItem Text="3 days" Value="3"></asp:ListItem>
                                                                                    <asp:ListItem Text="5 days" Value="5"></asp:ListItem>
                                                                                    <asp:ListItem Text="10 days" Value="10"></asp:ListItem>
                                                                                    <asp:ListItem Text="15 days" Value="15" Selected="True"></asp:ListItem>
                                                                                </asp:DropDownList>
                                                                            </div>

                                                                            <div class="col-sm-6 nullpadding icon-img">
                                                                                <asp:Label ID="lblAppReminder2" runat="server" Text="(2)" Style="display: none" CssClass="label"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-6 nullpadding">
                                                                                <asp:DropDownList ID="ddlreminder2" CssClass="form-control form-controllinebreak" runat="server" Width="" Style="display: none">
                                                                                    <asp:ListItem Text="15 days" Value="15"></asp:ListItem>
                                                                                    <asp:ListItem Text="10 days" Value="10" Selected="True"></asp:ListItem>
                                                                                    <asp:ListItem Text="5 days" Value="5"></asp:ListItem>
                                                                                    <asp:ListItem Text="3 days" Value="3"></asp:ListItem>
                                                                                    <asp:ListItem Text="2 days" Value="2"></asp:ListItem>
                                                                                </asp:DropDownList>
                                                                            </div>
                                                                            <div class="col-sm-6 nullpadding icon-img">
                                                                                <asp:Label ID="lblAppReminder3" runat="server" Text="(3)" Style="display: none" CssClass="label"></asp:Label>
                                                                            </div>
                                                                            <div class="col-sm-6 nullpadding">
                                                                                <asp:DropDownList ID="ddlreminder3" runat="server" CssClass="form-control form-controllinebreak" Width="" Style="display: none">
                                                                                    <asp:ListItem Text="15 days" Value="15"></asp:ListItem>
                                                                                    <asp:ListItem Text="10 days" Value="10"></asp:ListItem>
                                                                                    <asp:ListItem Text="5 days" Value="5"></asp:ListItem>
                                                                                    <asp:ListItem Text="3 days" Value="3" Selected="True"></asp:ListItem>
                                                                                    <asp:ListItem Text="2 days" Value="2"></asp:ListItem>
                                                                                </asp:DropDownList>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </asp:Panel>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <div class="col-sm-2">
                                                                    <asp:Label ID="lblDisplayLogo" runat="server" CssClass="label ControlHide" Text="Display Logo"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-4">
                                                                    <asp:CheckBoxList ID="chkLogo" runat="server" RepeatDirection="Horizontal" CssClass="ControlHide">
                                                                        <asp:ListItem Selected="True" Text="Trinetra" Value="1"></asp:ListItem>
                                                                        <asp:ListItem Text="Trineta and Partner" Value="2"></asp:ListItem>
                                                                        <asp:ListItem Text="Partner" Value="3"></asp:ListItem>
                                                                    </asp:CheckBoxList>
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-12 form-group">
                                                                <asp:Panel ID="pnlContactDetails" runat="server" GroupingText="Contact Information :">
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPersonName" runat="server" Text="Contact Person Name" CssClass=""></asp:Label>
                                                                            <asp:Label ID="Label25" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPersonName" CssClass="form-control form-controllinebreak" runat="server" onkeypress="return chkCharacter_only(event)"
                                                                                onpaste="return false;" ondrop="return false;" MaxLength="100"
                                                                                TabIndex="15"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblDesignation" runat="server" CssClass="label" Text="Designation"></asp:Label>
                                                                            <asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtDesignation" runat="server" CssClass="form-control" onkeypress="return chkCharacter_only(event)"
                                                                                MaxLength="100" TabIndex="16" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactEmail" runat="server" Text="Email ID" CssClass="label"></asp:Label>
                                                                            <asp:Label ID="Label4" runat="server" ForeColor="Red">*</asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactEmail" runat="server" CssClass="form-control form-controllinebreak" MaxLength="200" onkeypress="return chkDescription(event,this,199);"
                                                                                TabIndex="17" ondrop="return false;" onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPhone" runat="server" CssClass="label" Text="Phone No"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPhoneNo" runat="server" CssClass="form-control" MaxLength="20" onkeypress="return chkPhone(this);"
                                                                                TabIndex="18" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPersonName2" runat="server" Text="Contact Person Name2"
                                                                                CssClass=""></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPersonName2" runat="server" MaxLength="100" CssClass="form-control form-controllinebreak"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="19" ondrop="return false;"
                                                                                onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactEmail2" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactEmail2" runat="server" CssClass="form-control" MaxLength="200" onkeydown="return DisableEnterkey(event);"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="20"
                                                                                ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPersonName3" runat="server" Text="Contact Person Name3"
                                                                                CssClass=""></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPersonName3" runat="server" MaxLength="100" CssClass="form-control form-controllinebreak"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="19" ondrop="return false;"
                                                                                onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactEmail3" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactEmail3" runat="server" MaxLength="200" onkeydown="return DisableEnterkey(event);"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="20" CssClass="form-control"
                                                                                ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPersonName4" runat="server" Text="Contact Person Name4"
                                                                                CssClass=""></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPersonName4" runat="server" MaxLength="100" CssClass="form-control form-controllinebreak"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="19" ondrop="return false;"
                                                                                onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactEmail4" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactEmail4" runat="server" CssClass="form-control" MaxLength="200" onkeydown="return DisableEnterkey(event);"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="20"
                                                                                ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPersonName5" runat="server" Text="Contact Person Name5"
                                                                                CssClass=""></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPersonName5" runat="server" MaxLength="100" CssClass="form-control form-controllinebreak"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="19" ondrop="return false;"
                                                                                onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactEmail5" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactEmail5" runat="server" MaxLength="200" onkeydown="return DisableEnterkey(event);"
                                                                                onkeypress="return chkDescription(event,this,199);" CssClass="form-control" TabIndex="20"
                                                                                ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactPersonName6" runat="server" Text="Contact Person Name6"
                                                                                CssClass=""></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactPersonName6" runat="server" MaxLength="100" CssClass="form-control form-controllinebreak"
                                                                                onkeypress="return chkDescription(event,this,199);" TabIndex="19" ondrop="return false;"
                                                                                onkeydown="return DisableEnterkey(event);"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblContactEmail6" runat="server" CssClass="label" Text="Email ID"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-4">
                                                                            <asp:TextBox ID="txtContactEmail6" runat="server" MaxLength="200" onkeydown="return DisableEnterkey(event);"
                                                                                onkeypress="return chkDescription(event,this,199);" CssClass="form-control" TabIndex="20"
                                                                                ondrop="return false;"></asp:TextBox>
                                                                            <asp:Label ID="lblEgLandLine" runat="server" Text="For e.g +91-04252-267604"></asp:Label>
                                                                        </div>
                                                                    </div>
                                                                </asp:Panel>
                                                            </div>
                                                            <div id="trOrgOtherSettings" runat="server">
                                                                <asp:Panel ID="pnlOrganizationSettings" runat="server" GroupingText="Organization Settings :">
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblTotalEmails" runat="server" CssClass="" Text="Total No of Email Tries"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtTotalNoOfEmails" runat="server" CssClass="form-control form-controllinebreak" MaxLength="4" onpaste="return false;"
                                                                                ondrop="return false;" onkeypress="return chkNumeric_only(event);" TabIndex="19"></asp:TextBox>
                                                                        </div>

                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblTotalSMS" runat="server" CssClass="" Text="Total No of SMS Tries"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtTotalNoOfSMS" runat="server" CssClass="form-control form-controllinebreak" MaxLength="4" onkeypress="return chkNumeric_only(event);"
                                                                                TabIndex="20" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>

                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="Label19" runat="server" CssClass="" Text="Total No of SMS QueryCount"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtSMSQryCount" Text="5" runat="server" MaxLength="4" CssClass="form-control"
                                                                                onkeypress="return chkNumeric_only(event);" TabIndex="20" onpaste="return false;"
                                                                                ondrop="return false;" Enabled="false"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblNoOfFleet" runat="server" Text="Total No of Fleets (including default fleet)"></asp:Label>

                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtNoOfFleet" runat="server" CssClass="form-control form-controllinebreak" MaxLength="3" onkeypress="return chkNumeric_only(event);"
                                                                                TabIndex="21" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblNoOfVehicles" runat="server" CssClass="" Text="Total No of Vehicles"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtNoOfVehicles" CssClass="form-control form-controllinebreak" runat="server" MaxLength="4" onkeypress="return chkNumeric_only(event);"
                                                                                TabIndex="22" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                            <asp:HiddenField ID="hdnNoOfVehicles" runat="server"></asp:HiddenField>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblNoOfUsers" runat="server" CssClass="" Text="Total No of Users (including Administrator)"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtNoOfUsers" runat="server" CssClass="form-control" MaxLength="4" onkeypress="return chkNumeric_only(event);"
                                                                                TabIndex="23" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblNoLandmark" runat="server" Text="Total No of Landmarks"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtNoLandmark" CssClass="form-control form-controllinebreak" runat="server" MaxLength="3" onkeypress="return chkNumeric_only(event);"
                                                                                Width="" TabIndex="21" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblNoGeozone" runat="server" Text="Total No of Geozones"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtNoGeozone" runat="server" MaxLength="3" CssClass="form-control form-controllinebreak" onkeypress="return chkNumeric_only(event);"
                                                                                Width="" TabIndex="21" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                        <div class="col-sm-2 icon-img">
                                                                            <asp:Label ID="lblNoUserGroup" runat="server" Text="Total No of UserGroups"></asp:Label>
                                                                        </div>
                                                                        <div class="col-sm-2">
                                                                            <asp:TextBox ID="txtNoUserGroup" runat="server" CssClass="form-control" MaxLength="3" onkeypress="return chkNumeric_only(event);"
                                                                                Width="" TabIndex="21" onpaste="return false;" ondrop="return false;"></asp:TextBox>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-12 form-group">
                                                                        <div class="col-sm-4 checkbox nullPaddingTop">
                                                                            <asp:CheckBox ID="chkEnforcedPassword" runat="server" CssClass="checkbox-inline icon-label" Text="Enforce Password Policy"
                                                                                onclick="ShowLock();" TabIndex="24" onkeydown="return DisableEnterkey(event);" />
                                                                            <div id="tblPasswordPolicy" class="ControlHide">
                                                                                <div class="col-sm-12 form-group">
                                                                                    <div class="col-sm-6 col-xs-6">
                                                                                        <asp:Label ID="lblPWDMinimum" runat="server" CssClass="" Text="Minimum Characters"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-6 col-xs-6">
                                                                                        <asp:DropDownList ID="ddlPWDMinimum" CssClass="form-control" runat="server" TabIndex="25">
                                                                                            <asp:ListItem Selected="True" Text="6" Value="6">6</asp:ListItem>
                                                                                            <asp:ListItem Text="7" Value="7"></asp:ListItem>
                                                                                            <asp:ListItem Text="8" Value="8"></asp:ListItem>
                                                                                        </asp:DropDownList>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="col-sm-12 form-group">
                                                                                    <div class="col-sm-7 col-xs-7">
                                                                                        <asp:Label runat="server" ID="lblCngPwd" Text="Change on first login"></asp:Label>
                                                                                    </div>
                                                                                    <div class="col-sm-5 col-xs-5">
                                                                                        <asp:CheckBox ID="chkChangeOnFirstLogin" CssClass="checkbox nullPaddingTop" runat="server" TabIndex="26" onkeydown="return DisableEnterkey(event);" />
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-6 checkbox nullPaddingTop">
                                                                            <asp:CheckBox ID="chkEnableLocking" runat="server" CssClass="checkbox-inline icon-label" Text="Enable Locking" onclick="ShowLock();"
                                                                                TabIndex="27" onkeydown="return DisableEnterkey(event);" />
                                                                            <div id="tblLocking" class="ControlHide">
                                                                                <div class="col-sm-12">
                                                                                    <div class="col-xs-12 col-sm-3 padding-width-sm">
                                                                                        <asp:CheckBox ID="chkLockIp" runat="server" onclick="ShowLock();" Text="Lock IP"
                                                                                            onkeydown="return DisableEnterkey(event);" TabIndex="28" />
                                                                                    </div>
                                                                                    <div id="tblLockIP" class="col-xs-10 col-sm-10 paddin-width-sm">
                                                                                        <div class="col-sm-1 col-xs-6 padding-width-sm icon-img">
                                                                                            <asp:Label ID="lblLock" runat="server" Text="for"></asp:Label>
                                                                                        </div>
                                                                                        <div class="col-sm-2 col-xs-4 padding-width-sm icon-img">
                                                                                            <asp:DropDownList ID="ddlIPLockDuration" Width="" CssClass="form-control" runat="server" TabIndex="30">
                                                                                                <asp:ListItem Selected="True">1</asp:ListItem>
                                                                                                <asp:ListItem>2</asp:ListItem>
                                                                                                <asp:ListItem>3</asp:ListItem>
                                                                                                <asp:ListItem>4</asp:ListItem>
                                                                                                <asp:ListItem>5</asp:ListItem>
                                                                                            </asp:DropDownList>
                                                                                        </div>
                                                                                        <div class="col-sm-1 col-xs-2 padding-width-sm icon-img">
                                                                                            <asp:Label ID="lblhrs" runat="server" Text="hrs"></asp:Label>
                                                                                        </div>
                                                                                        <div class="col-sm-1 col-xs-6 padding-width-sm icon-img">
                                                                                            <asp:Label ID="lblhrsafter" runat="server" Text="after"></asp:Label>
                                                                                        </div>
                                                                                        <div class="col-sm-2 col-xs-4 padding-width-sm">
                                                                                            <asp:DropDownList ID="ddlIPTries" Width="" CssClass="form-control" runat="server" TabIndex="29">
                                                                                                <asp:ListItem Selected="True">3</asp:ListItem>
                                                                                                <asp:ListItem>4</asp:ListItem>
                                                                                                <asp:ListItem>5</asp:ListItem>
                                                                                                <asp:ListItem>6</asp:ListItem>
                                                                                            </asp:DropDownList>
                                                                                        </div>
                                                                                        <div class="col-sm-2 col-xs-2 padding-width-sm icon-img">
                                                                                            <asp:Label ID="lblLockUser" runat="server" CssClass="label" Text="invalid tries."></asp:Label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="col-sm-12">
                                                                                    <div class="col-xs-12 col-sm-4 padding-width-sm">
                                                                                        <asp:CheckBox ID="chkLockUser" runat="server" onclick="ShowLock();" Text="Lock User"
                                                                                            onkeydown="return DisableEnterkey(event);" TabIndex="31" />
                                                                                    </div>
                                                                                    <div id="tblLockUser" class="col-xs-10 col-sm-10">
                                                                                        <div class="col-sm-1 col-xs-6 padding-width-sm icon-img">
                                                                                            <asp:Label ID="lblUser" runat="server" Text="after"></asp:Label>
                                                                                        </div>
                                                                                        <div class="col-sm-2 col-xs-4 padding-width-sm">
                                                                                            <asp:DropDownList ID="ddlLockUserTries" Width="" CssClass="form-control form-controllinebreak" runat="server" TabIndex="32">
                                                                                                <asp:ListItem Selected="True">3</asp:ListItem>
                                                                                                <asp:ListItem>4</asp:ListItem>
                                                                                                <asp:ListItem>5</asp:ListItem>
                                                                                                <asp:ListItem>6</asp:ListItem>
                                                                                                <asp:ListItem>7</asp:ListItem>
                                                                                            </asp:DropDownList>
                                                                                        </div>
                                                                                        <div class="col-sm-3 col-xs-2 padding-width-sm icon-img">
                                                                                            <asp:Label ID="lblLockUserTries" runat="server" CssClass="label" Text="invalid tries."></asp:Label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </asp:Panel>
                                                            </div>
                                                            <div class="form-group col-sm-12">
                                                                <div class="col-sm-2">
                                                                    <asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                    <asp:Label ID="lblIndicatesMandatory" runat="server" Text="Required Fields"></asp:Label>
                                                                </div>
                                                                <div class="col-sm-10">
                                                                    <div class="col-xs-4 col-sm-2 nullpadding">
                                                                        <div id="divNext" runat="server">
                                                                            <asp:ImageButton ID="lbtNext1" runat="server" OnClientClick="return OrganizationValidation();"
                                                                                OnClick="lbtNext_Click" ImageUrl="~/images/save-next.png" Visible="false"></asp:ImageButton>
                                                                            <asp:LinkButton ID="lbtNext" runat="server" CssClass="MultilingualBtn" OnClick="lbtNext_Click"
                                                                                OnClientClick="return OrganizationValidation();">
                                                                                <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="SaveNext">
                                                                                        <div id="SaveNextButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Save & Next
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-xs-2 col-sm-1 col-md-1 padding-width-sm">
                                                                        <div id="divSkip" runat="server">
                                                                            <asp:ImageButton ID="lbtSkip1" runat="server" OnClick="lbtSkip_Click" ImageUrl="~/images/btn_skip.png"
                                                                                Visible="false" />
                                                                            <asp:LinkButton ID="lbtSkip" runat="server" CssClass="MultilingualBtn" OnClick="lbtSkip_Click">
                                                                                <span id="Span2" runat="server" class="MultilingualBtnspan">
                                                                                    <div class="Skip">
                                                                                        <div id="SkipDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                            Skip
                                                                                        </div>
                                                                                    </div>
                                                                                </span>
                                                                            </asp:LinkButton>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-xs-4 col-sm-2 col-lg-2 padding-width-lg-left">
                                                                        <asp:ImageButton ID="ibtUpdateOrg1" runat="server" OnClientClick="return OrganizationValidation();"
                                                                            ImageUrl="~/images/btn-save.jpg" OnClick="UpdateOrganization" TabIndex="33" CssClass="ControlHide"
                                                                            Visible="false" />
                                                                        <asp:LinkButton ID="ibtUpdateOrg" runat="server" CssClass="MultilingualBtn" OnClientClick="return OrganizationValidation();"
                                                                            OnClick="UpdateOrganization" Visible="false">
                                                                            <span id="Span3" runat="server" class="MultilingualBtnspan">
                                                                                <div class="Save">
                                                                                    <div id="UpdateOrgButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Save
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                        <asp:ImageButton ID="lbtnCancel1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                            OnClick="lbtnCancel_Click" TabIndex="34" Visible="false" />
                                                                        <asp:LinkButton ID="lbtnCancel" runat="server" CssClass="MultilingualBtn" OnClick="lbtnCancel_Click">
                                                                            <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                                                <div class="Cancel">
                                                                                    <div id="CancelDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Cancel
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div id="tblPackageAssignment" runat="server" class="form-tbl ControlHide">
                                                    <div class="form-tbl col-sm-12 nullpadding">
                                                        <div class="form-horizontal">
                                                            <div class="col-sm-8 col-md-7 col-lg-6 col-Geozone">
                                                                <div class="form-group col-sm-12 icon-label">
                                                                    <div class="col-sm-4 col-xs-4 nullpadding icon-img">
                                                                        <asp:Label ID="lblPackage" runat="server" Text="Package"></asp:Label>&nbsp;
                                                                    <asp:Label ID="Label14" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-6 nullpadding">
                                                                        <dxw:ASPxComboBox ID="ddlPackage" runat="server" TabIndex="2" Height="20px"
                                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css"
                                                                            CssPostfix="Office2003_Blue" EnableTheming="true" Theme="Office2003Blue">
                                                                        </dxw:ASPxComboBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-4 nullpadding icon-img">
                                                                        <asp:Label ID="lblPurchasedOn" runat="server" Text="Purchased On"></asp:Label>&nbsp;
                                                                    <asp:Label ID="Label17" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:TextBox ID="txtStartDateRouteList" runat="server" CssClass="form-control" onkeypress="return false;" TabIndex="4"
                                                                            ToolTip="dd/MM/yyyy" Width=""></asp:TextBox>
                                                                        <%-- <cc1:CalendarExtender Format="dd/MM/yyyy" runat="server" ID="cePurchasedOn" TargetControlID="txtPurchasedOn"
                                                                            PopupButtonID="txtPurchasedOn" CssClass="cal_Theme1">
                                                                        </cc1:CalendarExtender>--%>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-4 nullpadding icon-img">
                                                                        <asp:Label ID="lblExpiresOn" runat="server" Text="Expires On"></asp:Label>&nbsp;
                                                                    <asp:Label ID="Label16" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:TextBox ID="txtEndDateRouteList" runat="server" CssClass="form-control" onkeypress="return false;" TabIndex="4"
                                                                            ToolTip="dd/MM/yyyy" Width=""></asp:TextBox>
                                                                        <%--<cc1:CalendarExtender Format="dd/MM/yyyy" runat="server" ID="ceExpiresOn" TargetControlID="txtExpiresOn"
                                                                            PopupButtonID="txtExpiresOn" CssClass="cal_Theme1">
                                                                        </cc1:CalendarExtender>--%>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 nullpadding icon-img">
                                                                        <asp:Label ID="Label30" runat="server" ForeColor="Red">*</asp:Label>&nbsp;
                                                                    <asp:Label ID="lblPackageIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 nullpadding"></div>
                                                                    <div class="col-sm-8 nullpadding">
                                                                        <asp:ImageButton ID="ibtAssignPackage1" runat="server" ImageUrl="~/images/save-next.png"
                                                                            OnClick="ibtAssignPackage_Click" OnClientClick="return ValidateOrgPackageAssignment();"
                                                                            Visible="false" />
                                                                        <asp:LinkButton ID="ibtAssignPackage" runat="server" CssClass="MultilingualBtn" OnClick="ibtAssignPackage_Click"
                                                                            OnClientClick="return ValidateOrgPackageAssignment();">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="SaveNext">
                                                                                    <div id="AssignPackageSaveNextDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Save & Next
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>

                                                                        <asp:ImageButton ID="ibtCancelAssignPackage1" runat="server" ImageUrl="~/images/btn-cancel.jpg"
                                                                            OnClick="ibtCancelAssignPackage_Click" TabIndex="6" Visible="false" />
                                                                        <asp:LinkButton ID="ibtCancelAssignPackage" runat="server" CssClass="MultilingualBtn"
                                                                            OnClick="ibtCancelAssignPackage_Click">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Cancel">
                                                                                    <div id="CancelAssignPackageDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Cancel
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div id="tblDevice" runat="server" class="form-tbl ControlHide">

                                                    <div class="form-tbl nullpadding col-sm-12">
                                                        <div class="form-horizontal">
                                                            <div class="col-sm-8 col-md-7 col-lg-6">
                                                                <div class="form-group col-sm-12 icon-label">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblVehiclesAvailable" runat="server" CssClass="label" Text="Vehicles Available"
                                                                            Width=""></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:Label ID="lblVehiclesPending" runat="server" CssClass="label" Text="Vehicles Pending"></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding ">
                                                                        <asp:Label ID="lblNoOfVehiclesAvailable" runat="server" CssClass="label" Font-Bold="true"
                                                                            ForeColor="Blue" Text=""></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:Label ID="lblNoOfVehiclesPending" runat="server" CssClass="label" Font-Bold="true"
                                                                            ForeColor="Blue" Text=""></asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblNoofDevices" runat="server" CssClass="label" Text="No. of Devices"></asp:Label>
                                                                        <asp:Label ID="Label13" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:TextBox ID="txtNoOfDevices" CssClass="form-control" runat="server" MaxLength="6" OnDrop="return false"
                                                                            OnPaste="return false" Width="" onkeypress="return chkNumeric_only(event);"></asp:TextBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblFirmwareCategory" runat="server" CssClass="label" Text="Firmware Category"></asp:Label>
                                                                        <asp:Label ID="Label18" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlFirmwareCategory" runat="server" CssClass="form-control" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                        <asp:Button ID="btnLoadFirmware" runat="server" CssClass="btn" OnClick="btnLoadFirmware_Click"
                                                                            Style="display: none"></asp:Button>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblFirmwareVersion" runat="server" CssClass="label" Text="Firmware Version"></asp:Label>
                                                                        <asp:Label ID="Label6" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlFirmwareVersion" CssClass="form-control" runat="server" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblBoxProtocolType" runat="server" CssClass="label" Text="Protocol Type"></asp:Label>
                                                                        <asp:Label ID="Label7" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlBoxProtocolType" CssClass="form-control" runat="server" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblCommMode" runat="server" CssClass="label" Text="Communication Mode"></asp:Label>
                                                                        <asp:Label ID="Label8" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlCommMode" CssClass="form-control" runat="server" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblMake" runat="server" Text="Make" CssClass="label"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlVehMake" runat="server" CssClass="form-control" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                        <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" OnClick="btnLoadModel_Click"
                                                                            Style="display: none"></asp:Button>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding">
                                                                        <asp:Label ID="lblModel" runat="server" Text="Model" CssClass="label"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlModel" CssClass="form-control" runat="server" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding icon-img">
                                                                        <asp:Label ID="lblGenerateFrom" runat="server" Text="Generate Device From Top" CssClass="label"></asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:CheckBox ID="chkIsTop" CssClass="" runat="server" Checked="true"></asp:CheckBox>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 col-xs-6 nullpadding icon-img">
                                                                        <asp:Label ID="lblSeverityTemplate" runat="server" CssClass="label" Text="Severity Template Name"></asp:Label>
                                                                        <asp:Label ID="Label10" runat="server" ForeColor="Red">*</asp:Label>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-5 nullpadding">
                                                                        <asp:DropDownList ID="ddlSeverityTemplate" CssClass="form-control" runat="server" AppendDataBoundItems="true">
                                                                        </asp:DropDownList>
                                                                        <asp:Button ID="lbtViewTemplate" runat="server" CssClass="btn" OnClick="lbtViewTemplate_Click"
                                                                            Style="display: none"></asp:Button>
                                                                    </div>
                                                                </div>
                                                                <div id="trSensorInfo" runat="server" class="ControlHide">

                                                                    <div class="form-group col-sm-12">
                                                                        <div class="col-sm-4 col-xs-6 nullpadding icon-img">
                                                                            <asp:Label ID="lblSensorName" runat="server" Text="Sensor Name"></asp:Label>
                                                                            <asp:ListBox ID="lstSensors" runat="server" Style="overflow: auto; display: none; height: 100px"></asp:ListBox>
                                                                        </div>
                                                                        <div class="col-sm-6 col-xs-5 nullpadding">
                                                                            <span style="padding-top: 3px; bottom: 3px">Output Name</span>
                                                                            <asp:ListBox ID="lstOutputs" runat="server" Style="overflow: auto; display: none; height: 100px"></asp:ListBox>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-6 nullpadding">
                                                                        <asp:Label ID="Label11" runat="server" ForeColor="Red">*</asp:Label>&nbsp;                                                                               
                                                                        <asp:Label ID="lblDeviceIndicatesMandatory" runat="server">Required Fields</asp:Label>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group col-sm-12">
                                                                    <div class="col-sm-4 nullpadding"></div>
                                                                    <div class="col-sm-8 nullpadding">
                                                                        <asp:ImageButton ID="lbtSaveDevice1" runat="server" ImageUrl="~/images/btn-save.jpg"
                                                                            OnClick="lbtSaveDevice_Click" OnClientClick="BulkDeviceValidation();ShowPopUp(); return true;"
                                                                            Visible="false" />
                                                                        <asp:LinkButton ID="lbtSaveDevice" runat="server" CssClass="MultilingualBtn" OnClick="lbtSaveDevice_Click"
                                                                            OnClientClick="BulkDeviceValidation();ShowPopUp(); return true;">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Save">
                                                                                    <div id="SaveDeviceButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Save
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                        <asp:ImageButton ID="lbtCancelDevice1" runat="server" ImageUrl="~/images/exit.png"
                                                                            OnClick="lbtCancelDevice_Click" Visible="false" />
                                                                        <asp:LinkButton ID="lbtCancelDevice" runat="server" CssClass="MultilingualBtn" OnClick="lbtCancelDevice_Click">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="Exit">
                                                                                    <div id="ExitDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Exit
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                        <asp:ImageButton ID="lbtBack1" runat="server" OnClick="lbtBack_Click" ImageUrl="~/images/back.png"
                                                                            Visible="false" />
                                                                        <asp:LinkButton ID="lbtBack" runat="server" CssClass="MultilingualBtn" OnClick="lbtBack_Click">
                                                                            <span runat="server" class="MultilingualBtnspan">
                                                                                <div class="BackOrange">
                                                                                    <div id="lbtBackDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                                        Back
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </asp:LinkButton>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                                <div class="clear clearfix"></div>
                                            </div>
                                        </asp:Panel>
                                    </div>
                                    <div class="clear clearfix"></div>
                                    <asp:Panel ID="pnlOrgList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="left-col">
                                                </div>
                                                <div class="right-col">
                                                    <span class="txt">
                                                        <asp:ImageButton ID="ibtnBulkUpdate1" runat="server" ImageUrl="~/images/import.jpg"
                                                            Visible="false" />
                                                        <asp:LinkButton ID="ibtnBulkUpdate" runat="server" CssClass="MultilingualBtn">
                                                            <span id="Span5" runat="server" class="MultilingualBtnspan">
                                                                <div class="Import">
                                                                    <div id="ImportDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Import
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>&nbsp; <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                                <%--<dxw:ListEditItem ImageUrl="../images/icn-csv.gif" Text="csv" Value="csv" />--%>
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span><span class="txt">&nbsp;
                                                    <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                        OnClick="btnExport_Click" Visible="false" />
                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                            <span runat="server" class="MultilingualBtnspan">
                                                                <div class="Export">
                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Export
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvOrganizationList" runat="server" Width="100%" KeyFieldName="OrganizationId"
                                                    EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css"
                                                    CssPostfix="Office2003_Blue" OnHtmlRowCreated="gvOrganizationList_OnHtmlRowCreated">
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="360" />
                                                    <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                                <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                                <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                                    Width="11px" />
                                                <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                                    Width="11px" />
                                            </Images>--%>
                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="OrganizationId" Caption="Organization ID" VisibleIndex="0"
                                                            Visible="false" Width="5%">
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="OrganizationName" Caption="Organization Name"
                                                            VisibleIndex="1" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgOrgName" ImageUrl="../images/icn-organization-name.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblOrganizationName" Text="Organization Name"
                                                                    Font-Bold="false" runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblOrganizationName" Text='<%#Eval("OrganizationName") %>' Font-Bold="false"
                                                                runat="server">
                                                        </span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="OrganizationDisplayName" Caption="Display Name"
                                                            VisibleIndex="1" HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="8%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgOrgDisplayName" runat="server" ImageUrl="../images/icn-org-display-name.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblDisplayName" Text="Display Name"
                                                                    Font-Bold="false" runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblDisplayName" Text='<%#Eval("OrganizationDisplayName") %>' Font-Bold="false"
                                                                runat="server"></asp:Label>
                                                        </span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="OrganizationCode" Caption="Code" VisibleIndex="2"
                                                            HeaderStyle-HorizontalAlign="Center" CellStyle-Wrap="True" Width="5%">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image ID="imgOrgCode" ImageUrl="../images/icn-org-code.gif" runat="server" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblCode" runat="server" Font-Bold="false"
                                                                    Text="Code"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="Address" Caption="Address" VisibleIndex="3"
                                                            HeaderStyle-HorizontalAlign="Center" Width="10%" CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgAddress" ImageUrl="../images/icn-address.jpg" /></span><span
                                                                        class="label"> &nbsp;<asp:Label ID="lblAddress" runat="server" Text="Address"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="CountryName" Caption="Country Name" VisibleIndex="4"
                                                            HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="8%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgCountryName" ImageUrl="../images/icn-country-name.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblCountryName" Text="Country Name"
                                                                    Font-Bold="false" runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="OrganizationEmailID" Caption="Email" VisibleIndex="4"
                                                            HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="8%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgEmail" ImageUrl="../images/icn-email-users.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblEmail" Text="Email" Font-Bold="false"
                                                                    runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="ContactPerson" Caption="Contact Person" VisibleIndex="5"
                                                            HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="8%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgContactPerson" ImageUrl="../images/icn-contact-person.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblContactPerson" Text="Contact Person"
                                                                    Font-Bold="false" runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="ExpiresOnSort" Caption="Expires On" VisibleIndex="5"
                                                            HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="8%"
                                                            CellStyle-Wrap="True">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgExpiresOn" ImageUrl="../images/icn-expireson.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblExpiresOn" Text="Expires On" Font-Bold="false"
                                                                    runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblExpireson" runat="server" Text='<%# Eval("ExpiresOn") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn FieldName="ExpiresOn" Caption="Expires On" VisibleIndex="5"
                                                            HeaderStyle-HorizontalAlign="Center" HeaderStyle-VerticalAlign="Middle" Width="8%"
                                                            CellStyle-Wrap="True" Visible="false">
                                                            <HeaderCaptionTemplate>
                                                                <span class="icon">
                                                                    <asp:Image runat="server" ID="imgExpiresOn" ImageUrl="../images/icn-expireson.gif" />
                                                                </span><span class="label">&nbsp;<asp:Label ID="lblExpiresOn" Text="Expires On" Font-Bold="false"
                                                                    runat="server"></asp:Label>
                                                                </span>
                                                            </HeaderCaptionTemplate>
                                                            <DataItemTemplate>
                                                                <asp:Label ID="lblExpireson" runat="server" Text='<%# Eval("ExpiresOn") %>'></asp:Label>
                                                            </DataItemTemplate>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Edit" VisibleIndex="6" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center" Width="2%" Name="Edit">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="btnEdit" runat="server" CommandArgument='<%# Eval("OrganizationId") %>'
                                                                    OnClick="btnEdit_Click" Style="text-decoration: none;"> <img src="../images/icn-edit.gif" alt="View" title="Click here to Edit"/> </asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                        <dxw:GridViewDataTextColumn Caption="Delete" Width="3%" HeaderStyle-HorizontalAlign="Center"
                                                            CellStyle-HorizontalAlign="Center">
                                                            <HeaderTemplate>
                                                            </HeaderTemplate>
                                                            <DataItemTemplate>
                                                                <asp:LinkButton ID="lbtnDelete" runat="server" OnClientClick="return DeleteOrganization();"
                                                                    CommandArgument='<%#Eval("OrganizationId") %>' OnClick="lbtnDelete_click"><img src="../images/delete-icon.gif" alt="Delete" title="Click here to Delete"/></asp:LinkButton>
                                                            </DataItemTemplate>
                                                        </dxw:GridViewDataTextColumn>
                                                    </Columns>
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No fleet details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvOrganizationList"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Arial;}}
                                                    \viewkind4\uc1\pard\qc\b\fs28 Organization Details\par
                                                    \pard\par
                                                    \par
                                                    }
                                                    ">
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>
                                    </asp:Panel>
                                    <div class="clear clearfix">
                                    </div>
                                </div>
                                <!-- Main Content Ends Here -->
                                <div id="left">
                                </div>
                                <div class="clear clearfix">
                                </div>
                            </div>
                            <div id="right">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                    </div>
                    <asp:Button ID="btnLoadLogo" runat="server" OnClick="btnLoadLogo_Click" CssClass="ControlHide" />
                    <asp:HiddenField ID="hdnOrgLogo" runat="server" />
                    <asp:HiddenField ID="hdnIsOrgEdit" runat="server" Value="0" />
                    <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                        TargetControlID="btnTesting">
                    </cc1:ModalPopupExtender>
                    <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
                    <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                        <center>
                            <br />
                            <img alt="Please Wait ..." src="../images/47.gif" /><br />
                            <br />
                            <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                            <br />
                            <br />
                        </center>
                    </asp:Panel>
                    <cc1:ModalPopupExtender ID="mpDriverDetailsLoad" runat="server" BackgroundCssClass="modalbackground"
                        PopupControlID="pnlImportVehicles" TargetControlID="ibtnBulkUpdate" X="280" CancelControlID="ibtnCancel">
                    </cc1:ModalPopupExtender>
                    <!-- Content Ends Here -->
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnLoadLogo" />
                </Triggers>
            </asp:UpdatePanel>
            <asp:Panel ID="pnlImportVehicles" runat="server" Style="display: none;" CssClass="import-LandmarkPanel col-sm-7 col-md-5 col-lg-4">
                <div class="popup">
                    <%--<tr>
                            <td class="top-l" id="ImportVehiclesPnlTopl" runat="server">&nbsp;
                            </td>
                            <td class="top-m">&nbsp;
                            </td>
                            <td class="top-r" id="ImportVehiclesPnlTopr" runat="server">&nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td class="left" id="ImportVehiclesPnlLeft" runat="server">&nbsp;
                            </td>
                            <td>--%>
                    <div class="top">
                        <h1>
                            <asp:Label ID="lblFile" Text="Bulk Update Contact Details" runat="server"></asp:Label></h1>
                        <div class="close">
                            <asp:ImageButton ID="ibtnClose" OnClientClick="$find('mpDriverDetailsLoad').hide(); return false;"
                                CausesValidation="false" ImageUrl="~/images/popup-close.gif" Visible="true" runat="server" />
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <div class="popup-content">
                        <div class="form-tbl">
                            <div class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-2">
                                        <asp:Label ID="lblDriverDetails" runat="server" Text="Select File" CssClass="label"></asp:Label>
                                    </div>
                                    <div class="col-sm-10">
                                        <asp:FileUpload ID="fileUploadDetails" runat="server" onchange="return validateCSVFileUpload(this);" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-2"></div>
                                    <div class="col-sm-10">
                                        <asp:ImageButton ID="ibtnUpdateDrivers1" runat="server" ImageUrl="~/images/btn-update.jpg"
                                            OnClientClick="ShowPopUp(); return true;" OnClick="ibtnUpdateContactDetails_Click"
                                            Visible="false" />
                                        <asp:LinkButton ID="ibtnUpdateDrivers" runat="server" CssClass="MultilingualBtn"
                                            OnClick="ibtnUpdateContactDetails_Click" TabIndex="17">
                                            <span id="Span6" runat="server" class="MultilingualBtnspan">
                                                <div class="Update">
                                                    <div id="UpdateDiv" runat="server" class="MultilingualBtnTextAlign">
                                                        Update
                                                    </div>
                                                </div>
                                            </span>
                                        </asp:LinkButton>
                                        <asp:ImageButton ID="ibtnCancel1" runat="server" ImageUrl="~/images/btn-Cancel.jpg"
                                            Visible="false" />
                                        &nbsp;
                                            <asp:LinkButton ID="ibtnCancel" runat="server" CssClass="MultilingualBtn" TabIndex="19">
                                                <span id="Span7" runat="server" class="MultilingualBtnspan">
                                                    <div class="Cancel">
                                                        <div id="Div1" runat="server" class="MultilingualBtnTextAlign">
                                                            Cancel
                                                        </div>
                                                    </div>
                                                </span>
                                            </asp:LinkButton>
                                        &nbsp;&nbsp;
                                            <asp:LinkButton ID="lbtnDownloadTemp" runat="server" Text="Download Template" OnClick="Download_Template"></asp:LinkButton>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </asp:Panel>

            <script src="../js/myformvalidations.js" type="text/javascript"></script>
            <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
            <script language="JavaScript1.2" type="text/javascript" src="../js/CommonFuncitonsInHeader.js"></script>
            <script>
                var AlertFileType = 'files are not allowed.\n\n Please upload only xls/xlsx files.';
                var AlertSelectStudent = 'Please select one or more Student.';
                var totalRecordCount = '';
                var totalPageCount = '';
                var _selectNumber = 0;
                var _all = false;
                var _handle = true;
                function setAlertMessageFileType(Filetype) {
                    AlertFileType = Filetype;
                }
                function validateCSVFileUpload(obj) {
                    var fileName = new String();
                    var fileExtension = new String();
                    var validfileextensions = "xls";
                    var validfileextensions1 = "xlsx";
                    var flag = false;
                    // store the file name into the variable
                    filename = obj.value;
                    // extract and store the file extension into another variable
                    fileextension = filename.substr(filename.length - 3, 3);
                    // check over the valid file extensions to compare them with uploaded file
                    if (fileextension.toLowerCase() == validfileextensions.toString().toLowerCase() || fileextension.toLowerCase() == validfileextensions1.toString().toLowerCase()) {
                        flag = true;

                    }
                    else {
                        alert(AlertFileType);
                    }
                }
            </script>
            <script type="text/javascript">

                var AlertDeviceCount = "Device count should not exceed the limit";
                function setAlertMsgForPendingVehicles(DeviceCount) {
                    AlertDeviceCount = DeviceCount;
                }
                function validateDeviceCount() {
                    var pendingVehicles = document.getElementById('lblNoOfVehiclesPending').innerText;

                    var txtVehicleCount = document.getElementById('txtNoOfDevices');
                    if (txtVehicleCount != null && pendingVehicles != null) {
                        if (eval(txtVehicleCount.value) > eval(pendingVehicles)) {
                            alert(AlertDeviceCount + pendingVehicles);
                            txtVehicleCount.style.backgroundColor = 'lightyellow';
                            txtVehicleCount.value = '';
                            document.getElementById('txtNoOfDevices').focus();
                            return false;
                        }
                        else {
                            txtVehicleCount.style.backgroundColor = 'white';
                        }
                    }
                    return true;
                }

                function FunEnableApp() {
                    var chkEnableApp = document.getElementById('chkEnableApp');
                    if (chkEnableApp.checked) {
                        document.getElementById('lblAppReminder1').style.display = "block";
                        //document.getElementById('lblAppReminder2').style.display = "block";
                        //document.getElementById('lblAppReminder3').style.display = "block";
                        document.getElementById('ddlreminder1').style.display = "block";
                        document.getElementById('lblExpDate').style.display = "block";
                        document.getElementById('txtInstalledDate').style.display = "block";
                        //document.getElementById('ddlreminder2').style.display = "block";
                        //document.getElementById('ddlreminder3').style.display = "block";
                        document.getElementById('lblTotalMonth').style.display = "block";
                        document.getElementById('ddlExpiryMonth').style.display = "block";
                        document.getElementById('lblAppExp').style.display = "block";
                    }
                    else {
                        document.getElementById('lblAppReminder1').style.display = "none";
                        //document.getElementById('lblAppReminder2').style.display = "none";
                        //document.getElementById('lblAppReminder3').style.display = "none";
                        document.getElementById('ddlreminder1').style.display = "none";
                        document.getElementById('lblExpDate').style.display = "none";
                        document.getElementById('txtInstalledDate').style.display = "none";
                        //document.getElementById('ddlreminder2').style.display = "none";
                        //document.getElementById('ddlreminder3').style.display = "none";
                        document.getElementById('lblTotalMonth').style.display = "none";
                        document.getElementById('ddlExpiryMonth').style.display = "none";
                        document.getElementById('lblAppExp').style.display = "none";
                    }
                }

            </script>
            <asp:HiddenField ID="hdnLogout" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
