﻿<%@ page language="C#" autoeventwireup="true" inherits="ParentAppMaster, App_Web_h0wv500x" %>

<%--<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>--%>
<%--<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>--%>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxGridView.Export" TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head id="Head1" runat="server">
    <title>tSense-IoT Parent mobile App Settings</title>
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <meta content="charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <link id="ieonly" runat="server" href="" rel="stylesheet" type="text/css" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />

    <%--BootStrap Css--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--End of BootStrap Css--%>

    <script src="../js/jquery-1.5.1.min.js" type="text/javascript"></script>
    <%-- <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>
    <script language="javascript" type="text/javascript" src="../js/DriverManagementScript.js"></script>--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <div class="pageContainer">
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updDriverDetails">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="head-part">
                                            <div id="heading" class="col-sm-6">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationSetupCaption" Text="Configuration" runat="server"></asp:Literal>
                                                </h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server"></asp:LinkButton><span>&gt;</span>
                                                <span>
                                                    <a href="ParentAppMaster.aspx">
                                                        <asp:Label ID="lblManageStudents" Text="Manage Parent app Users" runat="server"></asp:Label>
                                                    </a>
                                                </span>
                                            </div>
                                            <div class="col-sm-6 head-part-btns">
                                                <div class="pull-right">
                                                    <asp:ImageButton ID="ibtnBackToConfig1" runat="server" CausesValidation="false" ImageUrl="~/images/btn-back-to-configuration.jpg"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx" Visible="false" />
                                                    <asp:LinkButton ID="ibtnBackToConfig" runat="server" CssClass="MultilingualBtn" NavigateUrl="~/Forms/ConfigurationSetup.aspx"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix"></div>
                                        </div>
                                        <div class="clear clearfix"></div>
                                        <asp:Panel ID="pnlStudentDetailsList" runat="server">
                                            <div id="grid-dsply">
                                                <div id="top">
                                                    <div class="col-xs-12 padding-width-md">
                                                        <span class="icon">
                                                            <img src="../images/icn-sms-users.gif" alt="" />
                                                        </span>
                                                        <span class="txt">
                                                            <asp:Label ID="Label12" runat="server" Text="Parent App Users"></asp:Label>
                                                        </span>
                                                    </div>
                                                </div>
                                                <div class="clear clearfix">
                                                </div>
                                                <div class="table-responsive">
                                                    <dxw:ASPxGridView ID="gvParentApp" ClientInstanceName="gvParentApp" runat="server" Width="100%"
                                                        KeyFieldName="UserId" EnableTheming="true" Theme="Office2003Blue"
                                                        CssFilePath="~/App_Themes/office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                        Settings-ShowFilterRow="true" OnHtmlRowCreated="gvParentApp_OnHtmlRowCreated">
                                                        <ClientSideEvents SelectionChanged="function(s, e) { OnGridSelectionChanged(1); }" />
                                                        <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="300" />
                                                        <SettingsBehavior ProcessSelectionChangedOnServer="false" />
                                                        <%--<Images ImageFolder="~/App_Themes/office2003Blue/{0}/">
                                                    <CollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <ExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                    <DetailCollapsedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvCollapsedButton.png"
                                                        Width="11px" />
                                                    <DetailExpandedButton Height="12px" Url="~/App_Themes/office2003Blue/GridView/gvExpandedButton.png"
                                                        Width="11px" />
                                                </Images>--%>
                                                        <Styles CssFilePath="~/App_Themes/office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                            CssPostfix="Office2003_Blue">
                                                            <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                            </Header>
                                                            <LoadingPanel ImageSpacing="10px">
                                                            </LoadingPanel>
                                                            <PagerBottomPanel CssClass="PageFooter">
                                                            </PagerBottomPanel>
                                                            <PagerTopPanel CssClass="PageFooter">
                                                            </PagerTopPanel>
                                                        </Styles>
                                                        <SettingsPager PrevPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pPrev.gif"
                                                            PrevPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pPrevDisabled.gif"
                                                            NextPageButton-Image-UrlDisabled="../App_Themes/office2003Blue/GridView/pNextDisabled.gif"
                                                            NextPageButton-Image-Url="../App_Themes/office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                        </SettingsPager>
                                                        <Columns>
                                                            <dxw:GridViewDataColumn Caption="UserName" FieldName="UserName" Width="150" VisibleIndex="2" FixedStyle="None">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/key-details.png" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblStudentID" runat="server" Text="Username"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lbl" runat="server" Text='<%# Eval("Username") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Student Name" FieldName="StudentName" Width="300" VisibleIndex="8">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-contact-number.gif" alt="" align="middle" />&nbsp;
                                                                        <asp:Label ID="lblStudentName" runat="server" Font-Bold="false" Text="Student Name"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblStudentName" runat="server" Text='<%# Eval("StudentName") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Mobile No" FieldName="MobileNo" Width="100" VisibleIndex="8">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-contact-number.gif" alt="" align="middle" />&nbsp;
                                                                        <asp:Label ID="lblMobileNo" runat="server" Font-Bold="false" Text="Contact No"></asp:Label>
                                                                    </span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblContact" runat="server" Text='<%# Eval("MobileNo") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataColumn Caption="Email" FieldName="Email" Width="200" ReadOnly="true"
                                                                VisibleIndex="12">
                                                                <HeaderCaptionTemplate>
                                                                    <span>
                                                                        <img src="../images/icn-email.gif" alt="" align="top" />&nbsp;
                                                                        <asp:Label ID="lblEmail" runat="server" Text="Email"></asp:Label></span>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <%--<asp:Label ID="lblDriName" runat="server" Text='<%# Eval("DisplayName") %>' ForeColor='<%#Convert.ToString((Eval("LicenseExpiresOnSort"))) == "" ? System.Drawing.Color.Black : DateTime.ParseExact(Convert.ToString((Eval("LicenseExpiresOnSort"))), "dd/MM/yyyy", System.Globalization.CultureInfo.InvariantCulture) < DateTime.Now.Date ? System.Drawing.Color.Red : System.Drawing.Color.Black%>'></asp:Label>--%>
                                                                    <asp:Label ID="lblEmail" runat="server" Text='<%# Eval("Email") %>'></asp:Label>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" />
                                                            </dxw:GridViewDataColumn>
                                                            <dxw:GridViewDataTextColumn FieldName="AllowMobApp" Caption="Mobile App Status" HeaderStyle-HorizontalAlign="Center"
                                                                CellStyle-HorizontalAlign="Center" Width="100" VisibleIndex="16" ReadOnly="true">
                                                                <HeaderCaptionTemplate>
                                                                    <span class="icon">
                                                                        <asp:Image ID="imgParentAppStatus1" runat="server" ImageUrl="..\Images\icn-sms-users.gif"
                                                                            align="top" /></span> <span class="label"></span>
                                                                    <asp:Label ID="lblActive" runat="server" Text="Mobile App Status"></asp:Label>
                                                                </HeaderCaptionTemplate>
                                                                <DataItemTemplate>
                                                                    <center>
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:LinkButton ID="imgParentAppStatus" runat="server" alternatetext="Click to change the status"
                                                                                        ToolTip="Click to change the status" OnClick="ChangeActiveStatus" CssClass="handButton" OnClientClick="return confirm('Do you want to proceed?');"
                                                                                        CommandArgument='<%# "9,"+Eval("UserId")+","+Eval("AllowMobApp") %>'>
                                                                                        <asp:Image ID="imgActiveStatusIndicator" runat="server" />
                                                                                    </asp:LinkButton>
                                                                                </td>
                                                                                <td style="vertical-align: middle">&nbsp;
                                                                            <asp:Label ID="Label9" runat="server" Text='<%#Eval("MobAppAccess") %>' ForeColor='<%# Eval("AllowMobApp").ToString() == "0" ? System.Drawing.Color.Red:System.Drawing.Color.Black %>'></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </center>
                                                                </DataItemTemplate>
                                                                <Settings AllowSort="True" ShowFilterRowMenu="False" />
                                                            </dxw:GridViewDataTextColumn>
                                                        </Columns>
                                                        <Settings ShowFilterRowMenu="True" />
                                                        <SettingsText EmptyDataRow="No data matching to the search criteria" />
                                                    </dxw:ASPxGridView>
                                                </div>
                                            </div>
                                            <%--<script language="javascript" type="text/javascript">
                                                    function FitGridWidth() {
                                                        document.getElementById('gvStudent').style.width = (document.getElementById('gvStudent_DXHeaderTable').clientWidth + 20) + 'px';
                                                    }
                                                    //window.onload = FitGridWidth;
                                                </script>--%>
                                            <%--<style type="text/css">
                                                #gvStudent div
                                                {
                                                    overflow-x: hidden !important;
                                                    overflow-y: hidden !important;
                                                }
                                                </style>--%>
                                            <%--<div class="AlignControl">
                                                    <br />
                                                    <img src="../images/blue.png" />
                                                    <asp:Label ID="BlueIcnIndicator" runat="server" Text="Inactive Driver"></asp:Label>&nbsp;
                                                    &nbsp;
                                                    <img src="../images/red.png" />
                                                    <asp:Label ID="RedIcnIndicator" runat="server" Text="License expired Driver"></asp:Label>
                                                </div>--%>
                                        </asp:Panel>
                                    </div>
                                </div>
                            </div>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <%-- </div>--%>
                    <asp:HiddenField ID="hdnStudentID" runat="server" />
                    <asp:HiddenField ID="hdnRowCount" runat="server" />
                    <asp:Button ID="btnTest" Text="Test" CssClass="ControlHide" runat="server" />
                    <asp:HiddenField ID="hdnDriverImage" runat="server" />
                </ContentTemplate>
                <Triggers>
                </Triggers>
            </asp:UpdatePanel>

            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress1"
                TargetControlID="btnTesting">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <%-- <asp:UpdateProgress ID="uprDataLoading" runat="server" DynamicLayout="True" AssociatedUpdatePanelID="updVhDetails">
            <ProgressTemplate>--%>
            <asp:Panel ID="pnlProgress1" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <asp:HiddenField ID="hdnLogout" runat="server" />

            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>
        </form>
        <!-- Content Ends Here -->
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
