﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_UserPreferences, App_Web_4vbqinqe" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>

<%--<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<!DOCTYPE html>
<html lang="en">
<head runat="server">
    <title>tSense-IoT User Preferences</title>
    <%--<meta http-equiv="X-UA-Compatible" content="IE=7" />
    <meta http-equiv="Page-Enter" content="blendTrans(Duration=0)" />
    <meta http-equiv="Page-Exit" content="blendTrans(Duration=0)" />--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <link rel="icon" href="../NewDesign/img/favicon.png" type="image/x-icon">
    <link href="../NewDesign/css/bootstrap.css" rel="stylesheet" />
    <link href="../NewDesign/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/css/responsive.css" rel="stylesheet" />
    <link href="../NewDesign/css/style.css" rel="stylesheet" />

    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.css" rel="stylesheet" />
    <link href="../NewDesign/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" />

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <%--<link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />--%>
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet" type="text/css" />
    <link id="uidatepicker" runat="server" type="text/css" href="../css/ui.datepicker.css" rel="stylesheet" />
    <%--<link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />--%>
    <link id="updatedcss" runat="server" href="../css/Updated_css.css" rel="stylesheet" type="text/css" />
    <%--<link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />--%>
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />

    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" runat="server" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
    <%--<link rel="SHORTCUT ICON" href="../images/favicon.ico" />--%>

    <%--BootStrap Css--%>
    <%--<link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />--%>
    <%--<link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />--%>
    <%--End of BootStrap Css--%>
    <script src="../NewDesign/js/jquery.min.js"></script>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../NewDesign/js/bootstrap.min.js"></script>
    <script src="../NewDesign/js/jquery.js"></script>
    <script src="../NewDesign/js/script.js"></script>
    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>
    <script type="text/javascript" src="../js/ui.datepicker.js"></script>
    <script type="text/javascript" src="../js/JQQueryDatePicker.js"></script>
    <script src="../js/myformvalidations.js" type="text/javascript"></script>
    <script type="text/javascript" language="javascript" src="../js/ReportScripts.js"></script>

    <style type="text/css">
        input[type=checkbox] {
            display: none;
        }

            input[type=checkbox] + label:before {
                content: "";
                display: inline-block;
                width: 15px;
                height: 15px;
                vertical-align: middle;
                margin-right: 8px;
                background-color: whitesmoke;
                box-shadow: inset 0px 2px 2px rgba(0, 0, 0, .3);
                border-radius: 4px;
            }

            input[type=checkbox]:checked + label:before {
                content: "\2714";
                color: black;
                background-color: whitesmoke;
                text-align: center;
                line-height: 15px;
                text-shadow: 0px 0px 3px #eee;
            }
    </style>
    <script src="../js/wow.min.js"></script>
</head>
<body class="white">
    <%--onload="chkDayTimeSaving();"--%>

    <div class="page-wrapper">
        <div class="preloader"></div>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            </asp:ScriptManager>
            <uc1:Header ID="ucHeader" runat="server" />

            <div class="vlive-reports-section maintenance">
                <div class="container-fluid">
                    <div class="row clearfix">
                        <div class="col-sm-12">
                            <h2>
                                <asp:Label ID="lblPreferencesCaption" Text="Preferences" runat="server"></asp:Label></h2>
                        </div>
                        <div class="col-sm-6">
                            <%--<a href="MapPage.aspx">
                                    <asp:Label ID="lblHomeCaption" Text="Home" runat="server"></asp:Label>
                                </a>
                                <span>&gt;</span>
                                <span>
                                    <a href="UserPreferences.aspx">
                                        <asp:Label ID="lblPreferenceCaption" Text="Preferences" runat="server"></asp:Label>
                                    </a>
                                </span>--%>
                            <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
                                <NodeStyle CssClass="active" />
                            </asp:SiteMapPath>
                        </div>
                    </div>
                </div>
            </div>

            <div class="vlive-filter">
                <div class="container-fluid">
                    <div class="vlive-centrifugal-fan maintenance-plan">
                        <h2>
                            <asp:Label ID="lblUserPreferences" runat="server" Text="User Preferences"></asp:Label></h2>
                        <div id="trTimezone" class="row ftop" style="display:block;">
                            <div class="col-md-3">
                                <asp:Label ID="lblTimezone" runat="server" CssClass="label" Font-Bold="False" Text="Timezone"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <dxw:ASPxComboBox ID="ddlTimezone" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                    EnableIncrementalFiltering="true" ClientInstanceName="ddlTimezone" SelectedIndex="0" CssClass="form-control"
                                    AutoPostBack="false" TabIndex="1" AutoResizeWithContainer="true" EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                </dxw:ASPxComboBox>
                            </div>
                        </div>
                        <div id="trDistance" class="row ftop" runat="server" visible="false">
                            <div class="col-md-3">
                                <asp:Label ID="lblDistance" runat="server" Font-Bold="False" Text="Distance Metrics"
                                    CssClass="label"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <div class="col-xs-2 radio">
                                    <asp:RadioButton ID="rbtMiles" runat="server" Checked="True" GroupName="Distance"
                                        Text="Miles" ValidationGroup="vgUserPreferences" TabIndex="2" />
                                </div>
                                <div class="col-xs-2 radio">
                                    <asp:RadioButton ID="rbtKilometer" runat="server" GroupName="Distance" Text="Kilometer"
                                        ValidationGroup="vgUserPreferences" TabIndex="3" />
                                </div>
                            </div>
                        </div>
                        <asp:Panel ID="pnlUserPreferences" runat="server">
                            <div id="trFuel" runat="server" class="row ftop" visible="false">
                                <div class="col-md-3">
                                    <asp:Label ID="Label4" runat="server" Font-Bold="False" Text="Fuel"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <div class="col-xs-2 radio">
                                        <asp:RadioButton ID="rbtLitres" runat="server" Checked="True" GroupName="Gallons"
                                            Text="Litres" ValidationGroup="vgUserPreferences" TabIndex="2" />
                                    </div>
                                    <div class="col-xs-2 radio">
                                        <asp:RadioButton ID="rbtGallons" runat="server" GroupName="Gallons" Text="Gallons"
                                            ValidationGroup="vgUserPreferences" TabIndex="3" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <asp:Label ID="lblGallonstoLitres" runat="server" Text="(1 Gallon = 3.79 Litres)"></asp:Label>
                                </div>
                            </div>
                            <div id="trDefaultFleet" class="row ftop">
                                <div class="col-md-3">
                                    <asp:Label ID="lblDefaultFleet" runat="server" Font-Bold="False" Text="Preferred Site"
                                        CssClass="label"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <dxw:ASPxComboBox ID="ddlFleet" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                        EnableIncrementalFiltering="true" ClientInstanceName="ddlFleet" SelectedIndex="0"
                                        AutoPostBack="false" CssClass="form-control" TabIndex="3" AutoResizeWithContainer="true"
                                        EnableTheming="true" Theme="Office2003Blue" CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue">
                                        <Items>
                                            <dxw:ListEditItem Text="- Select -" Value="0" />
                                        </Items>
                                    </dxw:ASPxComboBox>
                                </div>
                            </div>
                            <div id="trScreenRefreshFrequency" class="row ftop">
                                <div class="col-md-3">
                                    <asp:Label ID="lblRefreshFrequency" runat="server" Font-Bold="False" Text="Screen Refresh Frequency (in Sec)"
                                        CssClass="label"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <dxw:ASPxComboBox ID="ddlRefreshFrequencyValue" runat="server" ValueType="System.String"
                                        ShowImageInEditBox="false" ClientInstanceName="ddlRefreshFrequencyValue" SelectedIndex="0"
                                        EnableTheming="true" Theme="Office2003Blue"
                                        CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                        EnableIncrementalFiltering="true" AutoPostBack="false" CssClass="form-control" TabIndex="4"
                                        AutoResizeWithContainer="true">
                                        <Items>
                                            <dxw:ListEditItem Text="- Select -" Value="0" />
                                        </Items>
                                    </dxw:ASPxComboBox>
                                </div>
                            </div>
                            <div id="trPartner" runat="server" class="row ftop">
                                <div class="col-md-3">
                                    <asp:Label ID="lblPartnerOrganizations" runat="server" Text="Partner Organizations"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <div style="float: left; padding-right: 5px;">
                                        <asp:RadioButton ID="rbtAllOrganizations" runat="server" Text="All" GroupName="org"
                                            onclick="OrgList();" Checked="true" />
                                        &nbsp;&nbsp;&nbsp;
                                            <asp:RadioButton ID="rbtDefault" runat="server" Text="Default" GroupName="org" onclick="OrgList();" />
                                    </div>
                                    <asp:DropDownList ID="ddlOrganizations" runat="server" Style="display: none;" Width="50%" CssClass="form-control">
                                    </asp:DropDownList>
                                </div>
                            </div>
                            <div class="row ftop" style="display:none;">
                                <div class="col-md-3">
                                    <asp:Label ID="lblLandingPage" runat="server" Text="Select Default Landing Page"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <dxw:ASPxComboBox ID="ddlLandingPage" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                        EnableIncrementalFiltering="true" ClientInstanceName="ddlRefreshFrequencyValue"
                                        EnableTheming="true" Theme="Office2003Blue" SelectedIndex="0"
                                        CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                        AutoPostBack="false" CssClass="form-control" TabIndex="4" AutoResizeWithContainer="true">
                                        <Items>
                                            <dxw:ListEditItem Text="- Select -" Value="0" />
                                        </Items>
                                    </dxw:ASPxComboBox>
                                </div>
                            </div>
                            <div class="row ftop" runat="server" visible="false">
                                <div class="col-lg-2">
                                    <asp:Label ID="lblLanguage" runat="server" Text="Select Default Language"></asp:Label>
                                </div>
                                <div class="col-sm-4">
                                    <dxw:ASPxComboBox ID="ddlLang" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                        ClientInstanceName="ddlRefreshFrequencyValue" SelectedIndex="0" EnableTheming="true" Theme="Office2003Blue"
                                        CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue" CssClass="form-control"
                                        TabIndex="5" AutoResizeWithContainer="true" EnableIncrementalFiltering="true"
                                        OnSelectedIndexChanged="drpLang_SelectedIndexChanged" AutoPostBack="false" OnClientClick="ShowPopUp();">
                                        <Items>
                                        </Items>
                                    </dxw:ASPxComboBox>
                                </div>
                            </div>
                            <div class="row ftop" runat="server" visible="false">
                                <div class="col-lg-2">
                                    <asp:Label ID="lblDateformat" runat="server" Text="Select Default DateFormat"></asp:Label>
                                </div>
                                <div class="col-sm-4">
                                    <dxw:ASPxComboBox ID="ddlDateformat" runat="server" ValueType="System.String" ShowImageInEditBox="false"
                                        EnableIncrementalFiltering="true" ClientInstanceName="ddlRefreshFrequencyValue"
                                        EnableTheming="true" Theme="Office2003Blue" SelectedIndex="0"
                                        CssFilePath="~/App_Themes/Office2003 Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                        CssClass="form-control" TabIndex="5" AutoResizeWithContainer="true">
                                        <Items>
                                            <dxw:ListEditItem Text="MM/DD/YY" Value="1" />
                                            <dxw:ListEditItem Text="MM/DD/YYYY" Value="101" />
                                            <dxw:ListEditItem Text="MMM DD, YYYY" Value="107" />
                                            <dxw:ListEditItem Text="MM-DD-YYYY" Value="110" />
                                            <dxw:ListEditItem Text="DD MMM YYYY" Value="106" />
                                            <dxw:ListEditItem Text="YYYY/MM/DD" Value="111" />
                                            <dxw:ListEditItem Text="DD/MM/YYYY" Value="103" />
                                        </Items>
                                    </dxw:ASPxComboBox>
                                </div>
                            </div>
                            <div runat="server" visible="false" class="row ftop">
                                <div class="col-sm-3 col-lg-2">
                                    <asp:Label ID="lblPreferedCharts" runat="server" Text="Preferred Chart" Visible="false"></asp:Label>
                                </div>
                                <div class="col-sm-4">
                                    <asp:CheckBoxList ID="chklstPreferedChart" runat="server" Visible="false">
                                    </asp:CheckBoxList>
                                </div>
                            </div>
                            <div class="row ftop"  style="display:none;">
                                <div class="col-md-3">
                                    <asp:Label ID="lblPreferedChart_s" runat="server" Text="Preferred Chart" Visible="false"></asp:Label>
                                </div>
                                <div class="col-md-3">
                                    <table id="tblchkPreferedChart" runat="server" style="width: 100%;" visible="false">
                                        <tr id="trchkCritical" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkCritical" runat="server" Text="Device Alarm Status" />
                                            </td>
                                        </tr>
                                        <tr id="trchkRunId" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkRunId" runat="server" Text="Device Communication Status" />
                                            </td>
                                        </tr>
                                        <tr id="trchkPortal" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkPortal" runat="server" Text="Portal Usage" />
                                            </td>
                                        </tr>
                                        <tr id="trchkESPWarnty" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkESPwarnty" runat="server" Text="Equipment Warrant Status" />
                                            </td>
                                        </tr>
                                        <tr id="trchkESPCommWaranty" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkESPCommWaranty" runat="server" Text="Equipment in Communication Warranty" />
                                            </td>
                                        </tr>
                                        <tr id="trchkHVRCommWaranty" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkHVRCommWarranty" runat="server" Text="HVR in Communication Warranty" />
                                            </td>
                                        </tr>
                                        <tr id="trHVRCommStatus" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkHVRCommStatus" runat="server" Text="Nearing Maintenance" />
                                            </td>
                                        </tr>
                                        <tr id="trHVRAlarmStatus" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkHVRAlarmStatus" runat="server" Text="HVR Alarm Status" />
                                            </td>
                                        </tr>
                                        <tr id="trHVRWarrantyAlarmStatus" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkHVRWarrantyAlarmStatus" runat="server" Text="HVR Warranty Alarm Status" />
                                            </td>
                                        </tr>
                                        <tr id="trHVRInstalledWarrantyStatus" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkHVRInstalledWarrantyStatus" runat="server" Text="HVR Installed Warranty Status" />
                                            </td>
                                        </tr>
                                        <tr id="trHVROutofWarrantyAlarmStatus" runat="server" visible="false">
                                            <td style="padding-left: 10px; padding-top: 5px;">
                                                <asp:CheckBox ID="chkHVROutofWarrantyAlarmStatus" runat="server" Text="HVR Out of Warranty Alarm Status" />
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                            <div class="row ftop" runat="server" visible="false">
                                <div class="col-sm-3 col-lg-2">
                                    <asp:Label ID="LblDayLightSaving" runat="server" Text="DayLight Savings"></asp:Label>
                                </div>
                                <div class="col-sm-4">
                                    <asp:CheckBox ID="chkDayLightSaving" runat="server" Text="DayLight Savings" onclick="chkDayTimeSaving()" />
                                    <asp:LinkButton ID="lnkLegend" runat="server" Text="what's this?" OnClick="lnkLegend_Click" OnClientClick="ShowPopUp();"></asp:LinkButton>
                                </div>
                            </div>
                            <div class="row ftop" runat="server" visible="false">
                                <div class="col-sm-3 col-lg-2"></div>
                                <div class="col-sm-6 col-md-5 col-lg-4">
                                    <div id="trDayLight" runat="server" class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-sm-12">
                                                <div class="col-xs-2 padding-width-sm-right">
                                                    <span style="vertical-align: top;"></span>
                                                    <asp:DropDownList ID="ddlSign" runat="server" CssClass="time form-control">
                                                        <asp:ListItem>+</asp:ListItem>
                                                        <asp:ListItem>-</asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                                <div class="col-xs-2 nullpadding">
                                                    <asp:DropDownList ID="ddlFromTime" runat="server" CssClass="time form-control">
                                                    </asp:DropDownList>
                                                </div>
                                                <div class="col-xs-2 padding-width-sm-left">
                                                    <asp:DropDownList ID="ddlFromMin" runat="server" CssClass="time form-control">
                                                        <asp:ListItem>00</asp:ListItem>
                                                        <asp:ListItem>15</asp:ListItem>
                                                        <asp:ListItem>30</asp:ListItem>
                                                        <asp:ListItem>45</asp:ListItem>
                                                    </asp:DropDownList>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-xs-11 nullpadding">
                                                <div class="col-sm-6 nullpadding controllinebreak">
                                                    <div class="col-xs-3 col-sm-5">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgDurationFrom" runat="server" ImageUrl="../images/calendar-rht-icon.gif"
                                                                AlternateText="Duration From" />
                                                        </div>
                                                        <div class="col-xs-10">
                                                            <asp:Label ID="lblFromDate" runat="server" Text="From"></asp:Label>&nbsp;
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-9 col-sm-7 nullpadding">
                                                        <asp:TextBox ID="txtFrom" runat="server" oncopy="return false" oncut="return false"
                                                            onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                            ToolTip="dd-MMM-yyyy" CssClass="form-control">
                                                        </asp:TextBox>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6 nullpadding">
                                                    <div class="col-xs-3 col-sm-5">
                                                        <div class="col-xs-1 nullpadding">
                                                            <asp:Image ID="imgDurationTo" runat="server" ImageUrl="../images/calendar-lft-icon.gif"
                                                                AlternateText="Duration To" />
                                                        </div>
                                                        <div class="col-xs-10">
                                                            <asp:Label ID="lblTODate" runat="server" Text="To"></asp:Label>&nbsp;
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-9 col-sm-7 nullpadding">
                                                        <asp:TextBox ID="txtTo" runat="server" oncopy="return false" oncut="return false"
                                                            onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                            ToolTip="dd-MMM-yyyy" CssClass="form-control">
                                                        </asp:TextBox>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row ftop">
                                <div class="col-md-3"></div>
                                <div class="col-md-3">
                                    <div class="col-ks-16" align="right">
                                        <asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="btn-fa-floppy-o btn btn-primary"
                                            OnClientClick="ShowPopUp(); if (validate() && checkDropdowns()){return true;} else {return false}">
                                        </asp:LinkButton>
                                        <asp:ImageButton ImageUrl="~/images/btn-cancel.jpg" ID="btnCancel1" runat="server"
                                            OnClick="btnCancel_Click" TabIndex="6" Visible="false" />
                                        <asp:LinkButton ID="btnCancel" runat="server" CssClass="btn-fa-ban btn btn-primary" OnClick="btnCancel_Click">
                                        </asp:LinkButton>
                                    </div>
                                    <div id="top-content" class="head-part" style="display: none;">
                                        <div class="col-sm-6 head-part-btns" runat="server" visible="false">
                                            <div class="pull-right">
                                                <a href="FeedbackMobile.aspx" class="MultilingualBtn" runat="server" id="FeedbacksParentDiv">
                                                    <span id="Span7" runat="server" class="MultilingualBtnspan" stye="cursor:pointer;">
                                                        <div class="DashboardUserFeedbacks">
                                                            <div id="UserFeedbacksButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                User Feedbacks
                                                            </div>
                                                        </div>
                                                    </span>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </asp:Panel>
                        <%--End--%>
                    </div>
                </div>
            </div>

            <div class="vlive-filter">
                <div class="container-fluid">
                    <div class="vlive-centrifugal-fan maintenance-plan" style="padding-top: 0px">
                        <h2>
                            <asp:Label ID="lblChangePassword" runat="server" Text=" Change Password"></asp:Label>
                        </h2>
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <asp:Panel ID="pnlChangePassword" runat="server" CssClass="container-fluid">
                                    <div class="form-horizontal">
                                        <div class="row ftop">
                                            <div class="col-md-3">
                                                <asp:Label ID="lblOldPassword" runat="server" Font-Bold="False" Text="Current Password"
                                                    CssClass="label"></asp:Label>
                                                <%--<asp:Label ID="Label12" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-md-3">
                                                <asp:TextBox ID="txtOldPassword" runat="server" MaxLength="20" ValidationGroup="vgChangePassword"
                                                    TextMode="Password" onpaste="return false;" ondrop="return false;" onkeypress="return chkPassword(event)"
                                                    TabIndex="7" CssClass="form-control man-dat"></asp:TextBox>

                                            </div>
                                            <div class="col-md-3">
                                                <asp:RequiredFieldValidator ID="rfvOldPassword" runat="server" ControlToValidate="txtOldPassword"
                                                    ErrorMessage="Current Password required" ValidationGroup="vgChangePassword" Display="None"></asp:RequiredFieldValidator>
                                            </div>
                                        </div>
                                        <div class="row ftop">
                                            <div class="col-md-3">
                                                <asp:Label ID="lblNewPassword" runat="server" Text="New Password" CssClass="label"></asp:Label>
                                                <%--<asp:Label ID="Label1" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-md-3">
                                                <asp:TextBox ID="txtNewPassword" runat="server" MaxLength="20" ValidationGroup="vgChangePassword"
                                                    TextMode="Password" onpaste="return false;" ondrop="return false;"
                                                    TabIndex="8" onkeypress="return chkPassword(event)" onkeyup="PWDChecker(this.value,txtConfirmNewPassword.value);"
                                                    onblur="return OnTextChangeAlert();" CssClass="form-control man-dat"></asp:TextBox>
                                            </div>
                                            <div class="col-md-3">
                                                <asp:RequiredFieldValidator ID="rfvNewPassword" runat="server" ControlToValidate="txtNewPassword"
                                                    ErrorMessage="New Password required" ValidationGroup="vgChangePassword" Display="None">
                                                </asp:RequiredFieldValidator>
                                            </div>
                                        </div>
                                        <div class="row ftop">
                                            <div class="col-md-3">
                                                <asp:Label ID="lblConfirmNewPassword" runat="server" TextMode="Password" Text="Confirm New Password"
                                                    CssClass="label"></asp:Label>
                                                <%--<asp:Label ID="Label2" runat="server" ForeColor="Red">*</asp:Label>--%>
                                            </div>
                                            <div class="col-md-3">
                                                <asp:TextBox ID="txtConfirmNewPassword" runat="server" MaxLength="20" ValidationGroup="vgChangePassword"
                                                    TextMode="Password" onpaste="return false;" ondrop="return false;" TabIndex="9"
                                                    onkeypress="return chkPassword(event)" onkeyup="PWDChecker(txtNewPassword.value,this.value);"
                                                    onblur="return OnTextChangeAlert();" CssClass="form-control man-dat"></asp:TextBox>
                                                <asp:HiddenField ID="hdnChecking" runat="server" />
                                                <asp:HiddenField ID="hdnPwdValidation" runat="server" />
                                                <span id="spanAvailability" style="position: absolute; background-color: whitesmoke;"></span>
                                                <script type="text/javascript">

                                                    var PWDCheckerTimer;
                                                    var spanAvailability = $get("spanAvailability");
                                                    var ChkPwdAvilable;

                                                    var Caption_PwdExist = document.getElementById('hdnPwdValidation').value;
                                                    var Caption_Checking = document.getElementById('hdnChecking').value;
                                                    function PWDChecker(NPassword, CPassword) {
                                                        var txtConfirmNewPassword = document.getElementById('txtConfirmNewPassword');
                                                        clearTimeout(PWDCheckerTimer);
                                                        if (NPassword.length == 0 && CPassword.length == 0) {
                                                            spanAvailability.innerHTML = "";
                                                            txtConfirmNewPassword.style.backgroundColor = 'white';
                                                        }
                                                        else {
                                                            spanAvailability.innerHTML = "<span style='color: #ccc;'>'" + Caption_Checking + "'</span>";
                                                            PWDCheckerTimer = setTimeout("checkPassword('" + NPassword + "','" + CPassword + "');", 750);
                                                        }
                                                    }

                                                    function checkPassword(NPassword, CPassword) {
                                                        // initiate the ajax pagemethod call
                                                        // upon completion, the OnSucceded callback will be executed
                                                        PageMethods.IsPasswordValid(NPassword, CPassword, OnSucceeded);
                                                    }

                                                    // Callback function invoked on successful completion of the page method.
                                                    function OnSucceeded(result, userContext, methodName) {
                                                        var txtConfirmNewPassword = document.getElementById('txtConfirmNewPassword');
                                                        if (methodName == "IsPasswordValid") {
                                                            if (result == true) {
                                                                spanAvailability.innerHTML = "<span style='color: DarkGreen;'></span>";
                                                                txtConfirmNewPassword.style.backgroundColor = 'white';
                                                                ChkPwdAvilable = 0;
                                                            }
                                                            else {
                                                                spanAvailability.innerHTML = "<span style='color: Red;'>'" + Caption_PwdExist + "'</span>";
                                                                txtConfirmNewPassword.style.backgroundColor = 'lightyellow';
                                                                ChkPwdAvilable = 1;
                                                            }
                                                        }
                                                    }
                                                    function OnTextChangeAlert() {
                                                        var txtConfirmNewPassword = document.getElementById('txtConfirmNewPassword');
                                                        if (ChkPwdAvilable == 1) {
                                                            //document.getElementById('txtStudentID').focus();
                                                            //document.getElementById('txtNewPassword').value = '';
                                                            //document.getElementById('txtConfirmNewPassword').value = '';
                                                            //spanAvailability.innerHTML = "<span style='color: DarkGreen;'></span>";
                                                            // txtStudentID.style.backgroundColor = 'white';
                                                        }
                                                    }
                                                </script>
                                            </div>
                                            <div class="col-md-3">
                                                <asp:RequiredFieldValidator ID="rfvConfirmNewPassword" runat="server" ControlToValidate="txtConfirmNewPassword"
                                                    ErrorMessage="Confirm New Password required" ValidationGroup="vgChangePassword"
                                                    Display="None"></asp:RequiredFieldValidator>
                                            </div>
                                        </div>
                                        <div class="row ftop">
                                            <div class="col-md-12">
                                                <%--<asp:Label ID="Label3" runat="server" ForeColor="Red">*</asp:Label>&nbsp;--%>
                                                <span class="redtxt">|</span>&nbsp;<asp:Label ID="lblMandatoryFields" runat="server">Required Fields</asp:Label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-sm-3"></div>
                                            <div class="col-sm-3">
                                                <div class="col-ks-16" align="right">
                                                    <asp:ImageButton ID="btnChangePWSave1" runat="server" OnClick="btnChangePWSave_Click"
                                                        CssClass="nosty" ValidationGroup="vgChangePassword" CausesValidation="true" ImageUrl="~/images/btn-save.jpg"
                                                        TabIndex="10" Visible="false" />
                                                    <asp:LinkButton ID="btnChangePWSave" runat="server" ValidationGroup="vgChangePassword"
                                                        CausesValidation="true" CssClass="btn-fa-floppy-o btn btn-primary" OnClick="btnChangePWSave_Click" OnClientClick="ShowPopUp();">
                                                    </asp:LinkButton>
                                                    <asp:ImageButton ID="btnChangePWCancel1" CausesValidation="False" TabIndex="11" runat="server"
                                                        ImageUrl="~/images/btn-cancel.jpg" CssClass="nosty" Visible="false" />
                                                    <asp:LinkButton ID="btnChangePWCancel" runat="server" CausesValidation="False" CssClass="btn-fa-ban btn btn-primary">
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                        </div>
                                </asp:Panel>

                                <div class="container-fluid">
                                    <asp:UpdatePanel ID="UpdatePanel2" runat="server">
                                        <ContentTemplate>
                                            <dxw:ASPxPopupControl ID="popupDaylightSettings" runat="server" Width="525px" Height="80px" AllowDragging="True"
                                                Border-BorderColor="#99BBE8" BackColor="#dfe9f5" HeaderText="" EnableDefaultAppearance="False"
                                                ShowCloseButton="true" CloseAction="CloseButton" PopupHorizontalAlign="OutsideLeft"
                                                Top="150" ShowHeader="false">
                                                <ContentStyle CssClass="content">
                                                </ContentStyle>
                                                <ContentCollection>
                                                    <dxw:PopupControlContentControl runat="server">
                                                        <asp:Panel runat="server" ID="pnlInfoWindow">
                                                            <div class="popup">
                                                                <div class="top">
                                                                    <h1>
                                                                        <asp:Label runat="server" ID="lblinfopnl" Text="DayLight Savings"></asp:Label>
                                                                    </h1>
                                                                    <div class="clear clearfix">
                                                                    </div>
                                                                </div>
                                                                <div class="popup-cont">
                                                                    <div class="row">
                                                                        <asp:Label ID="lblDayLightText" runat="server"></asp:Label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </asp:Panel>
                                                    </dxw:PopupControlContentControl>
                                                </ContentCollection>
                                                <Border BorderColor="#99BBE8" />
                                            </dxw:ASPxPopupControl>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </div>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>


            <asp:HiddenField ID="hdnPreference" runat="server" />
            <!--Progress Bar -->
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="progressPopUp"
                TargetControlID="btnTesting" DropShadow="false" X="400" Y="400" BackgroundCssClass="modalBackground">
            </cc1:ModalPopupExtender>
            <asp:Button ID="btnTesting" Style="display: none;" runat="server" />
            <asp:Panel ID="progressPopUp" runat="server" CssClass="processMessage" Style="z-index: 1000; display: none;">
                <center>
                    <br />
                    <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                    <br />
                    <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                    <br />
                    <br />
                </center>
            </asp:Panel>
            <!-- Progress Bar Ends Here -->

            <script language="JavaScript1.2" type="text/javascript" src="../js/myformvalidations.js"></script>

            <script language="javascript" type="text/javascript" src="../js/SendCommandScripts.js"></script>

            <script type="text/javascript">
                function OrgList() {
                    var rbtDefault = document.getElementById('rbtDefault');
                    var rbtAllOrganizations = document.getElementById('rbtAllOrganizations');
                    if (rbtDefault.checked) {
                        document.getElementById('ddlOrganizations').style.display = "block";
                    }
                    if (rbtAllOrganizations.checked) {
                        document.getElementById('ddlOrganizations').style.display = "none";
                    }
                }
            </script>

            <script type="text/javascript">
                var Alert_Confirm = "Are you sure you want to save the settings?";
                var Alert_PreferedChart = "Select minimum one chart as preferred Dashboard chart.";
                var Alert_FromDate = "Please select the From Date.";
                var Alert_ToDate = "Please select the To Date.";

                function Save(Confirm, Prefered, FromDate, ToDate) {
                    Alert_Confirm = Confirm;
                    Alert_PreferedChart = Prefered;
                    Alert_FromDate = FromDate;
                    Alert_ToDate = ToDate;
                }
                function GetSettings() {
                    if (confirm(Alert_Confirm)) {
                        return true;
                    }
                }
            </script>

            <script type="text/javascript">
                function validate() {
                    var error = "";
                    var ChkLen = 0;
                    var ChartSelected = 0;
                    var checkBox = document.getElementById("tblchkPreferedChart"); //document.getElementById("<%=chklstPreferedChart.ClientID%>");
                    // var chkDayLightSaving = document.getElementById('chkDayLightSaving');
                    // var FromDate = document.getElementById('txtFrom').value;
                    // var ToDate = document.getElementById('txtTo').value;
                    //  var FromTime = document.getElementById('ddlFromTime').value;
                    //    var ChartCritical = document.getElementById("<%=tblchkPreferedChart.ClientID%>");
                    var Inputs = checkBox.getElementsByTagName('input');
                    for (var n = 0; n < Inputs.length; n++) {
                        if (Inputs[n].type == 'checkbox') {
                            if (Inputs[n].checked)
                                ChkLen++;
                        }
                    }
                    <%--  if (chkDayLightSaving.checked) {
                        if (FromDate == "") {
                            error += Alert_FromDate + "\n";
                            document.getElementById("<%=ddlFromTime.ClientID%>").focus();
                        }

                        if (ToDate == "") {
                            error += Alert_ToDate + "\n";
                            document.getElementById("<%=ddlFromTime.ClientID%>").focus();
                        }
                    }--%>
                    if (ChkLen == 0) {
                        error += Alert_PreferedChart;
                        document.getElementById("<%=chkCritical.ClientID%>").focus();
                    }
                    if (error != "") {
                        TrinetraCustomAlerts(error);
                        HidePopUp();
                        return false;
                    } else {
                        return true;
                        HidePopUp();
                    }
                }

                function chkDayTimeSaving() {
                    var checkBox = document.getElementById('chkDayLightSaving');
                    var trHrs = document.getElementById('trDayLight');
                    // var trFromDate = document.getElementById('trFromDate');
                    // var trToDate = document.getElementById('trToDate');
                    if (checkBox.checked) {
                        trHrs.style.display = "inline";
                        // trFromDate.style.display = "inline";
                        // trToDate.style.display = "inline";
                    }
                    else {
                        //                    document.getElementById('txtFrom').value = "";
                        //                    document.getElementById('txtTo').value = "";
                        //                    document.getElementById('ddlFromTime').value = "00";
                        //                    document.getElementById('ddlFromMin').value = "00";
                        trHrs.style.display = "none";
                        // trFromDate.style.display = "none";
                        // trToDate.style.display = "none";
                    }
                }
                function ValidationDayLight() {
                    var error = "";
                    if (checkBox.checked) {
                        if (FromDate == "") {
                            error += Alert_FromDate + "\n";
                            document.getElementById("<%=ddlFromTime.ClientID%>").focus();
                        }

                        if (ToDate == "") {
                            error += Alert_ToDate + "\n";
                            document.getElementById("<%=ddlFromTime.ClientID%>").focus();
                        }
                        if (error != "") {
                            TrinetraCustomAlerts(error);
                            return false;
                        }
                    }
                }
            </script>

            <script type="text/javascript">
                function checkDropdowns() {
                    // The number of dropdowns you have (use the naming convention 'dropx' as an id attribute)
                    var iDropdowns = 11;
                    // var sValue;
                    var sValue;
                    var sValue2;
                    for (var i = 1; i <= iDropdowns; ++i) {
                        // Get selected value
                        // sValue = document.getElementById('drop1')//drop + i.value;
                        if (document.getElementById('drop' + i) != null) {
                            sValue = document.getElementById('drop' + i).value;
                            if (sValue != "- Select -") {
                                // Nested loop - loop over dropdowns again
                                for (var j = 1; j <= iDropdowns; ++j) {
                                    // Get selected value
                                    if (document.getElementById('drop' + j) != null) {
                                        sValue2 = document.getElementById('drop' + j).value;
                                        // If we're not checking the same dropdown and the values are the same...
                                        if (i != j && sValue == sValue2) {
                                            // ...we have a duplicate!
                                            TrinetraCustomAlerts('Duplicate Position found!  please Check the Positions!');
                                            return false;
                                        }
                                    }
                                }
                            }
                        }
                    }
                    // No duplicates
                    return true;
                }

            </script>

            <script type="text/javascript">
                var keyValue;
                function OnMoreInfoClick(element) {
                    popupDaylightSettings.ShowAtElement(element);
                }
                function popup_Shown(s, e) {
                    popupDaylightSettings.ShowAtPos(s, e);
                }
            </script>

            <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
            <asp:HiddenField ID="hdnDayLight" runat="server" />
            <asp:HiddenField ID="hdnLogout" runat="server" />
            <asp:HiddenField ID="hdnMultiLingualmsg" runat="server" />
            <asp:HiddenField ID="hdnchartPos" runat="server" />
        </form>
    </div>
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
