﻿<%@ page language="C#" autoeventwireup="true" inherits="Forms_ViewAuditDetails, App_Web_4vbqinqe" enableeventvalidation="false" %>

<%@ Register Assembly="TimePicker" Namespace="MKB.TimePicker" TagPrefix="MKB" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Src="~/UserControls/Notification_List.ascx" TagPrefix="uc3" TagName="NotificationsList" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="FleetGrid" TagPrefix="uc5" %>
<%@ Register Src="~/UserControls/TrinetraGrid.ascx" TagName="EmailGrid" TagPrefix="uc4" %>
<%@ Register Src="~/UserControls/New_Header.ascx" TagName="Header" TagPrefix="uc1" %>
<%@ Register Src="~/UserControls/New_Footer.ascx" TagName="Footer" TagPrefix="uc2" %>
<%--<%@ Register Assembly="AspNetPager" Namespace="Wuqi.Webdiyer" TagPrefix="webdiyer" %>--%>

<%--<%@ Register Assembly="DevExpress.Web.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxMenu" TagPrefix="dxm" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2" Namespace="DevExpress.Web.ASPxGridView"
    TagPrefix="dxgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2.Export" Namespace="DevExpress.Web.ASPxGridView.Export"
    TagPrefix="exp" %>
<%@ Register Assembly="DevExpress.Web.v8.2" Namespace="DevExpress.Web.ASPxPopupControl"
    TagPrefix="dxpc" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9B171C9FD64DA1D1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dx" %>--%>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--********* For Bootstrap Implementation *************--%>
<!DOCTYPE html>
<html lang="en">
<%--********* End of Bootstrap Implementation *************--%>
<head runat="server">
    <%--********* For Bootstrap Implementation *************--%>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <%--********* End of Bootstrap Implementation *************--%>
    <title>tSense-IoT Audit Details</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link href="../css/CustomeAlert/demos.css" rel="stylesheet" type="text/css" />
    <link href="../css/CustomeAlert/themes/jquery.ui.all.css" rel="stylesheet" type="text/css" />
    <link id="datepicker" runat="server" type="text/css" href="../css/ui.datepicker.css"
        rel="stylesheet" />
    <link id="uicore" runat="server" type="text/css" href="../css/ui.core.css" rel="stylesheet" />
    <link id="uitheme" runat="server" type="text/css" href="../css/ui.theme.css" rel="stylesheet" />
    <link id="reset" runat="server" href="../css/reset.css" rel="stylesheet" type="text/css" />
    <link id="stylesheet2" runat="server" href="../css/stylesheet2.css" rel="stylesheet"
        type="text/css" />
    <link id="dropdown" runat="server" href="../css/dropdown.css" rel="stylesheet" type="text/css" />
    <link id="ieonly" runat="server" rel="stylesheet" type="text/css" href="" />
    <link rel="SHORTCUT ICON" href="../images/favicon.ico" />
    <%--Custom Theme for DevEx 14.2--%>
    <link id="GridView" type="text/css" href="~/App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
    <link id="Editors" type="text/css" href="~/App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />

    <script src="../js/CustomAlert/jquery.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>

    <script src="../js/CustomAlert/CustomAlert.js" type="text/javascript"></script>

    <script type="text/javascript" src="../js/jquery-1.5.1.min.js"></script>

    <script type="text/javascript" src="../js/ui.datepicker.js"></script>

    <script type="text/javascript" language="javascript" src="../js/JQQueryDatePicker.js">
    </script>
    <%--********* For Bootstrap Implementation *************--%>
    <link id="BootStrapCss" href="../css/bootstrap.css" runat="server" rel="stylesheet" type="text/css" />
    <link id="mainstyle" runat="server" href="../css/mainstyle.css" rel="stylesheet" type="text/css" />
    <%--********* End of Bootstrap Implementation *************--%>
    <script src="../js/wow.min.js"></script>
</head>
<body>
    <%--********* For Bootstrap Implementation *************--%>
    <div class="pageContainer">
        <%--********* End of Bootstrap Implementation *************--%>
        <form id="form1" runat="server">
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel runat="server" ID="updVenDetails" UpdateMode="Conditional">
                <ContentTemplate>
                    <!-- Header Starts Here -->
                    <uc1:Header ID="ucHeader" runat="server" />
                    <!-- Nav Ends Here -->
                    <!-- Content Starts Here -->
                    <div id="outer">
                        <div id="inner">
                            <div id="float-wrap">
                                <!-- Main Content Starts Here -->
                                <div id="content">
                                    <div class="content-wrap">
                                        <div id="top-content" class="container-fluid head-part">
                                            <div id="heading" class="col-sm-4 col-md-4">
                                                <img class="icon" src="../images/configuration-icon.jpg" alt="" />
                                                <h1>
                                                    <asp:Literal ID="lblConfigurationCaption" runat="server">Configuration</asp:Literal></h1>
                                                <asp:LinkButton ID="lnkHomeCaption" runat="server">Home</asp:LinkButton><span>&gt;</span><asp:LinkButton
                                                    ID="lnkItemMgmt" PostBackUrl="~/Forms/ViewAuditDetails.aspx" runat="server" Text="Audit Details"
                                                    OnClick="lnkItemMgmt_Click"></asp:LinkButton>
                                            </div>
                                            <div id="" class="col-sm-7 col-md-7 pull-right">
                                                <div class="pull-right btn-wrap">
                                                    <asp:LinkButton ID="btnBack" runat="server" CssClass="MultilingualBtn" CausesValidation="false"
                                                        PostBackUrl="~/Forms/ConfigurationSetup.aspx">
                                                        <span id="Span4" runat="server" class="MultilingualBtnspan">
                                                            <div class="Back">
                                                                <div id="BacktoConfigurationDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                    Back to Configuration
                                                                </div>
                                                            </div>
                                                        </span>
                                                    </asp:LinkButton>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                        </div>
                                        <div class="clear clearfix">
                                        </div>
                                        <asp:Image ID="imgFleetIcon" ImageUrl="../images/icn-category.gif" AlternateText="Category" ToolTip="Select the category"
                                            runat="server" Visible="false" />
                                        <asp:DropDownList ID="ddlDHT" runat="server" class="form-control" TabIndex="3" Width="150px" AutoPostBack="true"
                                            OnSelectedIndexChanged="ddlDHT_SelectedIndexChanged" Visible="false">
                                        </asp:DropDownList>
                                        <div class="form-box col-xs-12 nullpadding">
                                            <h1></h1>
                                            <div class="col-sm-12 col-md-10 col-lg-9 MySearchPanelFilter">
                                                <div class="col-xs-12 col-sm-5 col-md-10 col-lg-4 nullpadding">
                                                    <div class="col-xs-1 nullpadding">
                                                        <asp:Image runat="server" ImageUrl="~/images/calendar-rht-icon.gif" AlternateText="Item Name"
                                                            ID="imgSeverity" />
                                                    </div>
                                                    <div class="col-xs-5 col-sm-5 col-md-3 col-lg-6 nullpadding">
                                                        <asp:HiddenField runat="server" ID="hdnDateFormat" Value="dd-MMM-yyyy" />
                                                        <asp:TextBox ID="txtStartDate" runat="server" oncopy="return false" oncut="return false"
                                                            onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                            CssClass="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                    </div>
                                                    <div class="col-xs-6 col-sm-6 col-md-3 col-lg-5 nullpadding">
                                                        <div class="col-xs-1 col-sm-1 nullpadding">
                                                        </div>
                                                        <div class="col-sm-11 col-md-10 col-lg-11 nullpadding">
                                                            <div class="time1 Responsivetime">
                                                                <MKB:TimeSelector ID="tsFromHrs" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                    Hour="8" Font-Size="10pt" Height="20px" SelectedTimeFormat="Twelve">
                                                                </MKB:TimeSelector>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="col-xs-12 col-sm-5 col-md-10 col-lg-4 nullpadding">
                                                    <div class="col-xs-1 nullpadding">
                                                        <asp:Image ID="imgUser" ImageUrl="~/images/calendar-rht-icon.gif"
                                                            Width="15" Height="16" runat="server" />
                                                    </div>
                                                    <div class="col-xs-5 col-sm-5 col-md-3 col-lg-6 nullpadding">
                                                        <asp:TextBox ID="txtEndDate" runat="server" oncopy="return false" oncut="return false"
                                                            onkeydown="doCheckBackSpaceOrDelete()" onkeypress="return false" onpaste="return false"
                                                            CssClass="form-control" ToolTip="dd-MMM-yyyy"></asp:TextBox>
                                                    </div>
                                                    <div class="col-xs-6 col-sm-6 col-md-3 col-lg-5 nullpadding">
                                                        <div class="col-xs-1 col-sm-1 nullpadding">
                                                        </div>
                                                        <div class="col-sm-11 col-md-10 col-lg-11 nullpadding">
                                                            <div class="time1 Responsivetime">
                                                                <MKB:TimeSelector ID="tsToHours" runat="server" AmPm="AM" DisplaySeconds="False"
                                                                    Hour="10" Font-Size="10pt" Height="21px" SelectedTimeFormat="Twelve">
                                                                </MKB:TimeSelector>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="col-xs-10 col-sm-2 col-md-10 col-lg-1 nullpadding">
                                                    <div class="col-sm-10 col-md-10 col-lg-2 nullpadding">
                                                        <asp:ImageButton runat="server" ID="ibtSearch1" OnClientClick="if(ValidateAlert()){ ShowPopUp(); return true;} else {return false;}"
                                                            ImageUrl="~/images/btn-search.jpg" OnClick="lnkTest_Click" Visible="false" />
                                                        <asp:LinkButton ID="ibtSearch" runat="server" CssClass="MultilingualBtn"
                                                            OnClick="lnkTest_Click">
                                                            <%--OnClientClick="if(ValidateAlert()){ ShowPopUp(); return true;} else {return false;}"--%>
                                                            <span id="Span1" runat="server" class="MultilingualBtnspan">
                                                                <div class="Search">
                                                                    <div id="SearchButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Search
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="clear clearfix">
                                    </div>
                                    <asp:Panel ID="pnlItemDetailsList" runat="server">
                                        <div id="grid-dsply">
                                            <div id="top">
                                                <div class="right-col">
                                                    <span class="dropdown">
                                                        <dxw:ASPxComboBox ID="ASPxCboExport" runat="server" ValueType="System.String" Width="80px" Height="20px"
                                                            ShowImageInEditBox="false" ItemImage-Height="12px" ClientInstanceName="ASPxCboExport" SelectedIndex="0"
                                                            CssFilePath="~/App_Themes/Office2003Blue/Editors/styles.css" CssPostfix="Office2003_Blue"
                                                            EnableTheming="true" Theme="Office2003Blue">
                                                            <Items>
                                                                <dxw:ListEditItem ImageUrl="../images/icn-pdf.jpg" Text="pdf" Value="pdf" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel.jpg" Text="xls" Value="xls" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-excel-xlsx.png" Text="xlsx" Value="xlsx" />
                                                                <dxw:ListEditItem ImageUrl="../images/icn-word.jpg" Text="rtf" Value="rtf" />
                                                            </Items>
                                                        </dxw:ASPxComboBox>
                                                    </span>&nbsp;<span class="txt">
                                                        <asp:ImageButton ID="btnExport1" runat="server" ImageUrl="~/images/btn-export.jpg"
                                                            OnClick="btnExport_Click" Visible="false" />
                                                        <asp:LinkButton ID="btnExport" runat="server" CssClass="MultilingualBtn" OnClick="btnExport_Click">
                                                            <span id="Span9" runat="server" class="MultilingualBtnspan">
                                                                <div class="Export">
                                                                    <div id="ExportButDiv" runat="server" class="MultilingualBtnTextAlign">
                                                                        Export
                                                                    </div>
                                                                </div>
                                                            </span>
                                                        </asp:LinkButton>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="clear clearfix">
                                            </div>
                                            <div class="table-responsive">
                                                <dxw:ASPxGridView ID="gvItems" runat="server" Width="100%" EnableViewState="true" KeyFieldName="ID"
                                                    CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                                    EnableTheming="true" Theme="Office2003Blue" OnDataBinding="gvItems_DataBinding"
                                                    OnHtmlRowPrepared="gvItems_OnHtmlRowPrepared" OnHtmlRowCreated="gvItems_OnHtmlRowCreated">

                                                    <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                                        CssPostfix="Office2003_Blue">
                                                        <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                                        </Header>
                                                        <LoadingPanel ImageSpacing="10px">
                                                        </LoadingPanel>
                                                        <PagerBottomPanel CssClass="PageFooter">
                                                        </PagerBottomPanel>
                                                        <PagerTopPanel CssClass="PageFooter">
                                                        </PagerTopPanel>
                                                    </Styles>
                                                    <SettingsPager PageSize="15" PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                                        PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                                        NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                                        NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                                    </SettingsPager>
                                                    <Columns>
                                                        <dxw:GridViewDataColumn FieldName="ModuleName" Caption="Module Name" VisibleIndex="0"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%-- <span class="icon">
                                                            <img src="../images/icn-assigned-outputs.gif" alt="" title="" align="middle" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Module Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblItemCategoryName" runat="server" Text='<%# Eval("ModuleName").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="TableName" Caption="Table Name" VisibleIndex="1"
                                                            Width="10%">
                                                            <HeaderCaptionTemplate>
                                                                <%--<span class="icon">
                                                            <img src="../Images/icn-division.gif" align="top" alt="" title="" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblVendorNameCaption" runat="server" Text="Table Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblItemcode" runat="server" Text='<%# Eval("Itemcode").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="FieldName" Caption="Field Name" VisibleIndex="2"
                                                            CellStyle-Wrap="True" Width="10%" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%-- <span class="icon">
                                                            <img src="../images/icn-description.gif" alt="" title="" align="top" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblWrkOdrCaption" runat="server" Text="Field Name"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblItemName" runat="server" Text='<%# Eval("ItemName").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="Opr" Caption="Operation" VisibleIndex="3"
                                                            CellStyle-Wrap="True" Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%-- <span class="icon">
                                                            <img src="../images/Schedule Command.png" alt="" title="" align="middle" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Operation"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblItemDesc" runat="server" Text='<%# Eval("ItemDesc").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="True" AllowSort="True" ShowFilterRowMenu="True" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="OprDate" Caption="Date" VisibleIndex="4"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%--<span class="icon">
                                                            <img src="../images/icn-chart.gif" alt="" title="" align="middle" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Date"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblAvailQty" runat="server" Text='<%# Eval("OpenQty").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="OldValue" Caption="Old Value" VisibleIndex="4"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%-- <span class="icon">
                                                            <img src="../images/icn-chart.gif" alt="" title="" align="middle" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Old Value"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblAvailQty" runat="server" Text='<%# Eval("AvailQty").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="NewValue" Caption="New Value" VisibleIndex="5"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%-- <span class="icon">
                                                            <img src="../images/cost.gif" alt="" title="" align="middle" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="New Value"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%--<DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblUnitPrice" runat="server" Text='<%# Eval("UnitPrice").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="False" />
                                                        </dxw:GridViewDataColumn>
                                                        <dxw:GridViewDataColumn FieldName="UserName" Caption="Updated By" VisibleIndex="5"
                                                            Width="10%" HeaderStyle-HorizontalAlign="Center" CellStyle-HorizontalAlign="Left">
                                                            <HeaderCaptionTemplate>
                                                                <%-- <span class="icon">
                                                            <img src="../images/popup-tr.gif" alt="" title="" align="middle" /></span>--%>
                                                                <span class="label">
                                                                    <asp:Label ID="lblCntrctprdCaption" runat="server" Text="Updated By"></asp:Label></span>
                                                            </HeaderCaptionTemplate>
                                                            <%-- <DataItemTemplate>
                                                        <span class="label">
                                                            <asp:Label ID="lblUnitPrice" runat="server" Text='<%# Eval("TotalReceipts").ToString() %>'
                                                                ForeColor='<%# Eval("AvailQty").ToString() =="0" ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label></span>
                                                    </DataItemTemplate>--%>
                                                            <Settings AllowAutoFilter="True" />
                                                        </dxw:GridViewDataColumn>
                                                    </Columns>
                                                    <Settings ShowVerticalScrollBar="true" VerticalScrollableHeight="270" />
                                                    <Settings ShowFilterRow="true" ShowFilterRowMenu="True" />
                                                    <SettingsText EmptyDataRow="No Items details found" />
                                                    <SettingsBehavior AllowFocusedRow="false" />
                                                </dxw:ASPxGridView>
                                            </div>
                                            <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvItems"
                                                ReportHeader="{\rtf1\ansi\ansicpg1252\deff0\deflang1033{\fonttbl{\f0\fnil\fcharset0 Times New Roman;}{\f1\fnil\fcharset0 Arial;}}
\viewkind4\uc1\pard\f0\fs20                                                                                      \b\f1\fs28 Item Details    \par
\par
\par
}
"
                                                DetailHorizontalOffset="1" DetailVerticalOffset="1" MaxColumnWidth="120">
                                                <Styles>
                                                    <Default VerticalAlign="Middle">
                                                    </Default>
                                                    <Header BackColor="#D1D1D1" Font-Bold="True" Font-Names="Arial" Font-Size="10pt"
                                                        ForeColor="Black" HorizontalAlign="Center" VerticalAlign="Middle" Wrap="false">
                                                    </Header>
                                                    <Cell VerticalAlign="Middle" Wrap="True" Font-Size="8pt" Font-Names="Arial" HorizontalAlign="Left"
                                                        ForeColor="Black">
                                                    </Cell>
                                                </Styles>
                                                <PageHeader Center="Fuel Entry Details" VerticalAlignment="Far">
                                                    <Font Bold="True" Names="Arial" Size="10pt" Underline="True"></Font>
                                                </PageHeader>
                                                <PageFooter Right="[Page # of Pages #]">
                                                </PageFooter>
                                            </dxw:ASPxGridViewExporter>
                                        </div>

                                    </asp:Panel>
                                </div>
                            </div>
                            <%--</div>--%>
                            <!-- Main Content Ends Here -->
                            <div id="left">
                            </div>
                            <div class="clear clearfix">
                            </div>
                        </div>
                        <div id="right">
                        </div>
                        <div class="clear clearfix">
                        </div>
                    </div>
                    <asp:Button ID="btnLoadModel" runat="server" CssClass="btn" Style="display: none"></asp:Button>
                    <asp:Button ID="btnTest" runat="server" CssClass="ControlHide" Text="Test" />
                    <asp:HiddenField ID="hdnCancelsts" runat="server" />
                    <asp:HiddenField ID="hdnselectedays" runat="server" />
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="btnExport" />
                    <asp:PostBackTrigger ControlID="btnTest" />
                </Triggers>
            </asp:UpdatePanel>
            <cc1:ModalPopupExtender ID="mpeProgressIndicator" runat="server" PopupControlID="pnlProgress"
                TargetControlID="Button1">
            </cc1:ModalPopupExtender>
            <asp:Button ID="Button1" Style="display: none;" runat="server" />
            <asp:Panel ID="pnlProgress" runat="server" CssClass="processMessage" Style="z-index: 1000;">
                <center>
                <br />
                <img id="imgLoad" runat="server" alt="Please Wait ..." src="../images/47.gif" /><br />
                <br />
                <asp:Label ID="lbl_msg12" Text="Processing... Please Wait..." runat="server" CssClass="specialdisplay"></asp:Label>
                <br />
                <br />
            </center>
            </asp:Panel>







            <script type="text/javascript" src="../js/myformvalidations.js"></script>

            <script type="text/javascript" src="../js/FormValidations.js"></script>



            <script language="javascript" type="text/javascript">
                function HidePopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').hide();
                    }
                }
                function ShowPopUp() {
                    if ($find('mpeProgressIndicator') != undefined) {
                        $find('mpeProgressIndicator').show();
                    }
                }
            </script>

            <script type="text/javascript">
                Sys.Browser.WebKit = {}; //Safari 3 is considered WebKit
                if (navigator.userAgent.indexOf('WebKit/') > -1) {
                    Sys.Browser.agent = Sys.Browser.WebKit;
                    Sys.Browser.version = parseFloat(navigator.userAgent.match(/WebKit\/(\d+(\.\d+)?)/)[1]);
                    Sys.Browser.name = 'WebKit';
                }
            </script>

            <script type="text/javascript">

                var keyValue;
                function OnMoreInfoClick(element) {
                    popup.ShowAtElement(element);

                }
                function popup_Shown(s, e) {

                    popup.ShowAtPos(s, e);
                }



            </script>

        </form>
    </div>
    <!-- Content Ends Here -->
    <uc2:Footer ID="ucFooter" runat="server" />
</body>
</html>
