﻿<%@ control language="C#" autoeventwireup="true" inherits="UserControls_Notification_List, App_Web_ollfdlyq" %>
<%--<%@ Register Assembly="DevExpress.Web.ASPxGridView.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2, Version=8.2.10.0, Culture=neutral, PublicKeyToken=9b171c9fd64da1d1"
    Namespace="DevExpress.Web.ASPxEditors" TagPrefix="dxe" %>
<%@ Register Assembly="DevExpress.Web.ASPxEditors.v8.2" Namespace="DevExpress.Web.ASPxEditors"
    TagPrefix="dxe" %>--%>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>

<%--Custom Theme for DevEx 14.2--%>
<link id="GridView" type="text/css" href="../App_Themes/Office2003Blue/GridView/grid.css" rel="stylesheet" />
<link id="Editors" type="text/css" href="../App_Themes/Office2003Blue/Editors/styles.css" rel="stylesheet" />
<style type="text/css">
    #pnlnotify {
        background: transparent url("../images/popup-bg.png") repeat scroll 0% 0%;
        padding: 0;
    }

    .popup .popup-cont {
        padding: 30px 5px 50px 5px;
    }
</style>

<asp:UpdatePanel ID="updNotificationsList" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <asp:Panel ID="pnlHolder" runat="server">
            <%--<table cellpadding="0" cellspacing="0" border="0" width="98%" class="popup">
                <tr>
                    <td id="NotificationPnltopl" runat="server" class="top-l">&nbsp;
                    </td>
                    <td class="top-m">&nbsp;
                    </td>
                    <td id="NotificationPnltopr" runat="server" class="top-r">&nbsp;
                    </td>
                </tr>
                <tr>
                    <td id="NotificationPnlLeft" runat="server" class="left">&nbsp;
                    </td>
                    <td>--%>
            <div class="popup">
                <div class="top">
                    <h1>
                        <asp:Label ID="lblNotificationCaption" runat="server" Text="Manage Notifications"></asp:Label>
                    </h1>
                    <div class="close">
                        <asp:ImageButton ID="ibtClosee" runat="server" Visible="false" OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'none';"
                            ImageUrl="~/Images/popup-close.gif" OnClick="ibtClose_Click" />
                        <asp:LinkButton ID="ibtClose" runat="server" CssClass="Map-btn-fa-times-circle-o" OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'none';">

                        </asp:LinkButton>
                    </div>
                    <div class="clear clearfix">
                    </div>
                </div>
                <div class="popup-cont">
                    <div class="col-sm-9" style="display: none">
                        <div class="col-sm-12">
                            <asp:Label ID="lblNotificationComments" runat="server" Text="Unregistered Users are indicated in blue color."
                                ForeColor="Blue" Font-Bold="true"></asp:Label>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-3">
                                <asp:Label runat="server" Font-Bold="false" ID="lblAssingedUserName" Text="User Name"></asp:Label>
                            </div>
                            <div class="col-sm-9">
                                <asp:TextBox runat="server" ID="txtAssingedUserName" CssClass="cwDropdown form-control" onpaste="return false;"
                                    TabIndex="31" ondrop="return false;" onkeypress="return ValidateUserName(event)"></asp:TextBox>
                                <cc1:AutoCompleteExtender ID="aceAssingedUserName" runat="server" TargetControlID="txtAssingedUserName"
                                    ServicePath="~/AutoComplete.asmx" ServiceMethod="GetAutoCompleteList" MinimumPrefixLength="1">
                                </cc1:AutoCompleteExtender>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-2">
                                <asp:Label runat="server" Font-Bold="false" ID="lblOr" Text="(or)"></asp:Label>
                            </div>
                            <div class="col-sm-2">
                                <asp:Label runat="server" Font-Bold="false" ID="lblAssignedUserGroup" Text="User Group"></asp:Label>
                            </div>
                            <div class="col-sm-8">
                                <asp:DropDownList runat="server" ID="ddlAssignedUserGroup" CssClass="cwDropdown"
                                    TabIndex="32">
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="form-group">
                            <asp:ImageButton runat="server" OnClick="SearchUsers" Text="Search" ID="btnSearchAssignedUsers1"
                                TabIndex="33" ImageUrl="~/images/btn-search.jpg" Visible="false" />
                            <asp:LinkButton ID="btnSearchAssignedUsers" runat="server" CssClass="MultilingualBtn"
                                OnClick="SearchUsers">
                                <span runat="server" class="MultilingualBtnspan">
                                    <div class="Search">
                                        <div id="SearchButDiv" runat="server" class="MultilingualBtnTextAlign">
                                            Search
                                        </div>
                                    </div>
                                </span>
                            </asp:LinkButton>
                        </div>
                        <div class="form-group">
                            <asp:ImageButton runat="server" Text="Cancel" ID="btnClearAssingedUserSearch1" OnClick="ClearSearch"
                                TabIndex="34" ImageUrl="~/images/btn-cancel.jpg" Visible="false" />
                            <asp:LinkButton ID="btnClearAssingedUserSearch" runat="server" CssClass="MultilingualBtn"
                                OnClick="ClearSearch">
                                <span runat="server" class="MultilingualBtnspan">
                                    <div class="Cancel">
                                        <div id="CancelButDiv" runat="server" class="MultilingualBtnTextAlign">
                                            Cancel
                                        </div>
                                    </div>
                                </span>
                            </asp:LinkButton>
                        </div>
                    </div>
                    <!--<table class="form-tbl" width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td>
                            <asp:Panel ID="pnlAssignedUsers" runat="server" align="left" Width="100%">
                                <table width="100%">
                                    <tr id="trUnregisteredUsersComment" runat="server">
                                        <td></td>
                                    </tr>
                                    <tr style="display: none">
                                        <td align="left">
                                            <table cellpadding="0" cellspacing="0" width="80%" border="0" align="center">
                                                <tr>
                                                    <td></td>
                                                    <td></td>
                                                    <td>&nbsp;
                                                        &nbsp;
                                                    </td>
                                                    <td></td>
                                                    <td></td>
                                                    <td>&nbsp;&nbsp;
                                                    </td>
                                                    <td></td>
                                                    <td></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <%--<tr>
                                                    <td class="fleetContent">
                                                        <asp:GridView ID="gvUsersList" runat="server" AllowPaging="True" AllowSorting="true"
                                                            AutoGenerateColumns="False" BackColor="#CCCCCC" CellPadding="0" CellSpacing="1"
                                                            GridLines="None" PageSize="5" Width="100%" OnPageIndexChanging="ChangePageIndex"
                                                            OnRowDataBound="UsersListBinding" OnSorting="UsersSorting">
                                                            <Columns>
                                                                <asp:TemplateField SortExpression="UserName">
                                                                    <HeaderTemplate>
                                                                        <asp:LinkButton ID="lnkUserName" runat="server" CommandArgument="UserName" OnClick="SortGrid">
                                                                <span class="icon"><img src="..\Images\usermanage-icon.gif" align="top" alt="" /></span> <span class="label">User Name</span>
                                                                        </asp:LinkButton>
                                                                    </HeaderTemplate>
                                                                    <ItemTemplate>
                                                                        <asp:Label ID="lblUsername" runat="server" Text='<%#Eval("UserName") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                    <HeaderStyle Wrap="False" />
                                                                    <ItemStyle Width="75px" />
                                                                </asp:TemplateField>
                                                                <asp:TemplateField SortExpression="DisplayName">
                                                                    <HeaderTemplate>
                                                                        <asp:LinkButton ID="lnkDisplayName" runat="server" CommandArgument="DisplayName"
                                                                            OnClick="SortGrid">
                                                            <span class="icon"><img src="..\Images\icn-display-name.gif" align="top" alt="" /></span> <span class="label">Display Name</span></asp:LinkButton>
                                                                    </HeaderTemplate>
                                                                    <ItemTemplate>
                                                                        <asp:Label ID="lblDisplayName" runat="server" Text='<%#Eval("DisplayName") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                    <HeaderStyle Wrap="False" />
                                                                    <ItemStyle Width="75px" />
                                                                </asp:TemplateField>
                                                                <asp:TemplateField SortExpression="GroupBelongsTo">
                                                                    <HeaderTemplate>
                                                                        <asp:LinkButton ID="lnkGroup" runat="server" CommandArgument="GroupBelongsTo" OnClick="SortGrid">
                                                            <span class="icon"><img src="..\Images\groupnew-icon.gif" align="top" alt="" /></span> <span class="label">Group</span>
                                                                        </asp:LinkButton>
                                                                    </HeaderTemplate>
                                                                    <ItemTemplate>
                                                                        <asp:Label ID="lblGroupName" runat="server" Text='<%#Eval("GroupBelongsTo") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                    <HeaderStyle Wrap="False" />
                                                                    <ItemStyle Width="75px" />
                                                                </asp:TemplateField>
                                                                As only the active users are shown made the active status to be not shown if you uncomment the below then
                                                    change the column nos accordingly in the code behind file
                                                               
                                                                <asp:TemplateField SortExpression="LockedStatus">
                                                                    <HeaderStyle Width="75px" Wrap="False" HorizontalAlign="Center" />
                                                                    <ItemStyle HorizontalAlign="Center" Width="75px" />
                                                                    <HeaderTemplate>
                                                                        <asp:LinkButton ID="lnkLockedStatus" runat="server" CommandArgument="LockedStatus"
                                                                            OnClick="SortGrid">
                                                            <span class="icon"><img src="..\Images\icn-locked-status.gif" align="top" alt="" /></span> <span class="label">Is Locked</span>
                                                                        </asp:LinkButton>
                                                                    </HeaderTemplate>
                                                                    <ItemTemplate>
                                                                        <asp:ImageButton ID="imgLockedStatus" runat="server" AlternateText='<%#Eval("LockedStatus") %>' />
                                                                        <asp:Label ID="lblLockedStatus" runat="server" Text='<%#Eval("LockedStatus") %>'></asp:Label>
                                                                    </ItemTemplate>
                                                                </asp:TemplateField>
                                                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="25px"
                                                                    ItemStyle-HorizontalAlign="Center" ItemStyle-Width="25px">
                                                                    <HeaderStyle HorizontalAlign="Center" Width="25px" />
                                                                    <ItemTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:HiddenField ID="hdnEmailUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                                                                    <asp:CheckBox ID="chkEmailUser" runat="server" Text="" />
                                                                                </td>
                                                                                <td>
                                                                                    <asp:Label ID="lblEmailUser" runat="server" Text='<%# Eval("Email") %>'></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </ItemTemplate>
                                                                    <HeaderTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:CheckBox ID="chkSelectAllEmailUsers" ToolTip="Select all in the current page"
                                                                                        runat="server" onclick="CheckAllCheckboxesInGrid(7);" Text="" />
                                                                                </td>
                                                                                <td>
                                                                                    <img src="..\Images\icn-email.gif" align="top" alt="" />
                                                                                </td>
                                                                                <td>
                                                                                    <asp:LinkButton ID="lnkEmail" runat="server" CommandArgument="Email" OnClick="SortGrid">Email</asp:LinkButton>
                                                                                </td>
                                                                                <td id="sortImageEmail" runat="server"></td>
                                                                            </tr>
                                                                        </table>
                                                                    </HeaderTemplate>
                                                                    <ItemStyle HorizontalAlign="Center" Width="25px" />
                                                                </asp:TemplateField>
                                                                <asp:TemplateField HeaderStyle-HorizontalAlign="Center" HeaderStyle-Width="25px"
                                                                    ItemStyle-HorizontalAlign="Center" ItemStyle-Width="25px">
                                                                    <HeaderStyle HorizontalAlign="Center" Width="25px" />
                                                                    <ItemTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:HiddenField ID="hdnSMSUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                                                                    <asp:CheckBox ID="chkSMSUser" runat="server" Text="" />
                                                                                </td>
                                                                                <td>
                                                                                    <asp:Label ID="lblMobileNoUser" runat="server" Text='<%# Eval("MobileNo") %>'></asp:Label>
                                                                                </td>
                                                                            </tr>
                                                                        </table>
                                                                    </ItemTemplate>
                                                                    <HeaderTemplate>
                                                                        <table cellpadding="0" cellspacing="0" border="0">
                                                                            <tr>
                                                                                <td>
                                                                                    <asp:CheckBox ID="chkSelectAllSMSUsers" ToolTip="Select all in the current page"
                                                                                        runat="server" onclick="CheckAllCheckboxesInGrid(8);" Text="" />
                                                                                </td>
                                                                                <td>
                                                                                    <img src="..\Images\icn-sms-users.gif" align="top" alt="" />
                                                                                </td>
                                                                                <td width="50px">
                                                                                    <asp:LinkButton ID="lnkMobileNo" runat="server" CommandArgument="MobileNo" OnClick="SortGrid"
                                                                                        Text="Mobile"></asp:LinkButton>
                                                                                </td>
                                                                                <td id="sortImageSMS" runat="server"></td>
                                                                            </tr>
                                                                        </table>
                                                                    </HeaderTemplate>
                                                                    <ItemStyle HorizontalAlign="Center" Width="25px" />
                                                                </asp:TemplateField>
                                                            </Columns>
                                                            <EmptyDataTemplate>
                                                                No Assigned Users found
                                                            </EmptyDataTemplate>
                                                            <RowStyle CssClass="fleetCon" />
                                                            <FooterStyle CssClass="fleetFoot" />
                                                            <AlternatingRowStyle CssClass="fleetConalt" />
                                                            <PagerStyle CssClass="fleetFoot" HorizontalAlign="Left" />
                                                            <HeaderStyle CssClass="fleetHead" />
                                                            <EmptyDataRowStyle CssClass="fleetHead" />
                                                        </asp:GridView>
                                                    </td>
                                                </tr>--%>
                                    <%--<tr>
                                                    <td align="right">
                                                    </td>
                                                </tr>--%>
                                </table>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>-->
                    <div class="clear clearfix">
                    </div>
                    <asp:HiddenField ID="hdnNotificationType" runat="server" />
                    <asp:HiddenField ID="hdnEmailUsers" runat="server" />
                    <asp:HiddenField ID="hdnSMSUsers" runat="server" />
                    <asp:HiddenField ID="hdnEmailUsers1" runat="server" />
                    <asp:HiddenField ID="hdnSMSUsers1" runat="server" />
                    <asp:HiddenField ID="hdnIsEmailVisible" runat="server" />
                    <asp:HiddenField ID="hdnIsSMSVisible" runat="server" />
                    <div id="grid-dsply">
                        <div class="table-responsive">
                            <dxw:ASPxGridView ID="gvUsersList1" ClientInstanceName="gvUsersList1" runat="server"
                                AutoGenerateColumns="False" KeyFieldName="UserId" Width="100%" EnableViewState="false"
                                CssFilePath="~/App_Themes/Office2003Blue/GridView/styles.css" CssPostfix="Office2003_Blue"
                                EnableTheming="true" Theme="Office2003Blue" OnHtmlRowCreated="gvUsersList1_OnHtmlRowCreated"
                                OnAfterPerformCallback="gvUsersList1_AfterPerformCallback">
                                <Settings ShowFilterRow="true" ShowFilterRowMenu="true" />
                                <%--<Images ImageFolder="~/App_Themes/Office2003Blue/GridView/">
                                        <CollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                            Width="11px" />
                                        <ExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                            Width="11px" />
                                        <DetailCollapsedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvCollapsedButton.png"
                                            Width="11px" />
                                        <DetailExpandedButton Height="12px" Url="~/App_Themes/Office2003Blue/GridView/gvExpandedButton.png"
                                            Width="11px" />
                                    </Images>--%>
                                <Styles CssFilePath="~/App_Themes/Office2003Blue/GridView/grid.css" AlternatingRow-Enabled="True"
                                    CssPostfix="Office2003_Blue">
                                    <Header ImageSpacing="5px" SortingImageSpacing="5px">
                                    </Header>
                                    <LoadingPanel ImageSpacing="10px">
                                    </LoadingPanel>
                                    <PagerBottomPanel CssClass="PageFooter">
                                    </PagerBottomPanel>
                                    <PagerTopPanel CssClass="PageFooter">
                                    </PagerTopPanel>
                                </Styles>
                                <SettingsPager PrevPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pPrev.gif"
                                    PrevPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pPrevDisabled.gif"
                                    NextPageButton-Image-UrlDisabled="../App_Themes/Office2003Blue/GridView/pNextDisabled.gif"
                                    NextPageButton-Image-Url="../App_Themes/Office2003Blue/GridView/pNext.gif" AlwaysShowPager="true">
                                </SettingsPager>
                                <Columns>
                                    <dxw:GridViewDataColumn Caption="User Name" FieldName="UserName" VisibleIndex="0"
                                        Width="15%">
                                        <HeaderCaptionTemplate>
                                            <span class="icon">
                                                <asp:Image runat="server" ID="imgUserName" ImageUrl="..\Images\usermanage-icon.gif" Visible="false"
                                                    align="top" /></span> <span class="label">
                                                        <asp:Label ID="lblUserName" runat="server" Text="User Name"></asp:Label>
                                                    </span>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="glblUserName" runat="server" Text='<%# Convert.ToString(Eval("UserName")) %>'
                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : (Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green  : System.Drawing.Color.Black) %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataColumn>
                                    <dxw:GridViewDataColumn Caption="Display Name" FieldName="DisplayName" VisibleIndex="1"
                                        Width="15%">
                                        <HeaderCaptionTemplate>
                                            <span class="icon">
                                                <asp:Image ID="imgDisplayName" runat="server" ImageUrl="..\Images\icn-display-name.gif" Visible="false"
                                                    align="top" /></span> <span class="label">
                                                        <asp:Label ID="lblDisplayName" runat="server" Text="Display Name"></asp:Label>
                                                    </span>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="glblDisplayName" runat="server" Text='<%# Convert.ToString(Eval("DisplayName")) %>'
                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : (Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green  : System.Drawing.Color.Black) %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataColumn>
                                    <dxw:GridViewDataColumn Caption="Customer Name" FieldName="Lastname" VisibleIndex="1"
                                        Width="15%">
                                        <HeaderCaptionTemplate>
                                            <span class="icon">
                                                <asp:Image ID="imgDisplayName" runat="server" ImageUrl="..\Images\usermanage-icon.gif" Visible="false"
                                                    align="top" /></span> <span class="label">
                                                        <asp:Label ID="lblCustomerName" runat="server" Text="Customer Name"></asp:Label>
                                                    </span>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="glblDisplayName" runat="server" Text='<%# Convert.ToString(Eval("Lastname")) %>'
                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : (Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green  : System.Drawing.Color.Black) %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataColumn>
                                    <dxw:GridViewDataTextColumn FieldName="GroupBelongsTo" Caption="Group" VisibleIndex="2"
                                        Width="15%">
                                        <HeaderCaptionTemplate>
                                            <span class="icon">
                                                <asp:Image runat="server" ID="imgGroup" ImageUrl="..\Images\groupnew-icon.gif" align="top" Visible="false" /></span>
                                            <span class="label">
                                                <asp:Label ID="lblGroup" runat="server" Text="Group"></asp:Label>
                                            </span>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="glblGroupBelongsTo" runat="server" Text='<%# Convert.ToString(Eval("GroupBelongsTo")) %>'
                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : (Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green  : System.Drawing.Color.Black) %>'></asp:Label>
                                        </DataItemTemplate>
                                        <Settings AutoFilterCondition="Contains" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn FieldName="LockedStatus" Caption="Locked Status" VisibleIndex="3"
                                        Width="10%">
                                        <HeaderCaptionTemplate>
                                            <span class="icon">
                                                <asp:Image runat="server" ID="imgLockedStatus" ImageUrl="..\Images\icn-locked-status.gif" Visible="false"
                                                    align="top" /></span> <span class="label">
                                                        <asp:Label ID="lblLockedStatus" runat="server" Text="Locked Status"></asp:Label>
                                                    </span>
                                        </HeaderCaptionTemplate>
                                        <DataItemTemplate>
                                            <asp:Image ID="imgLockedStatus" runat="server" AlternateText="" ToolTip="" />
                                            <asp:Label ID="lblUserLockedStatus" runat="server" Text='<%# Eval("LockedStatusDisp") %>'
                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : (Convert.ToString(Eval("IsHidden")) == "True" ? System.Drawing.Color.Green  : System.Drawing.Color.Black) %>'></asp:Label>
                                        </DataItemTemplate>
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn VisibleIndex="4" Caption="Email" FieldName="Email"
                                        Width="25%">
                                        <DataItemTemplate>
                                            <asp:HiddenField ID="hdnEmailUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                            <table cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="chkEmailUser" runat="server" Text="" />
                                                    </td>
                                                    <td class="padding-width-sm-left">
                                                        <p style="white-space: nowrap">
                                                            <asp:Label ID="lblEmailUser" runat="server" Text='<%# Eval("Email") %>' ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'></asp:Label>
                                                        </p>
                                                    </td>
                                                </tr>
                                            </table>
                                        </DataItemTemplate>
                                        <HeaderCaptionTemplate>
                                            <div class="col-xs-4"></div>
                                            <div class="col-xs-1 nullpadding">
                                                <asp:CheckBox ID="chkSelectAllEmailUsers" ToolTip="Select all in the current page"
                                                    runat="server" onclick="DevExpressGridCheckAll(7);" Text="" />
                                            </div>
                                            <div class="col-xs-1 nullpadding" style="margin-top: 3px">
                                                <asp:Image ID="imgEmail" runat="server" Visible="false" ImageUrl="..\Images\icn-email.gif" />
                                                <asp:Label ID="lblEmail" runat="server" Text="Email"></asp:Label>
                                            </div>
                                            <%--<span class="icon">                                                
                                            </span>
                                            <span class="label padding-width-sm-left">
                                            </span>
                                            <span class="icon">
                                            </span>--%>
                                        </HeaderCaptionTemplate>
                                        <Settings AutoFilterCondition="Contains" AllowSort="False" />
                                    </dxw:GridViewDataTextColumn>
                                    <dxw:GridViewDataTextColumn VisibleIndex="5" Caption="MobileNo" FieldName="MobileNo"
                                        Width="15%">
                                        <DataItemTemplate>
                                            <asp:HiddenField ID="hdnSMSUsers" runat="server" Value='<%#Eval("UserID") %>' />
                                            <table cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                    <td>
                                                        <asp:CheckBox ID="chkSMSUser" runat="server" Text="" />
                                                    </td>
                                                    <td class="padding-width-sm-left">
                                                        <p style="white-space: nowrap">
                                                            <asp:Label ID="lblMobileNo" runat="server" Text='<%# Eval("MobileNo") %>'
                                                                ForeColor='<%# Eval("IsRegisteredUser") != DBNull.Value && Convert.ToString(Eval("IsRegisteredUser")) == "False" ? System.Drawing.Color.Blue : System.Drawing.Color.Black %>'>
                                                            </asp:Label>
                                                        </p>
                                                    </td>
                                                </tr>
                                            </table>
                                        </DataItemTemplate>
                                        <HeaderCaptionTemplate>
                                            <div class="col-xs-4"></div>
                                            <div class="col-xs-1 nullpadding">
                                                <asp:CheckBox ID="chkSelectAllSMSUsers" runat="server" onclick="DevExpressGridCheckAll(8);"
                                                    Text="" ToolTip="Select all in the current page" />
                                            </div>
                                            <div class="col-xs-3 nullpadding" style="margin-top: 3px">
                                                <asp:Image ID="imgMobileNo" runat="server" ImageUrl="..\Images\icn-sms-users.gif" />
                                                <asp:Label ID="lblMobileNoCaption" runat="server" Text="Mobile"></asp:Label>
                                            </div>
                                        </HeaderCaptionTemplate>
                                        <Settings AutoFilterCondition="Contains" AllowSort="False" />
                                    </dxw:GridViewDataTextColumn>
                                </Columns>
                            </dxw:ASPxGridView>
                        </div>
                    </div>
                    <%--<table class="form-tbl" width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td class="controlLeft">--%>
                    <div class="col-sm-12" style="padding-top: 10px; padding-bottom: 10px;">
                        <div class="pull-right">

                            <asp:LinkButton ID="ibtnSendEmail" runat="server" CssClass="btn btn-primary btn-fa-envelope-o" OnClick="UsersSelected"
                                OnClientClick="if(CheckSelectionForManipulation(13,'ibtnSendEmail')){ document.getElementById('pnlNotificationsList').style.display = 'none'; }else {return false;};ShowPopUp();" Text="&nbsp;&nbsp;Send Email">
                            </asp:LinkButton>
                            <asp:ImageButton ID="ibtnAddtoEmailList1" runat="server" TabIndex="36" OnClientClick="if(CheckSelectionForManipulation(7,'ibtnAddtoEmailList')){ document.getElementById('pnlNotificationsList').style.display = 'none'; }"
                                onkeydown="return setFocus(event,'ucNotificationList_txtAssingedUserName');"
                                OnClick="UsersSelected" ImageUrl="~/images/btn-addto-emaillist.jpg" Visible="false" />
                            <asp:LinkButton ID="ibtnAddtoEmailList" runat="server" CssClass="btn btn-primary btn-fa-envelope-o"
                                OnClick="UsersSelected" OnClientClick="if(CheckSelectionForManipulation(7,'ibtnAddtoEmailList')){ document.getElementById('pnlNotificationsList').style.display = 'none'; }else{return false;};ShowPopUp();" Text="&nbsp;&nbsp;Add to Email List">
                            </asp:LinkButton>
                            <asp:ImageButton ID="btnOk1" runat="server" TabIndex="37" Text="Ok" OnClientClick="if(CheckSelectionForManipulation(7,'btnOk')){ document.getElementById('pnlNotificationsList').style.display = 'none'; }"
                                onkeydown="return setFocus(event,'ucNotificationList_txtAssingedUserName');"
                                OnClick="UsersSelected" ImageUrl="~/images/btn-add-notification.jpg" Visible="false" />

                            <asp:LinkButton ID="btnOk" runat="server" CssClass="btn btn-primary btn-fa-floppy-o" OnClick="UsersSelected" OnClientClick="if(CheckSelectionForManipulation(7,'btnOk')){document.getElementById('pnlNotificationsList').style.display = 'none';}else{return false;};"
                                TabIndex="19" Text="&nbsp;&nbsp;Add Notification"> 
                            </asp:LinkButton>


                            <asp:LinkButton ID="btnOkk1" runat="server" CssClass="MultilingualBtn" OnClick="UsersSelected" Visible="false"
                                OnClientClick="if(CheckSelectionForManipulation(7,'btnOk')){document.getElementById('pnlNotificationsList').style.display = 'none';}else{return false;};">
                                <span runat="server" class="MultilingualBtnspan">
                                    <div class="AddGeozone">
                                        <div id="AddNotificationDiv" runat="server" class="MultilingualBtnTextAlign">
                                            Add Notification
                                        </div>
                                    </div>
                                </span>
                            </asp:LinkButton>
                            <asp:LinkButton CssClass="btnRight" runat="server" ID="btnOkClose1" OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'none';return false;"
                                Height="22px" Visible="false"><span class="icon"><img src="../images/icn-close.gif" alt="" /></span><span>Close</span></asp:LinkButton>
                            <asp:LinkButton ID="btnOkClose" runat="server" CssClass="MultilingualBtn" OnClientClick="document.getElementById('pnlNotificationsList').style.display = 'none';return false;"
                                Visible="false">
                                <span runat="server" class="MultilingualBtnspan">
                                    <div class="Close">
                                        <div id="CloseDiv" runat="server" class="MultilingualBtnTextAlign">
                                            Close
                                        </div>
                                    </div>
                                </span>
                            </asp:LinkButton>
                            <%--</td>
                            </tr>
                        </table>--%>
                        </div>
                    </div>
                </div>
            </div>
            <%--</td>
                    <td id="NotificationPnlRight" runat="server" class="right">&nbsp;
                    </td>
                </tr>
                <tr>
                    <td id="NotificationPnlbottoml" runat="server" class="bottom-l">&nbsp;
                    </td>
                    <td class="bottom-m">&nbsp;
                    </td>
                    <td id="NotificationPnlbottomr" runat="server" class="bottom-r">&nbsp;
                    </td>
                </tr>
            </table>--%>
        </asp:Panel>
    </ContentTemplate>
</asp:UpdatePanel>
